/**
 * Created by 江成
 */
(function (fox, window, factory) {
    // 判断是否支持模块定义
    let hasDefine = (typeof define === 'function');
    if (hasDefine) {
        //获取对象
        let exports = factory(fox,window);
        //定义模块
        define(exports);
        //安装插件(兼容非模块的访问方式)
        window.fox.card = exports;

    } else {
        //获取对象
        let exports = factory(fox,window);
        //安装插件
        window.fox.card = exports;
    }

}(fox, window, function (fox,window) {

    //定义Demo对象
    let card={
        /**
         * 异步测试
         * @param message
         * @param callback
         */
        cardCamera:function(callback) {
            //参数
            let args = {
                service: "cardPlugin",//对应FXProxy注册在配置文件上的服务名
                action: "cardCamera",//对应FXProxy中标志了@JavascriptInterface的方法
                data: [],  //对应方法中的参数
                async: true,      //是否异步
                callback:callback //异步回调函数
            };
            return window.fxBridge.exec(args);
        },
         cardAlbum:function(callback) {         
                    //参数
             let args = {
                 service: "cardPlugin",//对应FXProxy注册在配置文件上的服务名
                 action: "cardAlbum",//对应FXProxy中标志了@JavascriptInterface的方法
                 data: [],  //对应方法中的参数
                 async: true,      //是否异步
                 callback:callback //异步回调函数
             };
             return window.fxBridge.exec(args);
         }
    };
    return card;

}));
