/**
 * Created by 江成
 */
(function (fox, window, factory) {
    // 判断是否支持模块定义
    let hasDefine = (typeof define === 'function');
    if (hasDefine) {
        //获取对象
        let exports = factory(fox,window);
        //定义模块
        define(exports);
        //安装插件(兼容非模块的访问方式)
        window.fox.share = exports;

    } else {
        //获取对象
        let exports = factory(fox,window);
        //安装插件
        window.fox.share = exports;
    }

}(fox, window, function (fox,window) {

    //定义Demo对象
    let share={
        /**
         * 异步测试
         * @param message
         * @param callback
         */
        sendText:function(message,callback) {
            //参数
            let args = {
                service: "sharePlugin",//对应FXProxy注册在配置文件上的服务名
                action: "sendText",//对应FXProxy中标志了@JavascriptInterface的方法
                data: [message], //对应方法中的参数
                async: true,     //是否异步
                callback:callback //异步回调函数
            };
            return window.fxBridge.exec(args);
        },
        sendImg:function(message,callback) {
                      //参数
                 let args = {
                        service: "sharePlugin",//对应FXProxy注册在配置文件上的服务名
                        action: "sendImg",//对应FXProxy中标志了@JavascriptInterface的方法
                        data: [message],  //对应方法中的参数
                        async: true,     //是否异步
                        callback:callback //异步回调函数
                 };
             return window.fxBridge.exec(args);
        },
        sendMusic:function(message,callback) {
                             //参数
                        let args = {
                               service: "sharePlugin",//对应FXProxy注册在配置文件上的服务名
                               action: "sendMusic",//对应FXProxy中标志了@JavascriptInterface的方法
                               data: [message],  //对应方法中的参数
                               async: true,      //是否异步
                               callback:callback //异步回调函数
                        };
                    return window.fxBridge.exec(args);
        },
        sendVideo:function(message,callback) {
                             //参数
                        let args = {
                               service: "sharePlugin",//对应FXProxy注册在配置文件上的服务名
                               action: "sendVideo",//对应FXProxy中标志了@JavascriptInterface的方法
                               data: [message],  //对应方法中的参数
                               async: true,      //是否异步
                               callback:callback //异步回调函数
                        };
                    return window.fxBridge.exec(args);
        },
       sendWebpage:function(message,callback) {
                                   //参数
                        let args = {
                                service: "sharePlugin",//对应FXProxy注册在配置文件上的服务名
                                action: "sendWebpage",//对应FXProxy中标志了@JavascriptInterface的方法
                                data: [message],  //对应方法中的参数
                                async: true,      //是否异步
                                callback:callback //异步回调函数
                        };
                    return window.fxBridge.exec(args);
       }

    };
    return share;

}));
