define(function (require, exports) {
    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        let vmData = {

            imgUrl: "/resource/image/common/done.png",

            table_header: [{text: "", style: "text-align:left;width:50%;height:8px", columnStyle: "width:50%;"},
                {text: "", style: "text-align:left;width:50%;height:8px", columnStyle: "width:50%;"}],
            table_content: [
                [{info: {key: "就诊人"}}, {info: {value: data.Ofpatient}}],
                [{info: {key: "科室名"}}, {info: {value: data.DepName}}],
                [{info: {key: "医师名"}}, {info: {value: data.MarkDesc}}],
                [{info: {key: "就诊时间"}}, {info: {value: data.HBTime}}],
                [{info: {key: "就诊序号"}}, {info: {value: data.JZNo}}]
            ],
        }

        //创建vue model
        var vm = new Vue({
            el: cite.el,
            data: vmData,
            //方法
            methods: {
                //路由跳转
                to: function (id) {
                    fox.router.append(id);
                },
                //回退
                back: function () {
                    fox.router.remove();
                },

                //图文列表区域
                cellFormat: function (i, j, value) {
                    if (j == 0) {
                        return `<div class="my-cell-item">
                            <div class="my-cell-item-text-key">${value.key}</div>
                        </div>`;
                    } else if (j == 1) {
                        return `<div class="my-cell-item">
                            <div class="my-cell-item-text-value">${value.value}</div>
                        </div>`;
                    }
                },

                backToIndex: function () {
                    console.log("返回首页");
                    fox.router.remove({all:true});
                    // window.location.href="/index.html";
                }
            },
            //加载后处理
            mounted: function () {
                // fox.layer.open('预约成功，请注意查看预约短信!');
            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
