/**
 * Created by jiangcheng on 2017/5/22.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (hashCode, data, cite) {
        let my_join;

        let vmData={
            patient_name:"", //姓名,
            patient_number:"", //身份证号,
            disabled_input:'disabled_input',
            ZJTY:"居民身份证",
        };
        //创建vm
        let vm=new Vue({
            el:cite.el,
            data:vmData,
            methods:{
                //回退
                back:function(){
                    fox.router.remove();
                },
               
                change:function(){   
                    
                },
        
                addps:function () {
                    if(!vmData.patient_name){
                        fox.layer.open({
                            content: '请输入产妇姓名'
                            ,skin: 'msg'
                            ,anim:'up'
                            ,time: 2 //2秒后自动关闭
                        });
                        return;
                    }
                    var idcardReg = /(^[1-9]\d{5}(18|19|([23]\d))\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$)|(^[1-9]\d{5}\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\d{2}[0-9Xx]$)/;
                    if (!idcardReg.test(vmData.patient_number)) {
                        fox.layer.open({
                            content: '请输入正确格式的身份证号码'
                            , skin: 'msg'
                            , anim: 'up'
                            , time: 2 //2秒后自动关闭
                        });
                        return;
                    }

                    fox.service.request({
                        id:"birthQuery",
                        name:"customer/customer/birthQuery",
                        data:{
                            MQXM: vmData.patient_name,
                            MQSFZJHM:vmData.patient_number,

                        },
                        callback:function(code, message, data){
                            if (code == 0 || code == undefined) {
                                if (data.code == "0") {

                                    var appendAddress = data.data[0].CSD_SHENG + '省'+ data.data[0].CSD_SHI + '市'+ data.data[0].CSD_QU;
                                    var chiildData = {
                                        childList:data.data,
                                        birthAddress:appendAddress,
                                        MQXM:vmData.patient_name,
                                        MQSFZJHM:vmData.patient_number,
                                        ZZJG_MC:data.data[0].ZZJG_MC,
                                        ZYH:data.data[0].ZYH,
                                        birthList:data.birthList,
                                      }
                                      fox.router.append("appointmentofbirthSecond", chiildData);
                                }else{
                                    fox.layer.open(data.msg);
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })
                },
                
                //调整page size
                adjustPageSize: function adjustPageSize() {
                    //屏幕当前的高度
                    var oHeight = $.getClientHeight();
                    //设置page 高度
                    $(".fox-page > .fox-content").css("height", oHeight+"px");
                },
                myYes: function () {
                    fox.layer.close(my_join);
                   
                },
                myNo: function () {
                    fox.layer.close(my_join);
                     fox.router.remove();

                },

            },
            //加载后处理
            mounted:function(){
                //调整页面大小
                this.adjustPageSize();
                my_join = fox.layer.open({
                    type: 1,
                    content: "#NotesforRegistration",
                    success: function () {
                    }
                });
               
            }
        });
    };

    //消息通知处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

        fox.layer.close(my_join);


    }

});
