/**
 * Created by jiangcheng on 2018/03/06.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {

      //vue data
      var vmData={
         m_title:"",
         headImage:"resource/image/icons/logo.png",
         buttonicon:"resource/image/icons/dom.png",
          buttonleft:"resource/image/icons/left.png",
          buttonright:"resource/image/icons/right.png",

          star:"resource/image/icons/star.png",

          list:[]
      }

      //创建vue model
      var vm=new Vue({
          el:cite.el,
          //数据
          data:vmData,
          //方法
          methods:{
            //路由跳转
            to:function(event){
              var id=event.item.id;
              if(id === undefined || id.length === 0){
                return;
              }
              this.m_title=event.item.text;
              fox.router.to(id,{},"_sub_rootDiv");
            },
              //回退
              back:function(){
                  fox.router.remove();
              },
              didSelectCell:function (index) {

                  fox.service.request({
                      id:"getInfoByDeptId",
                      name:"hospital/hospital/getDeptInfoByName",
                      data:{
                          deptName:vmData.list[index].ParDepName
                      },
                      callback:function(code, message, data){
                          if (code == 0 || code == undefined) {
                              // data=JSON.stringify(data);
                              if (data.code == "0") {
                                  if (data.reslut == undefined || data.reslut === "") {

                                  }else {
                                      fox.router.append("hospitaldetail",data.reslut);
                                  }

                              } else {
                                  fox.layer.open({
                                      content: data.msg
                                      ,skin: 'msg'
                                      ,anim:'up'
                                      ,time: 2 //2秒后自动关闭
                                  });
                              }
                          } else {
                              fox.layer.open("网络异常");
                          }

                      }
                  })
              }

          },
          //加载后处理
          mounted:function(){

              fox.service.request({
                  // id:"getDeptByHospitalId",
                  // name:"hospital/hospital/getDeptByHospitalId",
                  // data:{
                  //     hospital_id:data.hospital_id
                  // },
                  id:"queryClinicaldepart",
                  name:"service/deskwork/queryClinicaldepart",
                  data:{
                      DepartTyp:"",
                      DepartTypID:"",
                      ShowOrg:"0"
                  },
                  callback:function(code, message, data){
                      if (code == 0 || code == undefined) {
                          // data=JSON.stringify(data);
                          if (data.code == "0") {
                              // fox.layer.open(data.data[0].hospital_id);
                              // var  a =data.data[0].hospital_name;
                              vmData.list=data.result;
                              // fox.layer.open(a);
                          } else {
                              fox.layer.open(data.msg);
                          }
                      } else {
                          fox.layer.open("网络异常");
                      }

                  }
              })

          }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
