/**
 * Created by  on 2019/05/28.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {

        let vmData={
            patientDailyList:[],
            cardNo:data.patientNumber,
            name:data.patient_name,
            ehealth_card_id:data.ehealth_card_id,  
        };

        //创建vue model
        let vm=new Vue({
            el:cite.el,
            //数据
            data:vmData,
            //方法
            filters: {
                hideMiddle(val) {
                    if (val === "" || val === undefined) {
                        return "";
                  } else {
                        return `${val.substring(0,3)}***********${val.substring(val.length-4)}`;
                   }
                }
              },
            //方法
            methods:{

                tapDivAction:function(index){

                    if(vmData.patientDailyList[index].hidden ==='1'){
                        vmData.patientDailyList[index].hidden ='0';
                        vmData.patientDailyList[index].arrow = "resource/image/medical/mine_bottom_arrow.png";
                    }else{
                        vmData.patientDailyList[index].hidden ='1';
                        vmData.patientDailyList[index].arrow = "resource/image/medical/mine_top_arrow.png";
                    }
                },
                immurecordQuery: function () {
                    fox.service.request({
                        id:"viewcardByHealthCard",
                        name:"service/health/viewcardByHealthCard",
                        data:{
                            ehealth_card_id:vmData.ehealth_card_id,
                           
                        },
                        callback:function(code, message, data){
                            if (code == 0 || code == undefined) {
                                if (data.code == "0") {
                                   var list = JSON.parse(data.data);
                                   for(var i = 0;i<list.length;i++){
                                    list[i].hidden = "1";
                                    list[i].arrow = "resource/image/medical/mine_top_arrow.png";
                                    list[i].inocDate = list[i].ywSamplingTime.substring(0,10);
                                 }
                                    vmData.patientDailyList= list;
                                }else {
                                    fox.layer.open({
                                        content: data.msg
                                        , skin: 'msg'
                                        , anim: 'up'
                                        , time: 2 //2秒后自动关闭
                                    });
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })       
                },
                //回退
                back:function(){
                    fox.router.remove();

                },  
                //调整page size
                adjustPageSize: function adjustPageSize() {
                    //屏幕当前的高度
                    var oHeight = $.getClientHeight();
                    //设置page 高度
                    $(".fox-page > .fox-content").css("height", oHeight+"px");
                },
                
            },
            //加载后处理
            mounted:function(){

                this.immurecordQuery();
                //调整页面大小
                this.adjustPageSize();
               
            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {


    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
