define(function (require, exports) {
var clear_time;
    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        //vue data
        let vmData={
            forgetFirstPassword:"",
            forgetSecoundPassword:"",
            forgetPhoneNum:data.forgetPhoneNum
        }
        //创建vue model
        var vm=new Vue({
            el:cite.el,
            data:vmData,
            //方法
            methods:{
                //路由跳转
                to:function(id){

                    if( !(/^(?=.*[A-Za-z])(?=.*\d)[A-Za-z\d]{6,16}$/.test(vmData.forgetFirstPassword) )) {
                        fox.layer.open({
                            content: '请输入6-16位数字与字母组合的密码'
                            ,skin: 'msg'
                            ,anim:'up'
                            ,time: 2 //2秒后自动关闭
                        });
                        return;
                    }
                    if( !(/^(?=.*[A-Za-z])(?=.*\d)[A-Za-z\d]{6,16}$/.test(vmData.forgetSecoundPassword) )) {
                        fox.layer.open({
                            content: '请再次输入6-16位数字与字母组合的密码'
                            ,skin: 'msg'
                            ,anim:'up'
                            ,time: 2 //2秒后自动关闭
                        });
                        return;
                    }
                    if (!(vmData.forgetFirstPassword === vmData.forgetSecoundPassword)) {
                        fox.layer.open({
                            content: '两次输入密码不一致'
                            ,skin: 'msg'
                            ,anim:'up'
                            ,time: 2 //2秒后自动关闭
                        });
                        return;
                    }
                    fox.service.request({
                        id:"ResetPassword",
                        name:"customer/customer/ResetPassword",
                        data:{
                            phone:vmData.forgetPhoneNum,
                            password:this.encrypt(vmData.forgetSecoundPassword),
                            codeType:"3",
                        },
                        callback:function(code, message, data){
                            if (code == 0 || code == undefined) {
                                // data=JSON.stringify(data);
                                if (data.code == "0") {
                                    //修复ios返回页面光标消失缓慢
                                    var inputs = $('input');
                                    inputs.each(function (i, input) {
                                        input.blur();
                                    });
                                    fox.router.append(id);
                                } else {

                                    fox.layer.open({
                                        content: data.msg
                                        ,skin: 'msg'
                                        ,anim:'up'
                                        ,time: 2 //2秒后自动关闭
                                    });
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }

                        }
                    })
                },
                encrypt:function(word){
                    var key = CryptoJS.enc.Utf8.parse("yxfoxzsyc");
                    var srcs = CryptoJS.enc.Utf8.parse(word);
                    var encrypted = CryptoJS.AES.encrypt(srcs, key, {mode:CryptoJS.mode.ECB,padding: CryptoJS.pad.Pkcs7});
                    return encrypted.toString();
                },
                //回退
                back:function(){
                    clearTimeout(clear_time);
                    fox.router.remove();
                },
                //调整page size
                adjustPageSize: function adjustPageSize() {
                    //屏幕当前的高度
                    var oHeight = $.getClientHeight();
                    //设置page 高度
                    $(".fox-page > .fox-content").css("height", oHeight+"px");
                }
            },
            //加载后处理
            mounted:function(){
                this.adjustPageSize();
                var input=$(".forget2-input-row input");
                clear_time=setTimeout(function () {
                    input[0].focus();
                },100);
            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {
        clearTimeout(clear_time);
        //修复ios返回页面光标消失缓慢
        var inputs = $('input');
        inputs.each(function (i, input) {
            input.blur();
        });
    }
});
