/**
 * Created by jiangcheng on 2018/03/06.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        //vue data
        var deviceType = fox.bus.get("loginDeviceType");
        var vmData={
            m_title:"",
            m_url: "http://111.7.82.24:8081/#/?token=",
            deviceType: deviceType,
        m_items:[
                {
                    id:"school_home",
                    text:"首页",
                    icon:"fox-icon fox-icon-home"
                },
                //  {
                // id: "remoteTreatment",
                // icon: "fox-icon-extra fox-icon-extra-peoples",
                // text: "在线问诊"
                // },
                {
                    id:"school_mine",
                    text:"我的",
                    icon:"fox-icon-extra fox-icon-extra-people"
                }
            ]
        }

        //创建vue model
        var vm=new Vue({
            el:cite.el,
            //数据
            data:vmData,
            //方法
            methods:{
                //路由跳转
                to:function(event){
                    var id=event.item.id;
                    if(id === undefined || id.length === 0){
                        return;
                    }
                    this.m_title=event.item.text;
                    if (id == 'remoteTreatment'){
                        var zxwzFlag = fox.sessionStorage.get("zxwzFlag");
                        if("0" == zxwzFlag){
                            var accent = fox.sessionStorage.get("tellerInfo").user_id;
                            //生成token
                            fox.service.request({
                                id: "getToken",
                                name: "hospital/hospital/getToken",
                                data: {},
                                callback: function (code, message, data) {
                                    if (code === 0) {
                                        if (data.code == "0") {
                                            // fox.sessionStorage.put("token",data.token);
                                            var url=vmData.m_url+data.token+"&account="+accent;
                                            var params={};
                                            params.path=url;
                                            params.titleBarVisibility=false;
                                            fox.navigator.open("_sys_default_page", "third_app", params, function (code,message,data) {
                                                console.log("code="+code);
                                            });
                                            //window.location.href = vmData.m_url+data.token+"&account="+accent;
                                        } else {
                                            fox.layer.open({
                                                content: data.msg,
                                                skin: 'msg',
                                                anim: 'up',
                                                time: 2 //2秒后自动关闭
                                            });
                                        }
                                    } else {
                                        fox.layer.open("网络异常");
                                    }
                                }
                            });
                        }else{
                            fox.layer.open({
                                content: "功能暂未开放，敬请期待！"
                                ,skin: 'msg'
                                ,anim:'up'
                                ,time: 1 //2秒后自动关闭
                            });
                        }

                    }else if(id != 'remoteTreatment'){
                        fox.router.to(id,{},"_sub_rootDiv");
                    }
                }
            },
            //加载后处理
            mounted:function(){
                this.to({item:this.m_items[0]});
                try{
                    fox.splash.close();
                }catch(ex){
                    fox.logger.info(ex);
                }
            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
