define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        // console.log("=========version=====" + my_version.versionIos)
        //vue data
        let my_join;
        let vmData={
            // m_verify_tip:"获取验证码",
            // m_count:60,
            // m_disabled:false,
            // m_intervalId:undefined,
            showAgreementView:false,
            phoneLogin:true,
            show:"login",
            // phone:(tempData && tempData.phone? tempData.phone:""),
            // verifyCode:"",
            // user:(tempData && tempData.user? tempData.user:""),
            pwd:"",
            isClickRaduis:false,
            // showAgreementView:false,
            // registerPhoneNumber:"",
            // msgAuthCode:"",
            // firsTimePassword:"",
            // secoundTimePassword:"",
            loginPhoneNumber:"",
            loginPassword:"",
            // autBtnClick:true,
            loginType:"pwd", //登录方式
            login_msgAuthCode:"", //登录验证码
            loginPhoneNumber_num:"",
            m_disabled_num:false,
            m_verify_tip_num:"获取验证码",
            m_count_num:60,
            m_disabled_num:false,
            m_intervalId_num:undefined,
            versionFlag:"",
        }

        //创建vue model
        let vm=new Vue({
            el:cite.el,
            //数据
            data: vmData,
            //计算属性
            computed:{
                mCls:function(){
                    return {
                        "my-verify-btn": true,
                        "my-verify-btn-enabled": !this.m_disabled_num,
                        "my-verify-btn-disabled": this.m_disabled_num,
                    }
                }
            },
            //方法
            methods: {
                //协议点击事件
                showAgView: function () {
                    this.showAgreementView = !this.showAgreementView;
                    fox.service.request({
                        id: "getPaymentOrder",
                        name: "registrationProtocol/registrationProtocol/queryRegistrationProtocol",
                        data: {},
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    document.getElementById("xcloud").innerHTML = data.cn_desc;
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },
                test:function(){
                    /*my_join = fox.layer.open({
                        type: 1,
                        content: "#NotesforRegistration",
                        success: function () {

                        }
                    });*/
                    this.showAgView()
                },
               myRejuest:function(){
                    fox.native.shutdown();

                },
                myYes: function () {
                    this.showAgreementView = !this.showAgreementView;
                    var equipmentType = fox.custom.getDevicceType();
                    if(equipmentType === "android"){
                        fox.native.call("getLocation",{},function(a,b,c){
                            console.log("a:"+a+"b:"+b+"c:"+c);
                            if(0 == a){
                                var obj = JSON.parse(c);
                                fox.sessionStorage.put("longitude", obj.longitude);
                                fox.sessionStorage.put("latitude", obj.latitude);
                                login(obj.longitude,obj.latitude);
                            }else{
                                console.log("失败"+a,b,c)
                                fox.sessionStorage.put("longitude","");
                                fox.sessionStorage.put("latitude", "");
                                login("","");
                            }

                        });
                    }else if(equipmentType === "ios"){
                        //login("","");
                        fox.device.callLocation("callLocation", {}, function (code, message, data) {
                            console.log("code:"+code+"message:"+message+"data:"+data);
                            if (code == 0) {
                                var callBackParams = fox.base64.decode(data);
                                var obj = JSON.parse(callBackParams);
                                fox.sessionStorage.put("longitude", obj.longitude);
                                fox.sessionStorage.put("latitude", obj.latitude);
                                login(obj.longitude,obj.latitude);
                            } else {
                                fox.sessionStorage.put("","");
                                fox.sessionStorage.put("", "");
                                login("","");
                            }
                        });
                    }
                    //fox.layer.close(my_join);
                },
                /*myNo: function () {
                    fox.layer.close(my_join);
                    fox.router.to('school_login')
                },*/
                //登录
                login: function () {
                    //获取设备类型
                    var equipmentType = fox.custom.getDevicceType();

                    fox.sessionStorage.put("tellerInfo", {
                        equipmentType:equipmentType,
                    });

                    var reqData = {};
                    if (vmData.loginType == "pwd") {
                        //验证手机号合法性
                        if (!(/^1[1-9]\d{9}$/.test(vmData.loginPhoneNumber))) {
                            fox.layer.open({
                                content: '请输入正确的手机号码'
                                , skin: 'msg'
                                , anim: 'up'
                                , time: 2 //2秒后自动关闭
                            });
                            return;
                        }

                        if (!vmData.loginPassword) {
                            fox.layer.open({
                                content: '请输入6-16位数字与字母组合的密码'
                                , skin: 'msg'
                                , anim: 'up'
                                , time: 2 //2秒后自动关闭
                            });
                            return;
                        }

                        reqData = {
                            phone: vmData.loginPhoneNumber,
                            password: this.encrypt(vmData.loginPassword),
                            loginIp: "",
                            loginEquipment: "",
                            loginmode: "01",
                            equipmentType:equipmentType,
                            version: my_version.versionIos
                        };
                    } else if (vmData.loginType == "num") {
                        //验证手机号合法性
                        if (!(/^1[1-9]\d{9}$/.test(vmData.loginPhoneNumber_num))) {
                            fox.layer.open({
                                content: '请输入正确的手机号码'
                                , skin: 'msg'
                                , anim: 'up'
                                , time: 2 //2秒后自动关闭
                            });
                            return;
                        }
                        //判断验证码
                        if (!vmData.m_verify_tip_num) {
                            fox.layer.open({
                                content: '请输入验证码'
                                , skin: 'msg'
                                , anim: 'up'
                                , time: 2 //2秒后自动关闭
                            });
                            return;
                        }
                         reqData = {
                            phone: vmData.loginPhoneNumber_num,
                            password: vmData.loginPassword,
                            loginIp: "",
                            loginEquipment: "",
                            loginmode: "02",
                            smsVerify: vmData.login_msgAuthCode,
                            codeType: "1",
                            equipmentType:equipmentType,
                            version: my_version.versionIos
                        }
                    }
                    reqData.longitude = fox.sessionStorage.get("longitude");
                    reqData.latitude = fox.sessionStorage.get("latitude");
                    fox.service.request({
                        id: "login",
                        name: "customer/customer/login",
                        data: reqData,
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                // data=JSON.stringify(data);
                                if (data.code == "0") {
                                    if (data && data.windowStyle) {
                                        fox.router.remove();
                                    } else {
                                        fox.localStorage.put("firstLogin","1");
                                        fox.sessionStorage.put("checkPidInfo", "");
                                        fox.localStorage.remove("sessionid");
                                        fox.localStorage.put("sessionid", data.userInfo.sessionid);
                                        fox.bus.put("loginUserInfo", data.userInfo);
                                        fox.bus.put("loginPhoneNum", data.userInfo.user_phone);
                                        data.hospitalinfo.indexHospitalName =  data.hospitalinfo.hospital_name;
                                        fox.bus.put("HomehospitalData", data.hospitalinfo);

                                        fox.bus.put("loginDeviceType", equipmentType);
                                        //ios版本更新标识
                                        vmData.versionFlag = data.versionFlag;
                                        if(data.hospitalinfo.distance< 1000){
                                            data.hospitalinfo.distance = data.hospitalinfo.distance +"米"
                                        }else if(data.hospitalinfo.distance >= 1000){
                                            /*var d = ((data.hospitalinfo.distance)/1000+"").split(".");
                                            data.hospitalinfo.distance = d[0]+"公里";*/
                                            data.hospitalinfo.distance = ((data.hospitalinfo.distance)/1000).toFixed(1)+"公里";
                                        }
                                        fox.bus.put("pid",data.userInfo.pid);
                                        //保存信息
                                        fox.sessionStorage.put("indexHospitalId", data.hospitalinfo.hospital_id);
                                        fox.sessionStorage.put("indexInterfaceType", data.hospitalinfo.interface_type);
                                        fox.bus.put("indexHospitalName", data.hospitalinfo.hospital_name);
                                        fox.sessionStorage.put("tellerInfo", {
                                            sessionid: data.userInfo.sessionid,
                                            card_name: data.userInfo.card_name,
                                            card_number: data.userInfo.card_number,
                                            cardNumber: data.userInfo.cardNumber,
                                            is_realname: data.userInfo.is_realname,
                                            user_id: data.userInfo.user_id,
                                            hospital_id: data.hospitalinfo.hospital_id,
                                            interface_type: data.hospitalinfo.interface_type,
                                            pid:data.userInfo.pid,
                                            equipmentType:equipmentType,
                                            user_phone:data.userInfo.user_phone,
                                            chnlcode: "001",
                                        });
                                        var zxwzFlag = data.isWhite;
                                        fox.sessionStorage.put("zxwzFlag", zxwzFlag);
                                       /* if (equipmentType === "android" && "0" === zxwzFlag) {
                                            var params = {};
                                            params.timId=data.userInfo.user_id;
                                            params.timSig=data.userSig;
                                            fox.native.call("timLogin", params, function (code, message, data) {
                                                console.log("安卓登录腾讯云成功"+code);
                                            });

                                        } else if (equipmentType === "ios" &&  "0" === zxwzFlag) {
                                            var params = {
                                                "userId": data.userInfo.user_id,
                                                "name": data.userInfo.card_name,
                                                "userSig": data.userSig,
                                                "actionType": 1
                                            };
                                            fox.device.callTRTC("callTRTC", params, function (code, message, data) {
                                                console.log("苹果登录腾讯云成功："+code);
                                            });
                                        }*/
                                        //  fox.router.to("school_frame");
                                        // fox.custom.checkVersion(vmData.versionFlag);
                                       vm.setGesture_login(equipmentType);
                                        // data.versionFlag = "1";
                                        // vmData.versionFlag = data.versionFlag;
                                    }
                                } else {

                                    fox.layer.open({
                                        content: data.msg
                                        , skin: 'msg'
                                        , anim: 'up'
                                        , time: 2 //2秒后自动关闭
                                    });
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })
                },
                //登录获取验证码
                getVerifyCode: function () {
                    if (vmData.m_disabled_num) {
                        return;
                    }
                    if (!(/^1[1-9]\d{9}$/.test(vmData.loginPhoneNumber_num))) {
                        fox.layer.open({
                            content: '请输入正确的手机号码'
                            , skin: 'msg'
                            , anim: 'up'
                            , time: 2 //2秒后自动关闭
                        });
                        return;
                    }
                    let that = this;
                    fox.service.request({
                        id: "getAudit",
                        name: "customer/customer/getAudit",
                        data: {
                            phone: vmData.loginPhoneNumber_num,
                       //     codeType: "1"
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "0") {

                                    fox.service.request({
                                        id: "sendMPSC200Service",
                                        name: "customer/customer/sendMPSC200Service",
                                        data: {
                                            toolsDate:data.toolsDate ,
                                            toolsPhones: data.toolsPhones,
                                            phone: vmData.loginPhoneNumber_num,
                                            codeType: "1"
                                        },
                                        callback: function (code, message, data) {
                                            if (code == 0 || code == undefined) {
                                                if (data.code == "0") {
                                                    // if(that.m_disabled_num){
                                                    //     return;
                                                    // }
                                                    that.m_count_num = 60;
                                                    that.m_disabled_num = true;
                                                    that.m_verify_tip_num = `${that.m_count_num}s`;
                                                    that.m_intervalId_num = setInterval(() => {
                                                        that.onTimeChang_num();
                                                        console.log('onTimeChang_num');
                                                    }, 1000);
                                                    fox.layer.open({
                                                        content: '验证码发送成功'
                                                        , skin: 'msg'
                                                        , anim: 'up'
                                                        , time: 2 //2秒后自动关闭
                                                    });
                                                } else {

                                                    fox.layer.open({
                                                        content: data.msg
                                                        , skin: 'msg'
                                                        , anim: 'up'
                                                        , time: 2 //2秒后自动关闭
                                                    });
                                                }
                                            } else {
                                                fox.layer.open("网络异常");
                                            }

                                        }
                                    })
                                } else {
                                    fox.layer.open(data.msg);
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }

                        }
                    })



                },
                //时间倒计时
                onTimeChang_num: function () {
                    this.m_count_num--;
                    this.m_verify_tip_num = `${this.m_count_num}s`;
                    if (this.m_count_num == 0)
                        this.onTimeStop_num();
                },
                //时间倒计时结束
                onTimeStop_num: function () {
                    this.m_count_num = "";
                    this.m_disabled_num = false;
                    this.m_verify_tip_num = "获取验证码"
                    // vmData.autBtnClick = true;
                    clearInterval(this.m_intervalId_num);
                },
                encrypt: function (word) {
                    var key = CryptoJS.enc.Utf8.parse("yxfoxzsyc");
                    var srcs = CryptoJS.enc.Utf8.parse(word);
                    var encrypted = CryptoJS.AES.encrypt(srcs, key, {
                        mode: CryptoJS.mode.ECB,
                        padding: CryptoJS.pad.Pkcs7
                    });
                    return encrypted.toString();
                },

                //路由跳转
                to: function (id) {
                    fox.router.append(id);
                    vmData.loginPhoneNumber = "";
                    vmData.loginPassword = "";
                    vmData.loginPhoneNumber_num = "";
                    vmData.login_msgAuthCode = "";
                },
                //回退
                back: function () {
                    fox.router.remove();
                },
                //调用设置收拾密码页面
                setGesture_login: function (equipmentType) {
                    let self = this;
                    //判断设备类型
                    if (equipmentType == 'ios') {
                        console.log("deviceType==ios======");
                        var params = "登录";//1.登录、2.重置
                        var params1 = "";//1.退出的时候写“退出”2.s不是退出写""
                        var paramDic = {appData: params, logtype: params1};
                        fox.device.callGesture("md5", paramDic, function (code, message, data) {
                            if (code == 0) {
                                console.log("ios==成功======");
                                fox.router.to("school_frame");
                                //校验版本
                                fox.custom.checkVersion(vmData.versionFlag);
                            }
                        });

                    } else {
                        fox.gestureLock.setPwd(function (code, data) {
                            if (code == 0) {
                                if (data.status == '1') {

                                } else if (data.status == '2') {

                                }
                                // fox.layer.open("新的密码：" + data.result);
                                // currPwd = data.result;
                                fox.localStorage.remove("gesture_pwd");
                                fox.localStorage.put("gesture_pwd", data.result);
                                fox.router.to("school_frame");
                            } else {
                                // alert("设置失败：" + message);
                            }
                        });
                    }
                },
                //调整page size
                adjustPageSize: function adjustPageSize() {
                    //屏幕当前的高度
                    var oHeight = fox.$.getClientHeight();
                    //设置page 高度
                    fox.$(".fox-page > .fox-content").css("height", oHeight + "px");
                }
            },
            //加载后处理
            mounted: function () {
                //this.showAgView();
                //物理返回键跳转异常修复
                fox.router.remove({all:true});
                //调整页面大小
                this.adjustPageSize();

                $('#scroll').scroll({
                    indicators: false //是否显示滚动条
                });
                $('.fox-segmented-control a').on('tap', function (e) {
                    console.log('a======' + e.target.id);
                    if (e.target.id == "pwd") {
                        console.log('11111======' + e.target.id);
                        vmData.loginType = 'pwd'
                        vmData.loginPhoneNumber = "";
                        vmData.loginPassword = "";
                    } else if (e.target.id == "num") {
                        console.log('22222======' + e.target.id);
                        vmData.loginType = 'num'
                        vmData.loginPhoneNumber_num = "";
                        vmData.login_msgAuthCode = "";
                    }
                });
                var firstLogin = fox.localStorage.get("firstLogin");
                if(firstLogin == "1"){

                }else{
                    //this.test();
                    this.showAgView();
                }

            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {
        //修复ios返回页面光标消失缓慢
        var inputs = $('input');
        inputs.each(function (i, input) {
            input.blur();
        });
    }
});
