define(function (require, exports) {
    var clear_time;
    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        //获取登录信息
        let tempData = fox.localStorage.get("_global_loginInfo");
        //vue data
        let vmData = {
            m_verify_tip: "获取验证码",
            m_count: 60,
            verifyCode: "",
            showAgreementView: false,
            registerPhoneNumber: "",
            msgAuthCode: "",
            firsTimePassword: "",
            secoundTimePassword: "",
            autBtnClick: true,
            m_disabled: false,
            m_intervalId: undefined,
        }

        //创建vue model
        let vm = new Vue({
            el: cite.el,
            //数据
            data: vmData,
            //计算属性
            computed: {},
            //方法
            methods: {
                //注册导航返回按钮
                registerCancel: function () {
                    clearTimeout(clear_time);
                    fox.router.remove();
                },
                //注册  发送短信验证码
                sendMsgAuthCode: function () {
                    let that = this;
                    if (vmData.autBtnClick == true) {
                        if (!(/^1[1-9]\d{9}$/.test(vmData.registerPhoneNumber))) {
                            fox.layer.open({
                                content: '请输入正确的手机号码'
                                , skin: 'msg'
                                , anim: 'up'
                                , time: 2 //2秒后自动关闭
                            });
                            return;
                        }
                        fox.service.request({
                            id: "getAudit",
                            name: "customer/customer/getAudit",
                            data: {
                                phone: vmData.registerPhoneNumber,
                                //     codeType: "1"
                            },
                            callback: function (code, message, data) {
                                if (code == 0 || code == undefined) {
                                    if (data.code == "0") {
                                        fox.service.request({
                                            id: "sendMPSC200Service",
                                            name: "customer/customer/sendMPSC200Service",
                                            data: {
                                                phone: vmData.registerPhoneNumber,
                                                codeType: "2",
                                                toolsDate:data.toolsDate ,
                                                toolsPhones: data.toolsPhones,
                                            },
                                            callback: function (code, message, data) {
                                                if (code == 0 || code == undefined) {
                                                    if (data.code == "0") {
                                                        vmData.autBtnClick = false;
                                                        if (that.m_disabled) {
                                                            return;
                                                        }
                                                        that.m_count = 60;
                                                        that.m_disabled = true;
                                                        that.m_verify_tip = `${that.m_count}s`;
                                                        that.m_intervalId = setInterval(() => {
                                                            that.onTimeChange();
                                                        }, 1000);
                                                        fox.layer.open({
                                                            content: '验证码发送成功'
                                                            , skin: 'msg'
                                                            , anim: 'up'
                                                            , time: 2 //2秒后自动关闭
                                                        });
                                                    } else {
                                                        fox.layer.open({
                                                            content: data.msg
                                                            , skin: 'msg'
                                                            , anim: 'up'
                                                            , time: 2 //2秒后自动关闭
                                                        });
                                                    }
                                                } else {
                                                    fox.layer.open("网络异常");
                                                }

                                            }
                                        })

                                        // fox.service.request({
                                        //     id: "sendMPSC200Service",
                                        //     name: "customer/customer/sendMPSC200Service",
                                        //     data: {
                                        //         toolsDate:data.toolsDate ,
                                        //         toolsPhones: data.toolsPhones,
                                        //         phone: vmData.registerPhoneNumber,
                                        //         codeType: "2"
                                        //     },
                                        //     callback: function (code, message, data) {
                                        //         if (code == 0 || code == undefined) {
                                        //             if (data.code == "0") {
                                        //                 // if(that.m_disabled_num){
                                        //                 //     return;
                                        //                 // }
                                        //                 that.m_count_num = 60;
                                        //                 that.m_disabled_num = true;
                                        //                 that.m_verify_tip_num = `${that.m_count_num}s`;
                                        //                 that.m_intervalId_num = setInterval(() => {
                                        //                     that.onTimeChang_num();
                                        //                     console.log('onTimeChang_num');
                                        //                 }, 1000);
                                        //                 fox.layer.open({
                                        //                     content: '验证码发送成功'
                                        //                     , skin: 'msg'
                                        //                     , anim: 'up'
                                        //                     , time: 2 //2秒后自动关闭
                                        //                 });
                                        //             } else {
                                        //
                                        //                 fox.layer.open({
                                        //                     content: data.msg
                                        //                     , skin: 'msg'
                                        //                     , anim: 'up'
                                        //                     , time: 2 //2秒后自动关闭
                                        //                 });
                                        //             }
                                        //         } else {
                                        //             fox.layer.open("网络异常");
                                        //         }
                                        //
                                        //     }
                                        // })
                                    } else {
                                        fox.layer.open(data.msg);
                                    }
                                } else {
                                    fox.layer.open("网络异常");
                                }

                            }
                        })

                    } else {

                    }
                },
                removeAgreementBg: function () {
                    this.showAgreementView = !this.showAgreementView;
                },
                unAgreementBg:function(){

                    fox.native.shutdown();

                },
                //注册按钮点击
                register: function () {
                    if (!(/^1[1-9]\d{9}$/.test(vmData.registerPhoneNumber))) {
                        fox.layer.open({
                            content: '请输入正确的手机号码'
                            , skin: 'msg'
                            , anim: 'up'
                            , time: 2 //2秒后自动关闭
                        });
                        return;
                    }
                    if (!vmData.msgAuthCode) {
                        fox.layer.open({
                            content: '验证码不能为空'
                            , skin: 'msg'
                            , anim: 'up'
                            , time: 2 //2秒后自动关闭
                        });
                        return;
                    }
                    if (!(/^(?=.*[A-Za-z])(?=.*\d)[A-Za-z\d]{6,16}$/.test(vmData.firsTimePassword))) {
                        fox.layer.open({
                            content: '请输入6-16位数字与字母组合的密码'
                            , skin: 'msg'
                            , anim: 'up'
                            , time: 2 //2秒后自动关闭
                        });
                        return;
                    }
                    if (!(/^(?=.*[A-Za-z])(?=.*\d)[A-Za-z\d]{6,16}$/.test(vmData.secoundTimePassword))) {
                        fox.layer.open({
                            content: '请再次输入6-16位数字与字母组合的密码'
                            , skin: 'msg'
                            , anim: 'up'
                            , time: 2 //2秒后自动关闭
                        });
                        return;
                    }
                    if (!(vmData.firsTimePassword === vmData.secoundTimePassword)) {
                        fox.layer.open({
                            content: '两次输入密码不一致'
                            , skin: 'msg'
                            , anim: 'up'
                            , time: 2 //2秒后自动关闭
                        });
                        return;
                    }
                    var boxCheck = document.getElementById("register_checkbox").checked;
                    if (boxCheck == false) {
                        fox.layer.open({
                            content: '请您阅读并同意相关《注册协议》'
                            , skin: 'msg'
                            , anim: 'up'
                            , time: 2 //2秒后自动关闭
                        });
                        return;
                    }
                    fox.service.request({
                        id: "CustomerRegister",
                        name: "customer/customer/CustomerRegister",
                        data: {
                            phone: vmData.registerPhoneNumber,
                            password: this.encrypt(vmData.firsTimePassword),
                            password2: this.encrypt(vmData.secoundTimePassword),
                            msgcode: vmData.msgAuthCode,
                            codeType: "2"
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                fox.localStorage.put("firstLogin","1");
                                // data=JSON.stringify(data);
                                if (data.code == "0") {
                                    fox.layer.open({
                                        content: '注册成功'
                                        , skin: 'msg'
                                        , anim: 'up'
                                        , time: 2 //2秒后自动关闭
                                    });
                                    vm.registerCancel();
                                } else {

                                    fox.layer.open({
                                        content: data.msg
                                        , skin: 'msg'
                                        , anim: 'up'
                                        , time: 2 //2秒后自动关闭
                                    });
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }

                        }
                    })
                },
                 //用户协议点击事件
                 showREGSView: function () {
                    this.showAgreementView = !this.showAgreementView;
                    fox.service.request({
                        id: "getPaymentOrder",
                        name: "registrationProtocol/registrationProtocol/queryRegistrationProtocol",
                        data: {
                            paraNo:"REGS"
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    document.getElementById("agreementCon").innerHTML = data.cn_desc;
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },

                //协议点击事件
                showAgView: function () {
                    this.showAgreementView = !this.showAgreementView;
                    fox.service.request({
                        id: "getPaymentOrder",
                        name: "registrationProtocol/registrationProtocol/queryRegistrationProtocol",
                        data: {},
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    document.getElementById("agreementCon").innerHTML = data.cn_desc;
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },
                //时间倒计时
                onTimeChange: function () {
                    this.m_count--;
                    this.m_verify_tip = `${this.m_count}s`;
                    if (this.m_count == 0)
                        this.onTimeStop();
                },
                //时间倒计时结束
                onTimeStop: function () {
                    this.m_count = "";
                    this.m_disabled = false;
                    this.m_verify_tip = "获取验证码"
                    vmData.autBtnClick = true;
                    clearInterval(this.m_intervalId);
                },
                encrypt: function (word) {
                    var key = CryptoJS.enc.Utf8.parse("yxfoxzsyc");
                    var srcs = CryptoJS.enc.Utf8.parse(word);
                    var encrypted = CryptoJS.AES.encrypt(srcs, key, {
                        mode: CryptoJS.mode.ECB,
                        padding: CryptoJS.pad.Pkcs7
                    });
                    return encrypted.toString();
                },
                //调整page size
                adjustPageSize: function adjustPageSize() {
                    //屏幕当前的高度
                    var oHeight = fox.$.getClientHeight();
                    //设置page 高度
                    fox.$(".fox-page > .fox-content").css("height", oHeight + "px");
                }
            },
            //加载后处理
            mounted: function () {
                //调整页面大小
                this.adjustPageSize();

                var inputs = $('input');
                clear_time = setTimeout(function () {
                    inputs.each(function (i, input) {
                        if (i == 4) {
                            input.focus();
                        }
                        // console.log("============" + i);
                        input.style.pointerEvents = "auto";
                    });
                }, 400);

            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {
        clearTimeout(clear_time);
        //修复ios返回页面光标消失缓慢
        var inputs = $('input');
        inputs.each(function (i, input) {
            input.blur();
        });
    }
});
