define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        //vue data
        var hospitalData = fox.bus.get("hospitalData");
        var vmData = {
            departmentList: [],
            departmentTypeList: [],
            activeClass: 0
        }

        //创建vue model
        let vm = new Vue({
            el: cite.el,
            //数据
            data: vmData,

            //方法
            methods: {
                //动态切换选中颜色样式
                selectDepartment: function (index) {
                    this.activeClass = index;
                    fox.service.request({
                        id: "querypaySpecials",
                        name: "service/deskwork/querypaySpecials",
                        data: {
                            ParDepId: vmData.departmentList[index].ParDepId,
                            DoctAll: ""

                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                // data=JSON.stringify(data);
                                if (data.code == "0") {
                                    if (data && data.windowStyle) {
                                        fox.router.remove();
                                    } else {

                                        vmData.departmentTypeList = data.result;
                                    }
                                } else {

                                    fox.layer.open({
                                        content: data.msg
                                        , skin: 'msg'
                                        , anim: 'up'
                                        , time: 2 //2秒后自动关闭
                                    });
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })
                },
                selectDepartmentType: function (index) {

                    fox.service.request({
                        id: "querypayDeskInfo",
                        name: "service/deskwork/querypayDeskInfo",
                        data: {
                            DoctId: vmData.departmentTypeList[index].DoctId
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                // data=JSON.stringify(data);
                                if (data.code == "0") {
                                    if (data && data.windowStyle) {
                                        fox.router.remove();
                                    } else {

                                        fox.router.append("doctorInfo", data.result[0]);
                                    }
                                } else {

                                    fox.layer.open({
                                        content: data.msg
                                        , skin: 'msg'
                                        , anim: 'up'
                                        , time: 2 //2秒后自动关闭
                                    });
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })


                },
                getDepartment: function () {
                    var mydate = new Date();
                },

                //回退
                back: function () {
                    fox.router.remove();
                }
            },
            //加载后处理
            mounted: function () {
                this.getDepartment();
                // fox.localStorage.remove("_global_loginInfo");
                $('.fox-switch').switch();

                $(this.$refs.phoneSwitch).on('toggle', (event) => {
                    this.remPhone = event.detail.isActive
                });

                $(this.$refs.userSwitch).on('toggle', (event) => {
                    this.remUser = event.detail.isActive
                });
                fox.service.request({
                    id: "queryClinicaldepart",
                    name: "service/deskwork/queryClinicaldepart",
                    data: {
                        DepartTyp: "",
                        DepartTypID: "",
                        ShowOrg: "0"
                    },
                    callback: function (code, message, data) {
                        if (code == 0 || code == undefined) {
                            // data=JSON.stringify(data);
                            if (data.code == "0") {
                                if (data && data.windowStyle) {
                                    fox.router.remove();
                                } else {
                                    vmData.departmentList = data.result;
                                    if (data.result.length !== 0) {
                                        fox.service.request({
                                            id: "querypaySpecials",
                                            name: "service/deskwork/querypaySpecials",
                                            data: {
                                                ParDepId: vmData.departmentList[0].ParDepId,
                                                DoctAll: ""

                                            },
                                            callback: function (code, message, data) {
                                                if (code == 0 || code == undefined) {
                                                    // data=JSON.stringify(data);
                                                    if (data.code == "0") {
                                                        if (data && data.windowStyle) {
                                                            fox.router.remove();
                                                        } else {

                                                            vmData.departmentTypeList = data.result;
                                                        }
                                                    } else {

                                                        fox.layer.open({
                                                            content: data.msg
                                                            , skin: 'msg'
                                                            , anim: 'up'
                                                            , time: 2 //2秒后自动关闭
                                                        });
                                                    }
                                                } else {
                                                    fox.layer.open("网络异常");
                                                }
                                            }
                                        })
                                    }

                                }
                            } else {

                                fox.layer.open({
                                    content: data.msg
                                    , skin: 'msg'
                                    , anim: 'up'
                                    , time: 2 //2秒后自动关闭
                                });
                            }
                        } else {
                            fox.layer.open("网络异常");
                        }
                    }
                })

            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
