define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        //vue data
        var vmData={
            departmentList:[{department:"全部"}],
            departmentTypeList:[],
            activeClass:0,
            Date:new Date().format("yyyyMMdd"),
            append_time:0,
            nucleicTest:data
        }

        //创建vue model
        let vm=new Vue({
            el:cite.el,
            //数据
            data:vmData,


            //方法
            methods:{
                //动态切换选中颜色样式
                east_selectDepartment: function (index) {
                    this.activeClass = index;
                },
                //选择科室
                east_selectDepartmentType: function (index) {
                    //重复点击修复
                    var append_once=fox.bus.get("append_once");
                    var now_time=new Date();
                    now_time=now_time.getTime();
                    if(append_once==true||now_time-vmData.append_time<1500){
                        vmData.append_time=now_time;
                        return;
                    };
                    vmData.append_time=now_time;
                    fox.bus.put("append_once",true);
                    var departmentData = vmData.departmentTypeList[index];
                    departmentData.nucleicTest = vmData.nucleicTest;
                    fox.router.append("east_departmentDetail",departmentData);
                },
                east_getDepartment:function () {
                    var mydate= new Date();
                    fox.service.request({
                        id: "queryDepartment",
                        name: "service/eastSoftRegistered/queryDepartment",
                        data: {
                            RegType:'1',
                            Date:vmData.Date,
                            nucleicTest:vmData.nucleicTest
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    vmData.departmentTypeList = '';
                                    fox.layer.open(data.msg);
                                } else {
                                    if(data.result.hasOwnProperty('DeptList')){
                                        data.result=data.result==undefined?{DeptList:[]}:data.result;
                                        if(data.result.DeptList.length==0) {
                                            fox.layer.open("该时段没有可挂号科室");
                                        }
                                        vmData.departmentTypeList = data.result.DeptList;
                                    }else{
                                        vmData.departmentTypeList = '';
                                        fox.layer.open("该时段没有可挂号科室");
                                    }
                                }
                            } else {
                                fox.layer.open("service调用异常:code:" + code + ",msg:" + JSON.stringify(message));
                            }
                        }
                    });
                },

                //回退
                back: function () {
                    fox.bus.put("append_once",false);
                    fox.router.remove();
                }
            },
            //加载后处理
            mounted:function(){
                this.east_getDepartment();
                // fox.localStorage.remove("_global_loginInfo");
                $('.fox-switch').switch();

                $(this.$refs.phoneSwitch).on('toggle',(event)=>{
                    this.remPhone = event.detail.isActive
                });

                $(this.$refs.userSwitch).on('toggle',(event)=>{
                    this.remUser = event.detail.isActive
                });

            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {
        fox.bus.put("append_once",false);
    }
});
