define(function(require, exports) {

    var timer,DDtimer;
    //page加载完成后调用ready方法
    exports.ready = function(code, data, cite) {
        var phone = fox.bus.get("loginPhoneNum");
        // var loginInfo = fox.bus.get("loginUserInfo");
        var hospitalData = fox.bus.get("HomehospitalData");
        var deviceType = fox.bus.get("loginDeviceType");
        var loginUserInfo = fox.bus.get("loginUserInfo");
        var homehospitalInfo = fox.bus.get("HomehospitalData");
        var vmData = {
            paymentType: "1", //1微信支付2支付宝支付
            maxtime: 3 * 60,
            minutes: "", //分
            seconds: "", //秒
            Price: parseFloat(data.item.moneys).toFixed(2), //需要扣除总金额
            deviceType:deviceType,
            priceSpread: parseFloat(data.priceSpread).toFixed(2), //需缴费金额
            hospital_name: hospitalData.hospital_name,
            user_id: loginUserInfo.user_id,
            hospital_id: homehospitalInfo.hospital_id,
            wx_status:homehospitalInfo.wx_status,

            ClinicNo:data.ClinicNO,
            Execdept:data.item.detail[0].ExecDeptName,
            //交易流水号
            outtradeno: "",
            PatientID: data.PatientID,
            PatName: data.PatName,
            user_phone: phone,
            // detail: detailsDic,
            deviceType: deviceType,
            patient_name: data.patient_name,
            pid: data.pid, //用户id
            CardNo: data.card_no, //卡号
            jsonData: data, //上个页面传输过来的数据
            query_check:'',
        }

        //创建vue model
        let vm = new Vue({
            el: cite.el,
            //数据
            data: vmData,
            //方法
            methods: {
                //支付开始
                east_goPayment: function() {
                    let that = this;
                    var payType = vmData.paymentType;
                    document.getElementById("payDisabled").disabled = true;
                    document.getElementById("payDisabled").style.backgroundColor = "#666666";
                    if (payType === "1" && payType !== "") {
                        that.east_wxPay(payType, vmData.registerData);
                    } else if (payType === "2" && payType !== "") {
                        that.east_zfbPay(payType, vmData.registerData);
                    }else if (payType === "3" && payType !== "") {
                        that.cmbPay(payType, vmData.registerData);
                    }
                },
                //微信支付
                east_wxPay: function(payType, registerData) {
                    let that = this;
                    fox.service.request({
                        id: "getPaymentOrder",
                        name: "wxpay/wxpay/getPaymentOrder",
                        data: {
                            payType: payType,
                            total_amount: vmData.Price,
                            body: "微信缴费",
                            pid: vmData.pid,
                            CardNo: vmData.CardNo,
                            ClinicNo: vmData.ClinicNo,
                            chnlcode: "001", //渠道编号 001App 002公众号
                            trantype: "003", //业务类型 001充值 002挂号 003缴费 004退款
                            flag: "123", //flag标识是东软支付
                            registerData: vmData.jsonData,
                            patName: vmData.patient_name,
                        },
                        callback: function(code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    var outtradeno = data.outtradeno; //订单号
                                    //开始调取支付
                                    console.info("开始调取微信支付");
                                    that.Aeast_WXhtml(payType, outtradeno, data);
                                }
                            } else {
                                document.getElementById("payDisabled").disabled = false;
                                document.getElementById("payDisabled").style.backgroundColor = "#3ea5f6";
                                fox.layer.open("网络异常");
                                //fox.layer.open("网络异常");
                            }
                        }
                    });
                },
                //支付宝支付
                east_zfbPay: function(payType, registerData) {
                    let that = this;
                    fox.service.request({
                        id: "getPaymentOrder",
                        name: "alipay/alipay/getPaymentOrder",
                        data: {
                            payType: payType,
                            total_amount: vmData.Price,
                            subject: "支付宝缴费",
                            pid: vmData.pid,
                            CardNo: vmData.CardNo,
                            ClinicNo: vmData.ClinicNo,
                            chnlcode: "001", //渠道编号 001App 002公众号
                            trantype: "003", //业务类型 001充值 002挂号 003缴费 004退款
                            flag: "123", //flag标识是东软支付
                            registerData: vmData.jsonData, //挂号明细
                            //病人ID
                            //PatientID: vmData.pid,
                            patName: vmData.patient_name,
                        },
                        callback: function(code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    var outtradeno = data.outtradeno; //订单号
                                    //开始调取支付
                                    console.info("开始调取支付宝支付");
                                    that.east_ZFBhtml(payType, outtradeno, data);
                                }
                            } else {
                                document.getElementById("payDisabled").disabled = false;
                                document.getElementById("payDisabled").style.backgroundColor = "#3ea5f6";
                                fox.layer.open("网络异常");
                                //fox.layer.open("网络异常");
                            }
                        }
                    });
                },
                //一网通支付
                cmbPay: function(payType, registerData) {
                    let that = this;
                    fox.service.request({
                        id: "getPaymentOrder",
                        name: "netcompay/netcompay/getPaymentOrder",
                        data: {
                            payType: payType,
                            total_amount: vmData.Price,
                            body: "一网通缴费",
                            pid: vmData.pid,
                            CardNo: vmData.CardNo,
                            ClinicNo: vmData.ClinicNo,
                            chnlcode: "001", //渠道编号 001App 002公众号
                            trantype: "003", //业务类型 001充值 002挂号 003缴费 004退款
                            flag: "123", //flag标识是东软支付
                            registerData: vmData.jsonData,
                            patName: vmData.patient_name,
                        },
                        callback: function(code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    document.getElementById("payDisabled").disabled = false;
                                    document.getElementById("payDisabled").style.backgroundColor = "#3ea5f6";
                                    fox.layer.open(data.msg);
                                } else {
                                    var outtradeno = data.outtradeno; //订单号
                                    //开始调取支付
                                    console.info("开始调取一网通支付");
                                    that.CMBhtml(payType, outtradeno, data);
                                }
                            } else {
                                document.getElementById("payDisabled").disabled = false;
                                document.getElementById("payDisabled").style.backgroundColor = "#3ea5f6";
                                fox.layer.open("网络异常");
                                //fox.layer.open("service调用异常:code:" + code + ",msg:" + JSON.stringify(message));
                            }
                        }
                    });
                },
                //一网通页面调取
                CMBhtml: function (payType, outtradeno, data) {
                    var jsonRequestData = data.data;
                    //             console.info("jsonRequestData:  "+jsonRequestData);
                    var jsonRequestDataStr = JSON.stringify(jsonRequestData);
                    //              console.info("jsonRequestDataStr:  "+jsonRequestDataStr);
                    var sst = encodeURIComponent(jsonRequestDataStr);
                    //       console.info("sst:  "+sst);
                    var jsonRequestDataRrl = "charset=utf-8&jsonRequestData=" + encodeURIComponent(jsonRequestDataStr);
                    //         console.info("jsonRequestDataRrl:  "+jsonRequestDataRrl);
                    let that = this;
                    var params = {"jsonRequestDataRrl":jsonRequestDataRrl,"appid":data.appid};
                    if (vmData.deviceType === "android") {
                        fox.native.call("cmbPay", params, function (code, message, data) {
                            if (code == 0) {
                                var obj = JSON.parse(data);
                                if (obj.errCode === "0") {
                                    //查询异步支付结果
                                    // that.WXOrder(payType, outtradeno, obj);
                                    that.queryOuttradenoStatus(outtradeno);
                                } else {
                                    if (vmData.SerContr === '1') {
                                        that.unlock();
                                    }
                                    document.getElementById("payDisabled").disabled = false;
                                    document.getElementById("payDisabled").style.backgroundColor = "#3ea5f6";
                                }
                            } else {
                                if (vmData.SerContr === '1') {
                                    that.unlock();
                                }
                                document.getElementById("payDisabled").disabled = false;
                                document.getElementById("payDisabled").style.backgroundColor = "#3ea5f6";
                            }
                        });
                    } else if (vmData.deviceType === "ios") {
                        //           console.log("ios");
//                        var params = fox.base64.encode(data.data);
                        //  console.log("jsonRequestDataRrl========" + jsonRequestDataRrl);
                        fox.device.callCMBPay("callCMBPay", params, function (code, message, data) {
                            if (code == 0) {
                                var callBackParams = fox.base64.decode(data);
                                console.log("callCMBPay=======data========" + fox.base64.decode(data));
                                var obj = JSON.parse(callBackParams);

                                if (obj.errCode === "0") {
                                    that.queryOuttradenoStatus(outtradeno);
                                } else {
                                    if (vmData.SerContr === '1') {
                                        that.unlock();
                                    }
                                    document.getElementById("payDisabled").disabled = false;
                                    document.getElementById("payDisabled").style.backgroundColor = "#3ea5f6";
                                }
                            } else {
                                fox.layer.open(message);
                                if (vmData.SerContr === '1') {
                                    that.unlock();
                                }
                                document.getElementById("payDisabled").disabled = false;
                                document.getElementById("payDisabled").style.backgroundColor = "#3ea5f6";
                            }
                        });
                    }
                },
                //微信支付页面调取
                Aeast_WXhtml: function (payType, outtradeno, data) {
                    let that = this;
                    if (vmData.deviceType === "android") {
                        console.log("android");
                        var params = data.data;
                        params.cover = false;
                        fox.native.call("wxPay", params, function (code, message, data) {
                            if (code == 0) {
                                /** obj字典参数 :
                                 * 错误码：errCode
                                 * 错误提示字符串：errStr
                                 *响应类型：type
                                 * */
                                var obj = JSON.parse(data);
                                if (obj.errCode === "0") {
                                    //查询异步支付结果
                                    console.info("查询微信异步支付结果");
                                    that.queryOuttradenoStatus(outtradeno,'1');
                                } else {
                                    document.getElementById("payDisabled").disabled = false;
                                    document.getElementById("payDisabled").style.backgroundColor = "#3ea5f6";
                                }
                            } else {
                                document.getElementById("payDisabled").disabled = false;
                                document.getElementById("payDisabled").style.backgroundColor = "#3ea5f6";
                                fox.layer.open("请检查网络，并重新预约");
                            }
                        });
                    } else if (vmData.deviceType === "ios") {
                        console.log("ios");
                         var params = data.data;
                        fox.device.callWXPay("callWXPay", params, function (code, message, data) {
                            if (code == 0) {
                                var callBackParams = fox.base64.decode(data);
                                /** obj字典参数 :
                                 * 错误码：errCode
                                 * 错误提示字符串：errStr
                                 *响应类型：type
                                 * */
                                var obj = JSON.parse(callBackParams);
                                if (obj.errCode === "0") {
                                    // fox.layer.open("支付成功");//支付成功
                                    //查询异步支付结果
                                    console.info("查询微信异步支付结果");
                                    that.queryOuttradenoStatus(outtradeno,'1');
                                } else {
                                    document.getElementById("payDisabled").disabled = false;
                                    document.getElementById("payDisabled").style.backgroundColor = "#3ea5f6";
                                }
                            } else {
                                document.getElementById("payDisabled").disabled = false;
                                document.getElementById("payDisabled").style.backgroundColor = "#3ea5f6";

                            }
                        });
                    }
                },
                //支付宝页面调取
                east_ZFBhtml: function (payType, outtradeno, data) {
                    let that = this;
                    if (vmData.deviceType === "android") {
                        console.log("android");
                        var params = data.data;
                        fox.native.call("aliPay", params, function (code, message, data) {
                            if (code == 0) {
                                var callBackParams = JSON.parse(data);
                                if (callBackParams.resultStatus === "9000" || callBackParams.resultStatus === "8000" || callBackParams.resultStatus === "6004" ) {
                                    //查询异步支付结果
                                    console.info("查询支付宝异步支付结果");
                                    that.east_ZFBOrder(payType, outtradeno,callBackParams);
                                } else {
                                    // fox.layer.open(dataStatus.memo);//支付失败
                                    document.getElementById("payDisabled").disabled = false;
                                    document.getElementById("payDisabled").style.backgroundColor = "#3ea5f6";
                                }

                            } else {
                                document.getElementById("payDisabled").disabled = false;
                                document.getElementById("payDisabled").style.backgroundColor = "#3ea5f6";
                            }
                        });
                    } else if (vmData.deviceType === "ios") {
                        console.log("ios");
                        var params = fox.base64.encode(data.data);
                        fox.device.callAliPay("callAliPay", params, function (code, message, data) {
                            if (code == 0) {
                                var callBackParams = fox.base64.decode(data);
                                var obj = JSON.parse(callBackParams);
                                if (obj.resultStatus === "9000" || obj.resultStatus === "8000" || obj.resultStatus === "6004" ) {
                                    //查询异步支付结果
                                    console.info("查询支付宝异步支付结果");
                                    that.east_ZFBOrder(payType, outtradeno,callBackParams);
                                } else {
                                    document.getElementById("payDisabled").disabled = false;
                                    document.getElementById("payDisabled").style.backgroundColor = "#3ea5f6";
                                }

                            } else {
                                document.getElementById("payDisabled").disabled = false;
                                document.getElementById("payDisabled").style.backgroundColor = "#3ea5f6";
                            }
                        });
                    }
                },
                // 支付宝异步查询
                east_ZFBOrder: function(payType, outtradeno, callBackParams) {
                    let that = this;
                    fox.service.request({
                        id: "getOrderQuery",
                        name: "alipay/alipay/getOrderQuery",
                        data: {
                            out_trade_no: outtradeno,
                            // idBack:vm.idBack.image,
                        },
                        callback: function(code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open("支付超时");
                                    //that.unlock();
                                } else if (data.code == "0" && data.status == "1") {

                                  
                                    console.info("支付宝异步查询 成功");
                                    that.east_PayFee(outtradeno);
                                } else {
                                    fox.layer.open("支付超时");
                                }
                            } else {
                                fox.layer.open("网络异常");
                                // 请稍后查询
                            }
                        }
                    });
                },
                queryOuttradenoStatus: function (outtradeno,type) {
                    let  that = this;
                    fox.service.request({
                        id: "paySubmit",
                        name: "hospitalPay/hospitalPay/paySubmit",
                        data: {
                            workseqno: outtradeno,
                            FlowNo:outtradeno,
                            CardNo:vmData.CardNo,
                            SchemaID: vmData.SchemaID,
                            pid:vmData.pid,
                            payType:type, // 支付类型：1微信，2支付宝
                            RegType:vmData.RegType,
                            name:vmData.Ofpatient,
                            Day:vmData.Day,
                            Fee:vmData.Fee,                 // 病人名称
                            ReglevelName:vmData.ReglevelName,     // 医生级别
                            Noon:vmData.Noon,                 //上午下午晚上
                            DoctorName:vmData.DoctorName,      // 医生姓名
                            DeptName:vmData.DeptName,           // 科室名称
                            phone:vmData.phone,
                            smsCodyType:"0",
                            patName:vmData.Ofpatient,
                            registerInfo:vmData.hospital_name+"-"+vmData.DepName+"-"+vmData.DoctorName,
                            smsType:"003"
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open("缴费失败,费用预计2-3个工作日将退回原支付账户中!");
                                    clearInterval(timer);
                                    clearTimeout(DDtimer);
                                    fox.router.remove();
                                } else if (data.code == "200013") {
                                    if(vmData.query_check==0){
                                        vmData.query_check=1;
                                        fox.layer.open({
                                            content: "等待结果处理中。。。。。",
                                            skin: 'msg',
                                            anim: 'up',
                                            time: 2 //2秒后自动关闭
                                        });
                                        DDtimer = setTimeout(() => {
                                            that.queryOuttradenoStatus(outtradeno,type);
                                        }, 1900);
                                    }else{
                                        fox.layer.open({
                                            content:'缴费状态未知，请到缴费记录查看！',
                                            btn:["确认"],
                                            action:[
                                                function (index) {
                                                    clearInterval(timer);
                                                    clearTimeout(DDtimer);
                                                    fox.router.remove({all: true});
                                                }
                                            ]
                                        });
                                    }
                                } else {
                                    // var queryData = data.result;
                                        fox.layer.open({
                                            content:'缴费成功',
                                            btn:["确认"],
                                            action:[
                                                function (index) {
                                                    clearInterval(timer);
                                                    clearTimeout(DDtimer);
                                                    fox.router.remove({all: true});
                                                }
                                            ]
                                        });
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },

                //  缴费
                east_PayFee: function(outtradeno) {
                    let that = this;
                    var jsonData = {
                        pid: that.jsonData.pid,
                        CardNo: vmData.CardNo,
                        ClinicNo: that.jsonData.ClinicNO,
                        item: that.jsonData.item,
                        refund_amount:vmData.Price,
                        FlowNo:outtradeno,
                        payType:'2',
                        patName:vmData.patient_name,
                        payInfo:vmData.hospital_name,
                        payAmt:vmData.Price,
                        payNo:vmData.ClinicNo,
                        ExecDept:vmData.Execdept,
                        ExecDepPosition:' ',
                        smsCodeType:'2',
                        smsType:'003',
                        phone:vmData.user_phone

                    };
                    fox.service.request({
                        id: "payFee",
                        name: "paythefee/eastPaythefee/payFee",
                        data: jsonData,
                        callback: function(code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "0") {
                                    fox.layer.open({
                                        content:'缴费成功',
                                        btn:["确认"],
                                        action:[
                                            function (index) {
                                                clearInterval(timer);
                                                clearTimeout(DDtimer);
                                                fox.router.remove({all: true});
                                            }
                                        ]
                                    });
                                } else if (data.code == "200013") {
                                    //超时
                                    if(vmData.query_check==0){
                                        vmData.query_check=1;
                                        fox.layer.open({
                                            content: "等待结果处理中。。。。。",
                                            skin: 'msg',
                                            anim: 'up',
                                            time: 2 //2秒后自动关闭
                                        });
                                        DDtimer = setTimeout(() => {
                                            that.east_PayFee(outtradeno);
                                        }, 1900);
                                    }else{
                                        fox.layer.open({
                                            content:'缴费状态未知，请到缴费记录查看！',
                                            btn:["确认"],
                                            action:[
                                                function (index) {
                                                    clearInterval(timer);
                                                    clearTimeout(DDtimer);
                                                    fox.router.remove({all: true});
                                                }
                                            ]
                                        });
                                    }
                                } else {
                                    fox.layer.open(data.msg);
                                }

                            } else {
                                if(vmData.query_check==0){
                                    vmData.query_check=1;
                                    fox.layer.open({
                                        content: "等待结果处理中。。。。。",
                                        skin: 'msg',
                                        anim: 'up',
                                        time: 2 //2秒后自动关闭
                                    });
                                    DDtimer = setTimeout(() => {
                                        that.east_PayFee(outtradeno);
                                    }, 1900);
                                }else{
                                    fox.layer.open({
                                        content:'缴费状态未知，请到缴费记录查看！',
                                        btn:["确认"],
                                        action:[
                                            function (index) {
                                                clearInterval(timer);
                                                clearTimeout(DDtimer);
                                                fox.router.remove({all: true});
                                            }
                                        ]
                                    });
                                }
                            }
                        }

                    })
                },


                CountDown: function() {
                    var  start_day=new Date().getTime();
                    var  end_day=start_day+vmData.maxtime*1000;
                    timer=setInterval(function () {
                            var now_day = new Date().getTime();
                            vmData.maxtime = (end_day - now_day) / 1000;
                    if (vmData.maxtime >= 0) {
                        var m = Math.floor(vmData.maxtime / 60);
                        var s = Math.floor(vmData.maxtime % 60);
                        if (s < 10) {
                            vmData.seconds = "0" + s;

                        } else {
                            vmData.seconds = s;
                        }
                        if (m < 10) {
                            vmData.minutes = "0" + m;
                        } else {
                            vmData.minutes = m;
                        }
                        // --vmData.maxtime;
                    } else {
                        clearInterval(timer);
                        clearTimeout(DDtimer);
                        fox.router.remove({all:true});
                        // fox.router.to("school_frame");
                    }
                    },100)
                },
                queryAutoPaymentStatus: function(outtradeno) {
                    let _this = this;
                    fox.service.request({
                        id: "paySubmit",
                        name: "hospitalPay/hospitalPay/paySubmit",
                        data: {
                            workseqno: outtradeno,
                            // idBack:vm.idBack.image,
                        },
                        callback: function(code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open({
                                        content:'缴费失败,费用预计2-3个工作日将退回原支付账户中!',
                                        btn:["确认"],
                                        action:[
                                            function (index) {
                                                clearInterval(timer);
                                                clearTimeout(DDtimer);
                                                fox.router.remove({all: true});
                                            }
                                        ]
                                    });
                                } else if (data.code == "200013") {
                                    if(vmData.query_check==0){
                                        vmData.query_check=1;
                                        fox.layer.open({
                                            content: "等待结果处理中。。。。。",
                                            skin: 'msg',
                                            anim: 'up',
                                            time: 2 //2秒后自动关闭
                                        });
                                        DDtimer = setTimeout(() => {
                                             that.queryAutoPaymentStatus(outtradeno);
                                        }, 1900);
                                    }else{
                                        fox.layer.open({
                                            content:'缴费状态未知，请到缴费记录查看！',
                                            btn:["确认"],
                                            action:[
                                                function (index) {
                                                    clearInterval(timer);
                                                    clearTimeout(DDtimer);
                                                    fox.router.remove({all: true});
                                                }
                                            ]
                                        });
                                    }
                                } else {
                                    fox.layer.open({
                                        content:'缴费成功',
                                        btn:["确认"],
                                        action:[
                                            function (index) {
                                                clearInterval(timer);
                                                clearTimeout(DDtimer);
                                                fox.router.remove({all: true});
                                            }
                                        ]
                                    });
                                }
                            } else {
                                fox.layer.open("网络异常");
                                //fox.layer.open("网络异常");
                            }
                        }
                    });
                },

                //回退
                back: function() {
                    clearInterval(timer);
                    clearTimeout(DDtimer);
                    fox.router.remove();
                },
                getNowFormatDate: function() {
                    var date = new Date();
                    var seperator1 = "-";
                    var year = date.getFullYear();
                    var month = date.getMonth() + 1;
                    var strDate = date.getDate();
                    if (month >= 1 && month <= 9) {
                        month = "0" + month;
                    }
                    if (strDate >= 0 && strDate <= 9) {
                        strDate = "0" + strDate;
                    }
                    var currentdate = year + seperator1 + month + seperator1 + strDate;
                    return currentdate;
                },
            },
            //加载后处理
            mounted: function() {
                // timer = setInterval(CountDown(), 1000);
                // timer = setInterval(() => {
                    this.CountDown();
                // }, 1000);
                // fox.localStorage.remove("_global_loginInfo");
                $('.fox-switch').switch();

                $(this.$refs.phoneSwitch).on('toggle', (event) => {
                    this.remPhone = event.detail.isActive
                });

                $(this.$refs.userSwitch).on('toggle', (event) => {
                    this.remUser = event.detail.isActive
                });

            }
        });
    };

    //消息处理
    exports.onmessage = function(type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function(id, cite) {
        clearInterval(timer);
        clearTimeout(DDtimer);
    }
});
