/**
 * Created by jiangcheng on 2018/03/06.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
  
      //vue data
      var vmData = {
        activeClass: 0,
        queryData: "",
        queryDataType: "1",
        queryDataList: [],
        queryDataList1: [],
        Start: 1,
        RequestQty: 10,
        Count: 10,
        count:0,
        queryType: [{
            typeName: "药品查询",
            type: "1"
          },
          {
            typeName: "非药品查询",
            type: "2"
          }
          
        ]
      }
  
      //创建vue model
      var vm = new Vue({
        el: cite.el,
        //数据
        data: vmData,
         //方法
       filters: {
        priceTag(val) {
           return `${parseFloat(val).toFixed(2)}`;
        }
      }, 
        //方法
        methods: {
            startQueryPng: function () {
                let _this = this;
                vmData.queryDataList = [];
                vmData.queryDataList1 = [];
                vmData.Start = 1;
                vmData.RequestQty = 10;
                vmData.Count = 10;
                vmData.count = 0;
              document.getElementById("drugList").style.transform="translate3d(0px, 0px, 0px) translateZ(0px)"
                _this.startQuery();
            },
          startQuery: function () {
            let _this = this;
            vmData.queryData = vmData.queryData.replace(/\s*/g,"");
            if (vmData.queryDataType == "1") {
              //药品服务查询
              _this.queryDrugPrice();
            } else if (vmData.queryDataType == "2") {
              //非药品查询
              _this.queryProjectPrice();
            } 
          },
          //选择查询类型
          select: function (index) {
            let _this = this;
            vmData.activeClass = index;
            vmData.queryDataType = vmData.queryType[index].type;
            vmData.queryDataList = [];
            vmData.queryDataList1 = [];
            vmData.Start = 1;
            vmData.RequestQty = 10;
            vmData.Count = 10;
            vmData.count = 0;
            document.getElementById("drugList").style.transform="translate3d(0px, 0px, 0px) translateZ(0px)"
            // _this.startQuery();
          },
          //药品查询
          queryDrugPrice: function () {
            vmData.queryDataList = [];
            var searchKeyWord = document.getElementById("searchId").value;
            searchKeyWord = searchKeyWord.replace(/\s*/g, "");
            // searchKeyWord = searchKeyWord.toUpperCase;
            if(!searchKeyWord){
              fox.layer.open({
                  content: '请输入名称首字母'
                  ,skin: 'msg'
                  ,anim:'up'
                  ,time: 2 //2秒后自动关闭
              });
              return;
          }

          if(searchKeyWord.length < "3"){
            fox.layer.open({
                content: '不能少于3个字符'
                ,skin: 'msg'
                ,anim:'up'
                ,time: 2 //2秒后自动关闭
            });
            return;
          }


            fox.service.request({
              id: "queryDrugPrice",
              name: "customer/customer/queryDrugPrice",
              data: {
                Spell_Code: searchKeyWord.toUpperCase(),
                // Start: vmData.Start,
                // RequestQty: vmData.RequestQty,
                ItemType:"1"

              },
              callback: function (code, message, data) {
                if (code == 0 || code == undefined) {
                  if (data.code == "0") {
                    // vmData.Count = data.result.Count;
                    if(data.data  != "undefined" && data.data  != null){
                      vmData.queryDataList = data.data;
                      vmData.queryDataList1 = vmData.queryDataList1.concat(vmData.queryDataList);
                      vmData.Start = vmData.Start + vmData.RequestQty;
                    }else{

                      fox.layer.open({
                        content: "没有相关数据，请检查名称首字母",
                        skin: 'msg',
                        anim: 'up',
                        time: 2 //2秒后自动关闭
                      });
                    }
                  } else {
                    fox.layer.open({
                      content: data.msg,
                      skin: 'msg',
                      anim: 'up',
                      time: 2 //2秒后自动关闭
                    });
                  }
                } else {
                  fox.layer.open("网络异常");
                }
              }
            });
          },
        
          //非药品查询
          queryProjectPrice: function () {
            vmData.queryDataList = [];

            var searchKeyWord = document.getElementById("searchId").value;
            searchKeyWord = searchKeyWord.replace(/\s*/g, "");
            // searchKeyWord = searchKeyWord.toUpperCase;
            if(!searchKeyWord){
              fox.layer.open({
                  content: '请输入名称首字母'
                  ,skin: 'msg'
                  ,anim:'up'
                  ,time: 2 //2秒后自动关闭
              });
              return;
           }

           if(searchKeyWord.length < "3"){
            fox.layer.open({
                content: '不能少于3个字符'
                ,skin: 'msg'
                ,anim:'up'
                ,time: 2 //2秒后自动关闭
            });
            return;
          }

            fox.service.request({
              id: "queryDrugPrice",
              name: "customer/customer/queryDrugPrice",
              data: {
                Spell_Code: searchKeyWord.toUpperCase(),
                // Start: vmData.Start,
                // RequestQty: vmData.RequestQty,
                ItemType:"2"
              },
              callback: function (code, message, data) {
                if (code == 0 || code == undefined) {
                  if (data.code == "0") {
                    // vmData.Count = data.result.Count;
                    if(data.data != "undefined" && data.data  != null) {
                      vmData.queryDataList = data.data;
                      vmData.queryDataList1 = vmData.queryDataList1.concat(vmData.queryDataList);
                      vmData.Start = vmData.Start + vmData.RequestQty;
                    }else{

                      fox.layer.open({
                        content: "没有相关数据,请检查名称首字母",
                        skin: 'msg',
                        anim: 'up',
                        time: 2 //2秒后自动关闭
                      });

                    }
                  } else {
                    fox.layer.open({
                      content: data.msg,
                      skin: 'msg',
                      anim: 'up',
                      time: 2 //2秒后自动关闭
                    });
                  }
                } else {
                  fox.layer.open("网络异常");
                }
              }
            });
          },
          //回退
          back: function () {
            fox.router.remove();
          }
        },
        //加载后处理
        mounted: function () {

          
  
        }
      });

    };
  
    //消息处理
    exports.onmessage = function (type, message, cite) {
  
    };
  
    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {
  
    }
  });