define(["./././custom/plugins/fox.gesturelock.js"],function (require, exports) {

	//page加载完成后调用ready方法
	exports.ready = function (code, data, cite) {
		//创建vue model
		//获取登录信息
		let tempData = fox.localStorage.get("_global_loginInfo");

		//vue data
		var vmData = {
			user: (tempData == undefined) ? "" : tempData.user,
			password: (tempData == undefined) ? "" : tempData.password,
		}

		var currPwd = ""; //测试
		//创建vue model
		let vm = new Vue({
			el: "#gesture_login",
			//数据
			data: vmData,
			//方法
			methods: {

				//扩展登录
				login: function() {
					if (this.user.trim().length == 0) {
						fox.layer.open("请输入账号");
						return;
					}
					let saveData = {
						user: this.user,
						password: this.password
					};
					fox.layer.open("指纹/人脸暂不支持");
				},
				//设置手势登录密码
				setPwd: function() {
					fox.gestureLock.setPwd(function(code, data) {
						if (code == 0) {
							alert("新的密码：" + data.result);
							currPwd = data.result;
						} else {
							alert("设置失败：" + message);
						}
					});
				},
				//验证手势密码登录
				verifyPwd: function() {
					var params = {
						phone: "10086"
					};
					var oldPwd = currPwd;
					fox.gestureLock.verifyPwd(oldPwd, function(code, data) {
						if (code == 0) {
							alert("验证成功：" + data.result);
						} else {
							alert("验证失败" + message);
						}
					});
				},
				//修改手势登录密码
				changePwd: function() {
					var oldPwd = currPwd;
					fox.gestureLock.changePwd(oldPwd, function(code, data) {
						if (code == 0) {
							alert("修改密码成功：" + data.result);
						} else {
							alert("修改失败" + message);
						}
					});
				}
			},
			//加载后处理
			mounted: function() {

			}
		});
	};

	//消息处理
	exports.onmessage = function (type, message, cite) {

	};

	//page销毁时触发destroy方法
	exports.destroy = function (id, cite) {
		fox.logger.info("==========> destroy A");
	}
});


