/**
 * Created by jiangcheng on 2018/03/06.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {

        var vmData={
            list:[],
            hosImage:"",
            name:""
        }
        //创建vue model
        var vm=new Vue({
            el:cite.el,
            //数据
            data:vmData,
            //方法
            methods:{
                lookLocationMap:function(item){
                    var mapAddressName = item.hospital_name;//医院名称
                    var location_lat =  item.latitude + "," + item.longitude;//"34.69887,112.475501";//经纬度
                    var tecentKey = "5B3BZ-PBWWX-WFU4X-TV4U5-V5E6E-62BLY";//固定
                    var projectName = "jkly";//项目名字
                    //init_view   初始化显示视图，默认：显示地图 2：显示列表，此参数只在多点标注下生效
                    //radius  是 以center为中心的查询范围半径，单位：米。注意，只有在指定中心点的检索时，才是必填radius=1000
                    var locationUrl = "https://apis.map.qq.com/tools/poimarker?type=1&keyword="+ mapAddressName + "&center=" + location_lat + "&radius=" + 1000 + "&key=" + tecentKey + "&referer=" + projectName + "&init_view=" + 0 +"&tonav=" + 0;
                    fox.router.append('locationMap', locationUrl);
                },
                //医院查询
                queryhosptial:function(){
                    var latitude = fox.sessionStorage.get("latitude");
                    var longitude = fox.sessionStorage.get("longitude");
                    fox.service.request({
                        id:"getAllHospital",
                        name:"hospital/hospital/getAllHospital",
                        data:{
                            longitude:longitude,
                            latitude:latitude,
                            hospital_name:vmData.name,
                        },
                        callback:function(code, message, data){
                            if (code == 0 || code == undefined) {
                                // data=JSON.stringify(data);
                                if (data.code == "0") {
                                    for(var i = 0;i<data.data.length;i++){
                                        if(data.data[i].distance <1000){
                                            data.data[i].distance = data.data[i].distance+"米"
                                        }else if(data.data[i].distance >= 1000){
                                            /*var d = ((data.data[i].distance)/1000+"").split(".");
                                            data.data[i].distance = d[0]+"公里";*/
                                            data.data[i].distance = ((data.data[i].distance)/1000).toFixed(1)+"公里"
                                        }
                                    };
                                    vmData.list = data.data;
                                } else {
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }

                        }
                    })
                    //alert("查询医院名称")
                },
                //回退
                back:function(){
                    fox.router.remove();
                },
                didSelectCell:function (cellId) {

                    if("1" == vmData.list[cellId].show_flag){
                        fox.layer.open("即将上线，敬请期待!");
                        return;
                    }
                    // fox.service.request({
                    //     id:"updateUserLastHospital",
                    //     name:"hospital/hospital/updateUserLastHospital",
                    //     data:{
                    //         hospital_id:vmData.list[cellId].hospital_id,
                    //     },
                    //     callback:function(code, message, data){
                    //         if (code == 0 || code == undefined) {
                    //             // data=JSON.stringify(data);
                    //             if (data.code == "0") {

                    //             } else {
                    //             }
                    //         } else {
                    //             // fox.layer.open("网络异常");
                    //         }

                    //     }
                    // })
                    fox.eventproxy.trigger("my_event_collapse",vmData.list[cellId]);
                    fox.router.remove();
                },
                //调整page size
                adjustPageSize:function(){
                    //屏幕当前的高度
                    // var oHeight = $.getClientHeight();
                    // //设置page 高度
                    var home = fox.bus.get('home');
             //       var footer = fox.bus.get('footer');
            //        var header = document.getElementById('fox-header');
            //        document.getElementById('fox-content').style.marginBottom = footer.clientHeight+'px';
                     $(".fox-page > .fox-content").css("height", home.clientHeight+18+ "px");

                },

            },
            //加载后处理
            mounted:function(){
                this.adjustPageSize();
                var longitude = fox.sessionStorage.get("longitude");
                var latitude = fox.sessionStorage.get("latitude");
                fox.service.request({
                    id:"getAllHospital",
                    name:"hospital/hospital/getAllHospital",
                    data:{
                        longitude:longitude,
                        latitude:latitude,
                    },
                    callback:function(code, message, data){
                        if (code == 0 || code == undefined) {
                            // data=JSON.stringify(data);
                            if (data.code == "0") {
                                // fox.layer.open(data.data[0].hospital_id);
                                var  a =data.data[0].hospital_name;
                                for(var i = 0;i<data.data.length;i++){
                                    if(data.data[i].distance < 1000){
                                        data.data[i].distance = data.data[i].distance+"米"
                                    }else if(data.data[i].distance >= 1000){
                                        /*var d = ((data.data[i].distance)/1000+"").split(".");
                                        data.data[i].distance = d[0]+"公里";*/
                                        data.data[i].distance = ((data.data[i].distance)/1000).toFixed(1)+"公里"
                                    }
                                };
                                vmData.list=data.data;

                              //   var oHeight = $.getClientHeight();
                              //   var footer =  fox.bus.get('footer');
                              // var header =  document.getElementById('fox-header');
                              //   document.getElementById('fox-content').style.height =oHeight-footer.clientHeight-header.clientHeight+'px'
                                // fox.layer.open(a);
                            } else {
                            }
                        } else {
                            fox.layer.open("网络异常");
                        }

                    }
                })

            },

        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
