/**
 * Created by hukun on 2019/05/28.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        var resData = data;
        let vmData = {
            INhostime: "",
            CurHosDept: "",
            CurBed: "",
            SumCost: "",
            RemSum: "",
            CardNo: data.CardNo,
            Price: "",
            selectedpeople: "",
            peoplelist: [],
            //预约时间的数组
            appointmentDate: [],
            activeClass: 6,
            PageID: "",
            Billday: "",
            patientDailyList: "",
            depData: "",
            reset_submit: 0,
            SumPay:'',
            count:'',
            IDCardNo:'',
            pid:"",
            hospital_id:fox.sessionStorage.get("tellerInfo").hospital_id
        };
        //创建vue model
        let vm = new Vue({
            el: cite.el,
            //数据
            data: vmData,
            //方法
            methods: {
                //回退
                back: function () {
                    fox.router.remove();
                },
                //页面跳转
                to: function (id) {
                    //住院信息为空，禁止点击
                    if(!vmData.depData){
                        return;
                    }
                    var paramData = {
                        depData: vmData.depData,
                        pid: vmData.selectedpeople.pid,
                        patientID: vmData.selectedpeople.patient_id
                    }
                    fox.router.append(id, paramData);
                },
                onselectpl: function (evt) {
                    if (evt != undefined) {
                        var Data = {
                            value: evt.items[0].value,
                            text: evt.items[0].text,
                            patient_id: evt.items[0].patient_id,
                            pid: evt.items[0].pid,
                            xiabiao: evt.items[0].xiabiao,
                            CardNo: evt.items[0].CardNo,
                            IDCardNo: evt.items[0].IDCardNo,
                        }
                        vmData.pid = Data.pid;
                        vmData.CardNo = Data.CardNo;
                        vmData.IDCardNo = Data.IDCardNo;
                        vmData.selectedpeople = Data;
                        vmData.INhostime='';
                        vmData.CurHosDept='';
                        vmData.CurBed='';
                        vmData.SumPay='';
                        vmData.RemSum='';
                        vmData.count='¥'+'0';
                        for (var i = 0; i < vmData.appointmentDate.length; i++) {
                                vmData.appointmentDate[i].count = '';
                        }
                        vm.queryInpatientDepartment();
                    } else {
                        vmData.recordlist = [];
                    }

                },
                updatePatientId: function () {
                    fox.service.request({
                        id: "getPatientInfo",
                        name: "service/theDayRegistered/getPatientInfo",
                        data: {
                            pid: vmData.selectedpeople.pid
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "0") {
                                    var item = {
                                        value: vmData.selectedpeople.value,
                                        text: vmData.selectedpeople.text,
                                        patient_id: data.result.PatientID,
                                        pid: vmData.selectedpeople.pid,
                                        xiabiao: vmData.selectedpeople.xiabiao,
                                        CardNo: data.result.CardNo,
                                        IDCardNo: data.result.IDCardNo
                                    };
                                    vmData.CardNo = data.result.CardNo;
                                    vmData.pid = vmData.selectedpeople.pid;
                                    vmData.IDCardNo = data.result.IDCardNo;
                                    vmData.peoplelist[vmData.selectedpeople.xiabiao] = item;
                                    vmData.selectedpeople = vmData.peoplelist[vmData.selectedpeople.xiabiao];
                                    vm.queryInpatientDepartment();

                                } else {
                                    fox.layer.open(data.msg);
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })
                },
                queryInpatientDepartment: function () {

                    if (vmData.selectedpeople.patient_id == "" || vmData.selectedpeople.patient_id == undefined) {

                        vm.updatePatientId();
                    } else {
                        // let self = this;
                        fox.service.request({
                            id: "queryInpatientDepartment",
                            name: "service/theDayRegistered/queryInpatientDepartment",
                            data: {
                                CardNo: vmData.CardNo,
                                IDCardNo: vmData.IDCardNo,
                                pid:vmData.pid
                            },
                            callback: function (code, message, data) {
                                vmData.patientDailyList = "";
                                if (code == 0) {
                                    if (fox.type(data) == "object") {
                                        // data=JSON.stringify(data);
                                        if (data.code == '0') {

                                            vmData.depData = data.result;
                                            vmData.INhostime = data.result.INhostime;
                                            vmData.CurHosDept = data.result.CurHosDept;
                                            vmData.CurBed = data.result.CurBed;
                                            vmData.SumPay = data.result.SumPay;
                                            vmData.RemSum = data.result.RemSum;
                                            vmData.PageID = data.result.PageID;
                                            // vm.getmyDate();
                                            vm.selectDate_tap(6)
                                            // vm.queryDayPayRecoder();
                                            // self.queryDayPayRecoder();
                                        } else {
                                            vmData.depData = "";
                                            vmData.INhostime = "";
                                            vmData.CurHosDept = "";
                                            vmData.CurBed = "";
                                            vmData.SumCost = "";
                                            vmData.RemSum = "";
                                            vmData.PageID = "";
                                            //清空一日清单列表
                                            vmData.patientDailyList = "";
                                            //清空住院信息
                                            vmData.depData = "";
                                            vmData.appointmentDate[vmData.activeClass].count = 0;
                                            fox.layer.open(data.msg);
                                        }
                                    }
                                } else {
                                    console.log('===========' + data.message);
                                }
                            }
                        })
                    }

                },
                initService: function () {
                    var loginUserInfo = fox.bus.get("loginUserInfo");
                    fox.service.request({
                        id: "getPactionListByHis",
                        name: "pation/pation/getPactionListByHis",
                        data: {
                            user_id: loginUserInfo.user_id,
                            hospital_id: vmData.hospital_id
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {


                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    var dataList = data.data;
                                    for (let i in dataList) {
                                        var myData = {
                                            value: dataList[i].patient_number,
                                            text: dataList[i].patient_name,
                                            patient_id: dataList[i].patient_id,
                                            pid: dataList[i].pid,
                                            xiabiao: i,
                                            CardNo: dataList[i].card_no,
                                            IDCardNo:dataList[i].patient_number
                                        }
                                        vmData.peoplelist.push(myData);
                                    }
                                    if (vmData.peoplelist.length > 0) {
                                        vmData.selectedpeople = vmData.peoplelist[0];
                                        vmData.pid = vmData.peoplelist[0].pid;
                                        vmData.CardNo = vmData.peoplelist[0].CardNo;
                                        vmData.IDCardNo =  vmData.peoplelist[0].IDCardNo;
                                        vm.queryInpatientDepartment();
                                    }
                                }

                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })
                },
                //查询一日清单
                queryDayPayRecoder: function () {
                    vmData.patientDailyList = "";
                    fox.service.request({
                        id: "patientDailyList",
                        name: "service/theDayRegistered/patientDailyList",
                        data: {
                            patient_id: vmData.selectedpeople.patient_id,
                            PageID: vmData.PageID,
                            Billday: vmData.Billday,
                            pid:vmData.pid
                        },
                        callback: function (code, message, data) {
                            vmData.count='¥'+'0';
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    vmData.patientDailyList = data.result.List;
                                    vmData.count='¥'+data.result.Totalcost;

                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })
                },
                getmyDate: function () {
                    var now = new Date();
                    var nowTime = now.getTime();
                    var oneDayTime = 24 * 60 * 60 * 1000;
                    var list = [];

                    for (var i = 6; i >= 0; i--) {
                        //显示周一
                        var ShowTime = nowTime - i * oneDayTime;
                        //初始化日期时间
                        var myDate = new Date(ShowTime);
                        var year = myDate.getFullYear();
                        var month = myDate.getMonth() + 1;
                        var date = myDate.getDate();
                        if (month < 10) {
                            month = "0" + month;
                        }
                        if (date < 10) {
                            date = "0" + date;
                        }
                        var date = year + "-" + month + "-" + date;
                        var makeTime = {
                            myDate: date,
                            date: date.substring(5, 10),
                            count: ""
                        }
                        list.push(makeTime);
                    }
                    vmData.appointmentDate = list;
                    vmData.Billday = vmData.appointmentDate[vmData.activeClass].myDate;
                },
                //日期点击
                selectDate_tap: function (index) {
                    //住院信息为空，不让点击
                    if(!vmData.depData){
                        return;
                    }
                    var a = vmData.activeClass - index;
                    vmData.reset_submit = 1;
                    if (a > 0) {
                        for (var i = 0; i < a; i++) {
                            this.selectDate('left');
                        }
                    } else if (a < 0) {
                        for (var i = 0; i > a; i--) {
                            this.selectDate('right');
                        }
                    } else {
                        //点击居中
                        this.$refs.cell_table.scrollLeft = this.$refs.cell_block[0].clientWidth * (vmData.activeClass - 2);
                    }
                    this.queryDayPayRecoder();
                    vmData.reset_submit = 0;
                },
                //日期选择
                selectDate: function (prama) {
                    //住院信息为空，不让点击
                    if(!vmData.depData){
                        return;
                    }
                    console.log("=======prama==========" + prama);
                    if (prama === 'left') {
                        if (vmData.activeClass === 0) {
                            return;
                        } else if (vmData.activeClass === 1 || vmData.activeClass === vmData.appointmentDate.length - 1) {
                            vmData.activeClass--;
                            this.$refs.cell_table.scrollLeft = vmData.activeClass === 0 ? 0 : this.$refs.cell_table.scrollLeft;
                        } else {
                            vmData.activeClass--;
                            this.$refs.cell_table.scrollLeft = this.$refs.cell_block[0].clientWidth * (vmData.activeClass - 1);
                        }
                    } else if (prama === 'right') {
                        if (vmData.activeClass === vmData.appointmentDate.length - 1) {
                            return;
                        } else if (vmData.activeClass === vmData.appointmentDate.length - 2 || vmData.activeClass === 0) {
                            vmData.activeClass++;
                        } else {
                            vmData.activeClass++;
                            this.$refs.cell_table.scrollLeft = this.$refs.cell_block[0].clientWidth * (vmData.activeClass - 1);
                        }
                    }
                    vmData.Billday = vmData.appointmentDate[vmData.activeClass].myDate;
                    console.log("=======vmData.Billday==========" + vmData.Billday);
                    if (vmData.reset_submit == 0) {
                        this.queryDayPayRecoder();
                    }
                },

            },
            //加载后处理
            mounted: function () {
                //初始化请求
                this.initService();
                //初始化日期
                this.getmyDate();
                //日期选择框滑动代码
                // document.getElementsByClassName("cell_table")[0].addEventListener('scroll', handleScroll, false)
                // function handleScroll() {
                //     var a = document.getElementsByClassName("cell_table")[0].scrollLeft;
                //     var b = document.getElementsByClassName("cell_block")[0].clientWidth;
                //     var c = parseInt(a / b) + 1;
                //     console.log(a, b, c);
                //     vmData.activeClass = c;
                //     document.getElementsByClassName("cell_block")[0].style.pointerEvents.auto;
                // }
            },
        });
    };
});
