/**
 * Created by jiangcheng on 2018/03/06.
 */
define(function (require, exports) {

    var loginUserInfo =fox.bus.get("loginUserInfo");
    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        var vmData={
            ischange_backImage:"0",// 1  2  3 
            newCrown:"",
            icon_img:"resource/image/medical/word_hidden.png",
            outpatient_code:data.outpatient_code,
            colorLight:'#fff',
            patient_number:loginUserInfo.cardNumber,
            colorDark:'#000000',//green #007400,yellow #F0DC00,red #E10000,black #000000
            m_card_number:"**** **** **** **** **",
            isWordHidden:'1',
            m_card_name:loginUserInfo === undefined ? "" :loginUserInfo.card_name,
            loginUserCardNo:loginUserInfo === undefined ? "" :loginUserInfo.cardNumber,//记住登录人身份证号
            timeStr:'',
            list:[],
            m_listData:[],
            pid:loginUserInfo.pid,
        }
        //创建vue model
        var vm=new Vue({
            el:cite.el,
            data:vmData,
            //方法
            methods:{
                getOfpatient: function () {
                    let that = this;
                    var loginUserInfo =fox.bus.get("loginUserInfo");
                    fox.service.request({
                        id:"getPactionList",
                        name: "pation/pation/getPactionListByHis",
                        data:{
                            user_id: loginUserInfo.user_id
                        },
                        callback:function(code, message, data){
                            if (code == 0 || code == undefined) {
                                if (data.code == "0") {
                                    vmData.list = [];
                                    for (let i in data.data) {
                                        var myData = {
                                            card_no:data.data[i].card_no,
                                            patient_name: data.data[i].patient_name,
                                            cardNumber:data.data[i].patient_number,
                                            outpatient_code:data.data[i].outpatient_code,
                                            pid:data.data[i].pid,
                                        }
                                        if(myData.cardNumber !==undefined && myData.cardNumber.length > 0){
                                           vmData.list.push(myData);
                                        }
                                    }
                                    vmData.m_listData =vmData.list;
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })
                },

                nextChange:function(){ 
                    //每次切换，把第一个元素放到最后，，切换成下一个
                    vmData.m_listData.push(vmData.m_listData.shift());
                    console.log(vmData.m_listData);
                    vmData.m_card_name = vmData.m_listData[0].patient_name;
                    vmData.patient_number = vmData.m_listData[0].cardNumber;
                    vmData.pid = vmData.m_listData[0].pid;

                    vm.getCodestatus();
                },

                //二维码状态接口查询
                getCodestatus:function(){
                    fox.service.request({
                        id:"getCodeStatus",
                        name:"customer/customer/getCodeStatus",
                        data:{
                            name:vmData.m_card_name,
                            idCard:vmData.patient_number
                        },
                        callback:function(code, message, data){
                            if (code == 0 || code == undefined) {
                                if (data.code == "0") {
                                    // 返回状态详情（1001：成功，健康码为绿色、1002：成功，健康码为黄色、
                                    // 1003：成功，健康码为红色、1004：识别失败、1005：参数错误）
                                    if (data.resultCode =="1001"){
                                        vmData.colorDark ='#46A05E';
                                    }else if (data.resultCode == "1002"){
                                        vmData.colorDark ='#FDC910';
                                    }else if (data.resultCode == "1003"){
                                        vmData.colorDark ='#E10000';
                                    }else {
                                        vmData.colorDark ='#000000';
                                    }
                                    vm.myqrcode();//生成二维码并更新颜色
                                    vm.openLkmPage();
                                } else {
                                    vm.myqrcode();//生成二维码并更新颜色
                                    vm.openLkmPage();
                                }
                            } else {
                                vm.myqrcode();//生成二维码并更新颜色
                                vm.openLkmPage();
                            }
                        }
                    })
                    //alert("查询医院名称")
                },




         //先判断是否建卡
          openLkmPage:function(){
            let that = this;
                fox.service.request({
                id:"queryResidentInfo",
                name: "customer/customer/queryResidentInfo",
                data:{
                    id_no: vmData.patient_number,
                    name:vmData.m_card_name,
                    pid:vmData.pid,
                },
                callback:function(code, message, data){
                if (code == 0 || code == undefined) {
                     if (data.code == "0"){

                        fox.service.request({
                            id:"immurecordQuery",
                            name:"customer/customer/immurecordQuery",
                            data:{
                                cardNo: vmData.patient_number,
                                ehealth_card_id:data.ehealth_card_id,
                                name:vmData.m_card_name
                            },
                            callback:function(code, message, data){
                                if (code == 0 || code == undefined) {
                                    if (data.code == "0") {
                                        vmData.newCrown = data.newCrown;
                                        if(vmData.newCrown === '11'||vmData.newCrown === '21'||vmData.newCrown === '31'){
                                            vmData.ischange_backImage = "1"; //一针的背景图
                                        }else if (vmData.newCrown === '22'||vmData.newCrown === '32'){
                                            vmData.ischange_backImage = "2"; // 二针的背景图
                                        }else if (vmData.newCrown ==='33'){
                                            vmData.ischange_backImage = "3"; // 三针的背景图
                                        }else{
                                            vmData.ischange_backImage = "0"; //没打针的
                                        }
                                    }else {
                                        vmData.ischange_backImage = "0"; //接口没有请求成功的 默认之前的无框 样式
                                        fox.layer.open(data.msg);
                                 }
                            } else{

                        }
                      }
                 })

             }else{
                     fox.layer.open({
                            content: '请先注册河南省电子健康卡'
                            , btn: ['取消', '立即注册']
                            , action: [
                                function (index) {
                            //取消
                                fox.layer.close(index);
                                },
                            function (index) {
                             //注册
                                fox.layer.close(index);
                            //获取性别
                            var getSex = '';
                            if (parseInt(vmData.patient_number.substr(16, 1)) % 2 == 1) {
                                getSex = '男'
                            } else {
                                getSex = "女"
                            }
                            var age;
                            //获取年龄
                            var myDate = new Date();
                            var month = myDate.getMonth() + 1;
                            var day = myDate.getDate();
                            age = myDate.getFullYear() - vmData.patient_number.substring(6, 10) - 1;
                            if (vmData.patient_number.substring(10, 12) < month || vmData.patient_number.substring(10, 12) == month && vmData.patient_number.substring(12, 14) <= day) {
                                age++;
                            }
                            var myData = {
                                patient_name: vmData.m_card_name,
                                patient_number: vmData.patient_number,
                                patientNumber:vmData.patient_number,
                                relationship:"01",
                                user_phone:fox.bus.get("loginPhoneNum"),
                                sex:getSex,
                                age:age,
                                pid:vmData.pid,
                                pageType:'4'//来自点击洛康码的建卡
                            }
                            fox.router.append('appointmentVaccineCreateCard',myData);
                        }
                    ]
                    });
                }
             } 
                }
            })
        },

                // loadCodeData:function(){
                //             fox.service.request({
                //                 id:"immurecordQuery",
                //                 name:"customer/customer/immurecordQuery",
                //                 data:{
                //                     cardNo: vmData.patient_number,
                //                     name:vmData.m_card_name
                //                 },
                //                 callback:function(code, message, data){
                //                     if (code == 0 || code == undefined) {
                //                         if (data.code == "0") {
                //                             vmData.newCrown = data.newCrown;
                //                             if(vmData.newCrown === '11'||vmData.newCrown === '21'||vmData.newCrown === '31'){
                //                                 vmData.ischange_backImage = "1"; //一针的背景图
                //                             }else if (vmData.newCrown === '22'||vmData.newCrown === '32'){
                //                                 vmData.ischange_backImage = "2"; // 二针的背景图
                //                             }else if (vmData.newCrown ==='33'){
                //                                 vmData.ischange_backImage = "3"; // 三针的背景图
                //                             }else{
                //                                 vmData.ischange_backImage = "0"; //没打针的
                //                             }
                //                         }else {
                //                             vmData.ischange_backImage = "0"; //接口没有请求成功的 默认之前的无框 样式
                //                      }
                //                 } else{

                //                 }
                //             }
                //      })
                // },


                timeRefresh:function(){
                     // 获取传入的时间，若没有传值则取当前时间
                     var dateStr =  new Date();
                        // 获取时间的年月日
                     var year = dateStr.getFullYear().toString().padStart(4, "0");
                     var month = (dateStr.getMonth() + 1).toString().padStart(2, "0");
                     var day = dateStr.getDate().toString().padStart(2, "0");
                         // 获取时间的时分秒
                     var hour = dateStr.getHours().toString().padStart(2, "0");
                     var minute = dateStr.getMinutes().toString().padStart(2, "0");
                     var second = dateStr.getSeconds().toString().padStart(2, "0");
                     //返回时间格式：年-月-日 时:分:秒
                     vmData.timeStr =  `更新于:${year}-${month}-${day} ${hour}:${minute}:${second}`;
                },
                myqrcode: function () {

                    var str = hex_md5(vmData.patient_number);  
                        document.getElementById("my_lkm_barcode").innerHTML = "";
                        var qrcode = new QRCode(document.getElementById("my_lkm_barcode"), {
                            width: 165,
                            height: 165,
                            colorLight:vmData.colorLight,//背景色 二维码
                            colorDark:vmData.colorDark//文本色 二维码
                        });
                        qrcode.makeCode(str);
                    
                },

                open:function(){
                  if(vmData.isWordHidden === "1"){
                    vmData.m_card_number = vmData.patient_number;
                    vmData.icon_img = "resource/image/medical/word_alert.png";
                    vmData.isWordHidden = "0";
                  }else{
                    vmData.m_card_number = "**** **** **** **** **";
                    vmData.icon_img = "resource/image/medical/word_hidden.png";
                    vmData.isWordHidden = "1";
                  }
                },
                //回退
                back:function(){
                    fox.router.remove();
                }
            },
            //加载后处理
            mounted:function(){
                this.ep = fox.eventproxy;
                this.ep.bind("province_create_finish",function(data){
                    vm.openLkmPage();
                 });
                this.getOfpatient();
                this.getCodestatus();
                this.timeRefresh();
            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
