define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {

        var detailsDic = {
            "details": data.pa.allDetail
        };
        var loginUserInfo = fox.bus.get("loginUserInfo");
        var deviceType = fox.bus.get("loginDeviceType");
        var homehospitalInfo = fox.bus.get("HomehospitalData");
        //vue data
        var vmData={
            //体检项目内容
            telephone:data.telephone,
            Price: data.Price,
            hospital_id:data.hospital_id,
            hospital_name:data.hospital_name,
            user_name:data.user_name,
            IDCardNo:data.IDCardNo,
            hospitalinfo:data.hospitalinfo,
            user_phone:data.telephone,
            selectedpeople:data.selectedpeople,
            wx_status: homehospitalInfo.wx_status,
            healthSeq:data.healthSeq,

            nowDate:'',
            paymentType: "1",//1微信支付 2支付宝支付
            chnlcode:'001',
            //去支付需要的参数
            outtradeno:'',
            registerData:'',
            user_id: loginUserInfo.user_id,
            
            detail: detailsDic,
            deviceType: deviceType,
            ExecDept: data.pa.ExecDept,
            ExecDepPosition:data.pa.ExecDepPosition,
            query_check:0,
            reNo:data.pa.reNo,
            ReceiptNo:data.pa.ReceiptNo,
            //病人信息
            project_name:data.project_name,
            project_id:data.project_id,
            project_content:data.project_content,
            exec_dept:data.exec_dept,
            reg_tip:data.reg_tip,
            his_id:data.his_id,

            totalPrice:data.pa.totalPrice,
            PatientID :data.pa.PatientID,//支付需要的参数
            patient_name :data.pa.PatientID,//支付需要的参数
            pid:data.pa.pid,//支付需要的参数

        }

        //创建vue model
        let vm=new Vue({
            el:cite.el,
            //数据
            data:vmData,
            //方法
            methods:{
         //去支付时候获取流水号后单独要调用
            updatePorjectSeq:function(workseqno){
                let that = this;
                fox.service.request({
                    id:"queryPorjectTimes",
                    name:"service/health/updatePorjectSeq",
                    data:{
                        healthSeq:vmData.healthSeq,
                        workseqno:workseqno,
                    },
                    callback:function(code, message, data){
                        if (code == 0 || code == undefined) {
                            if (data.code == "0") {
                            } else {
                                fox.layer.open(data.msg);
                            }
                        } else {
                            fox.layer.open("网络异常");
                        }
                    }
                })
             },

        payost: function () {
           
            let that = this;
            var payType = vmData.paymentType;
            if (payType === "1" && payType !== "") {
               that.wxPay(payType);
            } else if (payType === "2" && payType !== "") {
                that.zfbPay(payType);
            }
            else if (payType === "3" && payType !== "") {
                that.cmbPay(payType, vmData.registerData);
            } else {
                fox.layer.open("请选择支付方式");
                return;
            }
         },
                //微信支付
                wxPay: function (payType) {
                    let that = this;
                    let timeString = that.getNowFormatDate();
                    fox.service.request({
                        id: "getPaymentOrder",
                        name: "wxpay/wxpay/getPaymentOrder",
                        data: {
                            payType: payType,
                            user_id: vmData.user_id,
                            hospital_id: vmData.hospital_id,
                            pay_way: "1",
                            total_amount: vmData.Price,
                            body: "体检预约缴费",
                            user_phone: vmData.user_phone,
                            registerData: vmData.detail,
                            chnlcode: "001",
                            trantype: "003",
                            //病人ID
                            PatientID: vmData.PatientID,
                            patName: vmData.patient_name,
                            pid: vmData.pid,
                            //单据号
                            ReceiptNo: vmData.reNo,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "0") {
                                    vmData.outtradeno = data.outtradeno;//workseqno
                                    that.updatePorjectSeq(data.outtradeno);
                                    if (vmData.deviceType === "android") {

                                        var params = data.data;
                                        params.cover = false;
                                        fox.native.call("wxPay", params, function (code, message, data) {
                                            if (code == 0) {
                                                var obj = JSON.parse(data);
                                                if (obj.errCode === "0") {
                                                    that.queryAutoPaymentStatus(vmData.outtradeno);
                                                } else{
                                              }
                                            } else {
                                         }
                                      });

                                    } else if (deviceType === "ios") {
                                        data.data.cover = false;
                                        fox.device.callWXPay("callWXPay", data.data, function (code, message, data) {
                                            /** errCode 错误码*/
                                            /**< 0  成功    */
                                            /**< -1 普通错误类型    */
                                            /**< -2 用户点击取消并返回    */
                                            /**< -3 发送失败    */
                                            /**< -4 授权失败    */
                                            /**< -5 微信不支持    */
                                            if (code == 0) {
                                                var callBackParams = fox.base64.decode(data);
                                                /** obj字典参数 :
                                                 * 错误码：errCode
                                                 * 错误提示字符串：errStr
                                                 *响应类型：type
                                                 * */
                                                var obj = JSON.parse(callBackParams);
                                                if (obj.errCode === "0") {
                                                    // that.submitDepartment(payType);
                                                    that.queryAutoPaymentStatus(vmData.outtradeno);

                                                    // that.orderStatueFind(payType);
                                                } else{
                                                 
                                                }
                                            } else {
                                               
                                            }
                                        });
                                    }

                                } else {
                                    fox.layer.open({
                                        content: data.msg
                                        , skin: 'msg'
                                        , anim: 'up'
                                        , time: 2 //2秒后自动关闭
                                    });
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },
                //支付宝支付
                zfbPay: function (payType) {
                    let that = this;
                    fox.service.request({
                        id: "getPaymentOrder",
                        name: "alipay/alipay/getPaymentOrder",
                        data: {
                            user_id: vmData.user_id,
                            hospital_id: vmData.hospital_id,
                            pay_way: "1",
                            total_amount: vmData.Price,
                            body: "",
                            subject: "体检预约缴费",
                            chnlcode: "001",
                            PatientID: vmData.PatientID,
                            pid: vmData.pid,
                            registerData: vmData.detail,
                            patName: vmData.patient_name,
                            trantype: "003",
                            ReceiptNo: vmData.reNo
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                // data=JSON.stringify(data);
                                if (data.code == "0") {

                                    vmData.outtradeno = data.outtradeno;
                                    that.updatePorjectSeq(data.outtradeno);

                                    var params = fox.base64.encode(data.data);
                                    if (vmData.deviceType === "android") {

                                        var params = data.data;
                                        fox.native.call("aliPay", params, function (code, message, data) {
                                            if (code == 0) {
                                                var callBackParams = JSON.parse(data);
                                                console.log(callBackParams);
                                                //订单支付成功
                                                if (callBackParams.resultStatus === "9000" || callBackParams.resultStatus === "8000"  || callBackParams.resultStatus === "6004") {

                                                    // that.submitDepartment(payType);
                                                    that.orderStatueFind(payType);
                                                } else {
                                                    // document.getElementById("payDisabled").disabled = false;
                                                    // document.getElementById("payDisabled").style.backgroundColor = "#3ea5f6";
                                                }
                                            } else {
                                                // document.getElementById("payDisabled").disabled = false;
                                                // document.getElementById("payDisabled").style.backgroundColor = "#3ea5f6";

                                            }
                                        });


                                    } else if (deviceType === "ios") {

                                        fox.device.callAliPay("callAliPay", params, function (code, message, data) {
                                            var callBackParams = fox.base64.decode(data);
                                            var obj = JSON.parse(callBackParams);
                                            if (code == 0) {
                                                //订单支付成功
                                                if (obj.resultStatus === "9000" || obj.resultStatus === "8000" || obj.resultStatus === "6004") {
                                                    // that.submitDepartment(payType);
                                                    that.orderStatueFind(payType);
                                                } else {
                                                    // document.getElementById("payDisabled").disabled = false;
                                                    // document.getElementById("payDisabled").style.backgroundColor = "#3ea5f6";
                                                }
                                            } else {
                                                // document.getElementById("payDisabled").disabled = false;
                                                // document.getElementById("payDisabled").style.backgroundColor = "#3ea5f6";
                                            }
                                        });
                                    }
                                } else {
                                    fox.layer.open({
                                        content: data.msg
                                        , skin: 'msg'
                                        , anim: 'up'
                                        , time: 2 //2秒后自动关闭
                                    });
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })
                },
                //一网通支付
                cmbPay: function (payType) {
                    let that = this;
                    let timeString = that.getNowFormatDate();
                    fox.service.request({
                        id: "getPaymentOrder",
                        name: "netcompay/netcompay/getPaymentOrder",
                        data: {
                            payType: payType,
                            user_id: vmData.user_id,
                            hospital_id: vmData.hospital_id,
                            pay_way: "1",
                            total_amount: vmData.Price,
                            body: "体检预约缴费",
                            user_phone: vmData.user_phone,
                            registerData: vmData.detail,
                            chnlcode: "001",
                            trantype: "003",
                            //病人ID
                            PatientID: vmData.PatientID,
                            patName: vmData.patient_name,
                            pid: vmData.pid,
                            //单据号
                            ReceiptNo: vmData.reNo,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "0") {
                                    var jsonRequestData = data.data;
                                    var jsonRequestDataStr = JSON.stringify(jsonRequestData);
                                    var sst = encodeURIComponent(jsonRequestDataStr);
                                    var jsonRequestDataRrl = "charset=utf-8&jsonRequestData=" + encodeURIComponent(jsonRequestDataStr);
                                    vmData.outtradeno = data.outtradeno;
                                    that.updatePorjectSeq(data.outtradeno);

                                    var params = {"jsonRequestDataRrl":jsonRequestDataRrl,"appid":data.appid};
                                    if (vmData.deviceType === "android") {

                                        /*var params = jsonRequestDataRrl;
                                        params.cover = false;*/
                                        fox.native.call("cmbPay", params, function (code, message, data) {
                                            if (code == 0) {
                                                var obj = JSON.parse(data);
                                                if (obj.errCode === "0") {
                                                    that.queryAutoPaymentStatus(vmData.outtradeno);
                                                    // that.orderStatueFind(payType);
                                                } else  {
                                                    // document.getElementById("payDisabled").disabled = false;
                                                    // document.getElementById("payDisabled").style.backgroundColor = "#3ea5f6";
                                                }
                                            } else {
                                                // document.getElementById("payDisabled").disabled = false;
                                                // document.getElementById("payDisabled").style.backgroundColor = "#3ea5f6";
                                            }
                                        });

                                    } else if (deviceType === "ios") {
                                        data.data.cover = false;
                                        fox.device.callCMBPay("callCMBPay", params, function (code, message, data) {
                                            /** errCode 错误码*/
                                            /**< 0  成功    */
                                            /**< -1 普通错误类型    */
                                            /**< -2 用户点击取消并返回    */
                                            /**< -3 发送失败    */
                                            /**< -4 授权失败    */
                                            /**< -5 微信不支持    */
                                            if (code == 0) {
                                                var callBackParams = fox.base64.decode(data);
                                                /** obj字典参数 :
                                                 * 错误码：errCode
                                                 * 错误提示字符串：errStr
                                                 *响应类型：type
                                                 * */
                                                var obj = JSON.parse(callBackParams);
                                                if (obj.errCode === "0") {
                                                    // that.submitDepartment(payType);
                                                    that.queryAutoPaymentStatus(vmData.outtradeno);

                                                    // that.orderStatueFind(payType);
                                                } else  {
                                                    // document.getElementById("payDisabled").disabled = false;
                                                    // document.getElementById("payDisabled").style.backgroundColor = "#3ea5f6";
                                                }
                                            } else {
                                                // document.getElementById("payDisabled").disabled = false;
                                                // document.getElementById("payDisabled").style.backgroundColor = "#3ea5f6";
                                            }
                                        });
                                    }

                                } else {
                                    fox.layer.open({
                                        content: data.msg
                                        , skin: 'msg'
                                        , anim: 'up'
                                        , time: 2 //2秒后自动关闭
                                    });
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }

                        }
                    })
                },
                //提交缴费
                submitDepartment: function (payType) {
                    let that = this;
                    // var pmode;
                    // if (payType === "1" && payType !== "") {
                    //     pmode = "135";
                    // } else if (payType === "2" && payType !== "") {
                    //     pmode = "175";
                    // }
                    let timeString = that.getNowFormatDate();

                    fox.service.request({
                        id: "paythefee",
                        name: "service/theDayRegistered/paythefee",
                        data: {
                            //病人ID
                            PatientID: vmData.PatientID,
                            pid: vmData.pid,
                            //单据号
                            ReceiptNo: vmData.reNo,
                            //多单首单
                            ReceiptNoFirst: vmData.ReceiptNo,
                            //支付类型
                            PayType: "3",
                            //微信 135  支付宝 175
                            payType: payType,
                            //支付金额
                            PayAmt: vmData.Price,
                            //支付流水号
                            PayNo: vmData.outtradeno,
                            //支付卡号
                            PayCardNo: "",
                            //支付说明
                            PayNote: "",
                            //项目名
                            ItemName: "",
                            //项目值
                            ItemValue: "",
                            chnlcode: "001",
                            //短信通知信息
                            phone: vmData.user_phone,
                            smsCodeType: "2",
                            patName: vmData.patient_name,
                            payInfo: timeString + "-" + vmData.hospital_name,
                            payAmt: vmData.Price,
                            payNo: vmData.ReceiptNo,
                            smsType: "003",
                            ExecDept: vmData.ExecDept,
                            ExecDepPosition: vmData.ExecDepPosition
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "0") {
                                    fox.layer.open({
                                        content: '缴费成功'
                                        , skin: 'msg'
                                        , anim: 'up'
                                        , time: 2 //2秒后自动关闭
                                    });
                                    fox.router.remove({all: true});
                                } else if (data.code == "200013") {
                                    //超时
                                    if(vmData.query_check==0){
                                        vmData.query_check=1;
                                        fox.layer.open({
                                            content: "等待结果处理中。。。。。",
                                            skin: 'msg',
                                            anim: 'up',
                                            time: 2 //2秒后自动关闭
                                        });
                                        DDtimer = setTimeout(() => {
                                            that.submitDepartment(payType);
                                        }, 1900);
                                    }else{
                                        fox.layer.open({
                                            content:'缴费状态未知，请到缴费记录查看！',
                                            btn:["确认"],
                                            action:[
                                                function (index) {
                                                    clearInterval(timer);
                                                    clearTimeout(DDtimer);
                                                    fox.router.remove({all: true});                                                }
                                            ]
                                        });
                                    }
                                } else {
                                    fox.layer.open(data.msg);
                                    // that.tuikuan(payType);
                                }

                            } else {
                                if(vmData.query_check==0){
                                    vmData.query_check=1;
                                    fox.layer.open({
                                        content: "等待结果处理中。。。。。",
                                        skin: 'msg',
                                        anim: 'up',
                                        time: 2 //2秒后自动关闭
                                    });
                                    DDtimer = setTimeout(() => {
                                        that.submitDepartment(payType);
                                    }, 1900);
                                }else{
                                    fox.layer.open({
                                        content:'缴费状态未知，请到缴费记录查看！',
                                        btn:["确认"],
                                        action:[
                                            function (index) {
                                                clearInterval(timer);
                                                clearTimeout(DDtimer);
                                                fox.router.remove({all: true});                                                }
                                        ]
                                    });
                                }
                                // fox.layer.open("网络异常");
                            }
                        }
                    });
                },
                //订单状态查询
                orderStatueFind: function (payType) {
                    //要区分微信和支付宝
                    let that = this;
                    if (payType === "1" && payType !== "") {

                        //微信
                        fox.service.request({
                            id: "orderquery",
                            name: "wxpay/wxpay/orderquery",
                            data: {
                                hospital_id: vmData.hospital_id,
                                out_trade_no: vmData.outtradeno
                            },
                            callback: function (code, message, data) {
                                if (code == 0 || code == undefined) {
                                    // data=JSON.stringify(data);
                                    if (data.code == "0") {
                                        if (data.status === "1") {
                                            that.submitDepartment(payType);
                                        } else {

                                            fox.layer.open({
                                                content: data.msg
                                                , skin: 'msg'
                                                , anim: 'up'
                                                , time: 2 //2秒后自动关闭
                                            });
                                            fox.router.remove({all: true});
                                        }
                                        // fox.layer.open("查询订单状态成功");
                                    } else {

                                        fox.layer.open({
                                            content: data.msg
                                            , skin: 'msg'
                                            , anim: 'up'
                                            , time: 2 //2秒后自动关闭
                                        });
                                    }
                                } else {
                                    fox.layer.open("网络异常");
                                }
                            }
                        })

                    } else if (payType === "2" && payType !== "") {

                        //支付宝
                        fox.service.request({
                            id: "getOrderQuery",
                            name: "alipay/alipay/getOrderQuery",
                            data: {
                                hospital_id: vmData.hospital_id,
                                out_trade_no: vmData.outtradeno
                            },
                            callback: function (code, message, data) {
                                if (code == 0 || code == undefined) {
                                    // data=JSON.stringify(data);
                                    if (data.code == "0") {
                                        if (data.status === "1") {
                                            that.submitDepartment(payType);
                                        } else {

                                            fox.layer.open({
                                                content: data.msg
                                                , skin: 'msg'
                                                , anim: 'up'
                                                , time: 2 //2秒后自动关闭
                                            });
                                            fox.router.remove({all: true});
                                        }
                                        // fox.layer.open("查询订单状态成功");
                                    } else {

                                        fox.layer.open({
                                            content: data.msg
                                            , skin: 'msg'
                                            , anim: 'up'
                                            , time: 2 //2秒后自动关闭
                                        });
                                    }
                                } else {
                                    fox.layer.open("网络异常");
                                }
                            }
                        })
                    }
                },
              
                queryAutoPaymentStatus: function (outtradeno) {
                    let _this = this;
                    fox.service.request({
                        id: "paySubmit",
                        name: "hospitalPay/hospitalPay/paySubmit",
                        data: {
                            workseqno: outtradeno,
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open("缴费失败,费用预计2-3个工作日将退回原支付账户中!");
                                } else if (data.code == "200013") {
                                    if(vmData.query_check==0){
                                        vmData.query_check=1;
                                        fox.layer.open({
                                            content: "等待结果处理中。。。。。",
                                            skin: 'msg',
                                            anim: 'up',
                                            time: 2 //2秒后自动关闭
                                        });
                                        DDtimer = setTimeout(() => {
                                            that.queryAutoPaymentStatus(outtradeno);
                                        }, 1900);
                                    }else{
                                        fox.layer.open({
                                            content:'缴费状态未知，请到缴费记录查看！',
                                            btn:["确认"],
                                            action:[
                                                function (index) {
                                                    clearInterval(timer);
                                                    clearTimeout(DDtimer);
                                                    fox.router.remove({all: true});                                                }
                                            ]
                                        });
                                    }
                                } else {
                                    fox.layer.open({
                                        content: '缴费成功'
                                        , skin: 'msg'
                                        , anim: 'up'
                                        , time: 2 //2秒后自动关闭
                                    });
                                    fox.router.remove({all: true});
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },

                getNowFormatDate: function () {
                    var date = new Date();
                    var seperator1 = "-";
                    var year = date.getFullYear();
                    var month = date.getMonth() + 1;
                    var strDate = date.getDate();
                    if (month >= 1 && month <= 9) {
                        month = "0" + month;
                    }
                    if (strDate >= 0 && strDate <= 9) {
                        strDate = "0" + strDate;
                    }
                    var currentdate = year + seperator1 + month + seperator1 + strDate;
                    return currentdate;
                },
               
                //回退
                back: function () {
                    fox.router.remove();
                },
                //调整page size
                adjustPageSize: function () {
                    //屏幕当前的高度
                    var oHeight = $.getClientHeight();
                    //设置page 高度
                    $(".fox-page > .fox-content").css("height", oHeight + "px");
                }
            },
            //加载后处理
            mounted:function(){
                this.adjustPageSize();
                if (vmData.wx_status !='1'){
                    vmData.paymentType = "1";
                }else {
                    vmData.paymentType = "2";
                }
                vmData.nowDate = this.getNowFormatDate();
            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
