/**
 * Created by jiangcheng on 2017/5/22.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (hashCode, data, cite) {
        let vmData={
            name:"",
            card_no:"",
            address:data.address,
            jid:data.jid,
        };
        //创建vm
        let vm=new Vue({
            el:cite.el,
            data:vmData,
            methods:{

                getQueryVariable:function(variable,detailUrl) {
                    if(detailUrl.indexOf(variable) == -1){
                        fox.layer.open("此二维码非洛康码，请选择洛康码");
                        return;
                    }
                    var query = detailUrl;
                    var vars = query.split("?");
                    for (var i=0;i<vars.length;i++) {
                            var pair = vars[i].split("=");
                            if(pair[0] == variable){
                                return pair[1];
                         }
                    }
                    return(false);
                 },

            
                //回退
                back:function(){
                    fox.router.remove();
                },


                getCardNoResultData:function(result){

                     fox.service.request({
                         id:"birthQuery",
                         name:"service/nucleic/queryByQrCode",
                         data:{
                             card_no:vmData.card_no,
                             name:vmData.name,
                             address:vmData.address,
                             jid:vmData.jid,
                             type:"1",
                         },
                         callback:function(code, message, data){
                             if (code == 0 || code == undefined) {
                             if (data.code == "0") {
                                 var obj = JSON.parse(data.data);
                                 var personInfo = {
                                     name:obj.name,
                                     idcardNo:obj.idcardNo,
                                     level:obj.level
                                 }
                                  fox.router.append("nucleicScanResult",personInfo);
                              }else{
                                     fox.layer.open(data.msg);
                              }
                             } else {
                                 fox.layer.open("网络异常");
                             }
                         }
                     })
                 },

                getResultData:function(result){

                   var inptqrCodes = this.getQueryVariable("qrCode",result);
                   var vars = inptqrCodes.split("#");
                   var inptqrCode = vars[0];
                    fox.service.request({
                        id:"birthQuery",
                        name:"service/nucleic/queryByQrCode",
                        data:{
                            qrCode: inptqrCode,
                            address:vmData.address,
                            jid:vmData.jid,
                            type:"0",
                        },
                        callback:function(code, message, data){
                            if (code == 0 || code == undefined) {
                            if (data.code == "0") {
                                var obj = JSON.parse(data.data);
                                var personInfo = {
                                    name:obj.name,
                                    idcardNo:obj.idcardNo,
                                    level:obj.level
                                }
                                 fox.router.append("nucleicScanResult",personInfo);
                             }else{
                                    fox.layer.open(data.msg);
                             }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })
                },

                scanLkmcode:function(){
                    var reqData = {
                        url: encodeURIComponent(window.location.href.split("#")[0])
                    };
                    var that = this;
                    var deviceType =fox.bus.get("loginDeviceType");
                    var  imgData;
                    var params = {};
                    if (deviceType === "android") {
                        fox.native.call("codeScanner", params, function (code, message, data) {
                            that.getResultData(data);
                        })

                    }else  if (deviceType === "ios") {

                        fox.device.callCodeScanner("CodeScanner", params, function (code, message, data) {
                            if (code == 0) {
                                //第三种方式拍照图片回传到H5====接收data
                                var returnObj  = JSON.parse(data);
                                imgData = returnObj.base64;
                                that.requestOcr(imgData);
                            }
                        });
                    }

                    /*fox.service.request({
                        id: "camera",
                        name: "wx/wx/camera",
                        data: reqData,
                        callback: function (code, message, data) {
                            wx.config({
                                appId: data.appId, // 必填，公众号的唯一标识
                                timestamp: data.timestamp, // 必填，生成签名的时间戳
                                nonceStr: data.nonceStr, // 必填，生成签名的随机串
                                signature: data.signature,// 必填，签名，见附录1
                                jsApiList: ['scanQRCode']// 必填
                            });
                            wx.ready(function () {
                                wx.scanQRCode({
                                    needResult: 1, // 默认为0，扫描结果由微信处理，1则直接返回扫描结果，
                                    scanType: ["qrCode","barCode"], // 可以指定扫二维码还是一维码，默认二者都有
                                    success: function (res) {
                                        console.log("res========" + JSON.stringify(res));
                                    var result = res.resultStr; 
                                    // 当needResult 为 1 时，扫码返回的结果
                                    // var qrCode = that.getQueryVariable("qrCode",result);
                                    // console.log("result========qrCode" + result,+ qrCode);
                                    that.getResultData(result);
                           },
                                    fail: function (res) {
                                    },
                                })
                            });
                        },
                        error: function () {
                            fox.layer.open("调用失败");
                        }
                    });*/
                },
                scanCardNo:function(){


                    var that = this;
                    var deviceType =fox.bus.get("loginDeviceType");
                    var  imgData;
                    var params = {};
                    if (deviceType === "android") {
                        fox.native.call("cmbOcr", params, function (code, message, data) {
                            console.log("cmbocr....." + code);
                            if (code == 0) {
                                var returnObj = JSON.parse(data);
                                if ("200" == returnObj.code) {
                                    imgData = returnObj.image;
                                    that.requestOcr(imgData);
                                }
                            }
                        })

                    }else  if (deviceType === "ios") {

                        fox.device.callCmbO("callCmbO", params, function (code, message, data) {
                            if (code == 0) {
                                //第三种方式拍照图片回传到H5====接收data
                                var returnObj  = JSON.parse(data);
                                imgData = returnObj.base64;
                                that.requestOcr(imgData);
                            }
                        });
                    }

                },
                requestOcr:function(imgData){
                    var that = this;
                    fox.service.request({
                        id: "getOcrImage",
                        name: "customer/customer/getOcrImage",
                        data: {
                            image:imgData,
                            imageType:"jpeg",
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "0") {
                                    vmData.name = data.name;
                                    vmData.card_no = data.identityNo;
                                    that.getCardNoResultData();
                                } else {
                                    fox.layer.open(data.msg);
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })
                },



                inputCardInfo:function(){
                   fox.router.append("nucleicInputCardInfo", vmData);

                },
                dealImage: function (base64, bili, callback) {
                    // var self = this;
                    console.log("执行缩放程序=====bili=" + bili);
                    //处理缩放，转格式
                    var _img = new Image();
                    // var _img = document.createElement('img');
                    // var _img = document.getElementById('displayImg');
                    _img.src = base64;
                    _img.onload = function () {
                        console.log("====onload=====");
                        var _canvas = document.createElement("canvas");
                        var w = this.width / bili;
                        var h = this.height / bili;
                        _canvas.setAttribute("width", w);
                        _canvas.setAttribute("height", h);
                        _canvas.getContext("2d").drawImage(this, 0, 0, w, h);
                        var base64 = _canvas.toDataURL("image/jpeg");
                        // _canvas.toBlob(function(blob) {
                        //     console.log(blob.size);
                        //
                        //     if(blob.size > 1024*1024){
                        //         console.log("1024======：" + base64.length)
                        //         self.dealImage(base64, bili, callback);
                        //     }else{
                        //         console.log("压缩后：" + base64.length);
                        //         console.log(base64)
                        //         // callback(blob, base64);
                        callback(base64);
                        //     }
                        // }, "image/jpeg");
                        console.log("====压缩后=====");
                    };
                    // img.src = "data:image/jpeg;base64," + base64;
                    console.log("====66666=====");
                },
                //调整page size
                adjustPageSize: function adjustPageSize() {
                    //屏幕当前的高度
                    var oHeight = $.getClientHeight();
                    //设置page 高度
                    $(".fox-page > .fox-content").css("height", oHeight+"px");
                },
               

            },
            //加载后处理
            mounted:function(){

                document.title = '健康洛阳';

                //调整页面大小
                this.adjustPageSize();
              
               
            }
        });
    };

    //消息通知处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {


    }

});
