define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        //vue data
        var vmData={
            //预约时间的数组
            appointmentDate: [],
            table_header: [{text: "", style: "text-align:left;width:25%;height:8px", columnStyle: "width:25%;"},
                {text: "", style: "text-align:left;width:75%;height:8px", columnStyle: "width:75%;"}],
            doctorList: [],
            departmentTypeList:[],
            activeClass:0,
            activeClass_left:0,
            m_list:[],
            //体检项目内容
            his_id:data.his_id,
            porject_amt: data.porject_amt,
            project_content:data.project_content,
            project_id:data.project_id,
            project_name:data.project_name,
            seclectedDateModel:'',
            hospital_id:data.hospital_id,
            hospital_name:data.hospital_name,
            reg_tip:data.reg_tip,
            reg_time:data.reg_time,
            exec_dept:data.exec_dept,

        }

        //创建vue model
        let vm=new Vue({
            el:cite.el,
            //数据
            data:vmData,
            //方法
            methods:{
                //日期选择
                selectDate: function (index) {
                    let that = this;
                    that.getDepartment(index);
                    vmData.activeClass = index;

                },
                //动态切换选中颜色样式
                selectDepartment: function (index) {
                    this.activeClass_left = index;
                },
                //选择科室
                selectDepartmentType: function (index) {
                    var physicalData = {
                        porject_amt: vmData.porject_amt,
                        project_content: vmData.project_content,
                        project_id:vmData.project_id,
                        project_name:vmData.project_name,
                        dateTemp:vmData.seclectedDateModel.dateTemp,
                        date:vmData.seclectedDateModel.date,
                        dateWeek:vmData.seclectedDateModel.dateWeek,
                        dateTime:vmData.m_list[index],
                        hospital_id:vmData.hospital_id,
                        hospital_name:vmData.hospital_name,
                        his_id:vmData.his_id,
                        exec_dept:vmData.exec_dept,
                    }
                    fox.router.append('physicalAppoint3', physicalData);
                },
                getDepartment:function (index) {
                    vmData.m_list = vmData.appointmentDate[index].times;
                    vmData.seclectedDateModel = vmData.appointmentDate[index];
                },
                
              // 分时段套餐
              queryPorjectTimes:function(){
                
                let that = this;
                fox.service.request({
                    id:"queryPorjectTimes",
                    name:"service/health/queryPorjectTimes",
                    data:{
                        project_id:vmData.project_id,
                    },
                    callback:function(code, message, data){
                        if (code == 0 || code == undefined) {
                            if (data.code == "0") {
                                console.log("data---"+data);
                                setTimeout(function () {
                                    var appointmentMakeSwiper = new Swiper('#appointmentMakeSwiper',{
                                        spaceBetween: 0,
                                        slidesPerView : 5,
                                    });
                                },100)
                                vmData.appointmentDate = data.data;
                                that.getDepartment(0);
                            } else {
                                fox.layer.open(data.msg);
                            }
                        } else {
                            fox.layer.open("网络异常");
                        }
                    }
                })
             },
                //回退
                back: function () {
                    fox.router.remove();
                },
                //调整page size
                adjustPageSize: function () {
                    //屏幕当前的高度
                    var oHeight = $.getClientHeight();
                    //设置page 高度
                    $(".fox-page > .fox-content").css("height", oHeight + "px");
                }
            },
            //加载后处理
            mounted:function(){
                this.adjustPageSize();
                // this.getmyDate();
                this.queryPorjectTimes();
                $('.fox-switch').switch();

                $(this.$refs.phoneSwitch).on('toggle',(event)=>{
                    this.remPhone = event.detail.isActive
                });

                $(this.$refs.userSwitch).on('toggle',(event)=>{
                    this.remUser = event.detail.isActive
                });
            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
