define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        var tellerInfo = fox.sessionStorage.get("tellerInfo");
        //vue data
        var vmData={
            user_name:tellerInfo.card_name,//姓名
            IDCardNo:tellerInfo.cardNumber,//身份证号
            telephone:tellerInfo.user_phone,// 电话号码
            selectedpeople:'',
            peoplelist:[],
            porject_amt: data.porject_amt,
            project_content: data.project_content,
            project_id:data.project_id,
            project_name:data.project_name,
            dateTemp:data.dateTemp,
            date:data.date,
            dateWeek:data.dateWeek,
            dateTime:data.dateTime,
            hospital_id:data.hospital_id,
            hospital_name:data.hospital_name,
            his_id:data.his_id,
            work_dept:data.exec_dept,//科室
            chnlcode:'001',//app渠道
            pat_code: "",
            pid: "",
            //新增
            List:[],
            count:',',
            totalPrice:'',
            checkedList:[],
            pa:'',
            healthSeq:'',
        }
        //创建vue model
        let vm=new Vue({
            el:cite.el,
            //数据
            data:vmData,
            //方法
            methods:{
             commit:function(){
                let that = this;
                if(vmData.selectedpeople == undefined ||vmData.selectedpeople ===''){
                    fox.layer.open("请选择就诊人");
                    return;
                }
                if (vmData.pat_code == "" || vmData.pat_code == undefined) {
                    fox.service.request({
                        id: "IdentityCheck",
                        name: "service/health/getPatientInfo",
                        data: {
                              pid:vmData.pid,
                              hospital_id:vmData.hospital_id
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                  vmData.pat_code = data.result.PatientID;
                                    fox.service.request({
                                        id:"savePorject",
                                        name:"service/health/savePorject",
                                        data:{
                                            project_id:vmData.project_id,
                                            hospital_id:vmData.hospital_id,
                                            hospital_name:vmData.hospital_name,
                                            make_date:vmData.date,
                                            make_time:vmData.dateTime,
                                            work_dept:vmData.work_dept,
                                            project_name:vmData.project_name,
                                            amt:vmData.porject_amt,
                                            chnlcode:vmData.chnlcode,
                                            pat_name:vmData.user_name,
                                            pat_num:vmData.IDCardNo,
                                            pat_code:vmData.pat_code,
                                            phone:vmData.telephone,
                                            pid:vmData.pid,
                                            his_id:vmData.his_id,
                                        },
                                        callback:function(code, message, data){
                                            if (code == 0 || code == undefined) {
                                                if (data.code == "0") {

                                                    vmData.healthSeq = data.healthSeq;
                                                    vm.orderDetails(data);

                                                } else {
                                                    fox.layer.open(data.msg);
                                                }
                                            } else {
                                                fox.layer.open("网络异常");
                                            }
                                        }
                                    })
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                } else {
                    fox.service.request({
                        id:"savePorject",
                        name:"service/health/savePorject",
                        data:{
                            project_id:vmData.project_id,
                            hospital_id:vmData.hospital_id,
                            hospital_name:vmData.hospital_name,
                            make_date:vmData.date,
                            make_time:vmData.dateTime,
                            work_dept:vmData.work_dept,
                            project_name:vmData.project_name,
                            amt:vmData.porject_amt,
                            chnlcode:vmData.chnlcode,
                            pat_name:vmData.user_name,
                            pat_num:vmData.IDCardNo,
                            pat_code:vmData.pat_code,
                            phone:vmData.telephone,
                            pid:vmData.pid,
                            his_id:vmData.his_id,
                        },
                        callback:function(code, message, data){
                            if (code == 0 || code == undefined) {
                                if (data.code == "0") {
                                    console.log("data---"+data);

                                    vmData.healthSeq = data.healthSeq;
                                    vm.orderDetails(data);
                                } else {
                                    fox.layer.open(data.msg);
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })
                }
          },


          orderDetails:function(data){

            vmData.List = [];
            vmData.List = data.data;
            vmData.checkedList = [];//置空 防止返回后，再提交，数据重复
            for (let index in vmData.List) {
               
                vmData.checkedList.push({
                    ActualMoney: vmData.List[index].ActualMoney,
                    BillDept: vmData.List[index].BillDept,
                    ReceiptNo: vmData.List[index].ReceiptNo,
                    ReceiptTime: vmData.List[index].ReceiptTime,
                    details: vmData.List[index].details,
                    ischecked: true
                });
            };
                vmData.count = vmData.checkedList.length;
                vmData.totalPrice = vm.sumPrice(vmData.checkedList);
                vm.payost();
          },

          //金额求和
          sumPrice: function (sumData) {
            var amount = 0;
            for (i = 0; i < sumData.length; i++) {
               var data = sumData[i];
                if (data.ischecked) {
                    amount += Math.floor(parseFloat(data.ActualMoney * 1000)) / 1000;
                }
            }
            return amount;
        },

        payost: function () {
            
            var reNo = "";
            //选中的单据
            var reqArray = [];
            //所有明细数组
            var detailArray = [];
            //拼接上送单号
            for (let index in vmData.checkedList) {
                if (vmData.checkedList[index].ischecked) {
                    reNo += vmData.checkedList[index].ReceiptNo + ",";
                    reqArray.push(vmData.checkedList[index]);
                    for (let i in vmData.checkedList[index].details) {
                        detailArray.push(vmData.checkedList[index].details[i]);
                    }
                }
            }
            //去掉","
            if (reNo.length > 0) {
                reNo = reNo.substr(0, reNo.length - 1);
            }
            var  item = reqArray[0];
            console.log("===========reNo=============" + reNo);
            console.log("===========reNo=============" + JSON.stringify(item));
            console.log("===========detailArray=============" + JSON.stringify(detailArray));
            var pa = {
                "allDetail": detailArray,
                "totalPrice": vmData.totalPrice,
                "reNo": reNo,
                "item": item,
                "ReceiptNo": item,
                "PatientID": vmData.selectedpeople.patient_id,
                "pid": vmData.selectedpeople.pid,
                "patient_name": vmData.selectedpeople.text,
                "ExecDept": item.details[0].ExecDept,
                "ExecDepPosition": item.details[0].ExecDepPosition,
                "healthSeq":vmData.healthSeq
            }
            vmData.pa = pa;

            fox.router.append("physicalAutoPayMonery", vmData.pa);

        },
       
                onselectpl:function (evt) {
                    if (evt != undefined) {
                        var Data = {
                            value: evt.items[0].value,
                            text: evt.items[0].text,
                            patient_id: evt.items[0].patient_id,
                            pid: evt.items[0].pid,
                            xiabiao:evt.items[0].xiabiao,
                            CardNo:evt.items[0].CardNo,
                            patient_name:evt.items[0].patient_name,
                            patient_number:evt.items[0].patient_number
                        }
                        
                        vmData.selectedpeople = Data;
                        vmData.user_name =Data.patient_name;//姓名
                        vmData.IDCardNo = Data.patient_number; //身份证号
                        vmData.pat_code = Data.CardNo;//卡号
                        vmData.pid = Data.pid;
                    }
                },

                initService:function () {
                    var loginUserInfo =fox.bus.get("loginUserInfo");
                    fox.service.request({
                        id: "getPactionListByHis",
                        name: "service/health/getPactionListByHis",
                        data: {
                             hospital_id:vmData.hospital_id
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {

                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    var dataList = data.data;
                                    for (let i in dataList) {
                                        var myData = {
                                            value: dataList[i].patient_number,
                                            text: dataList[i].patient_name,
                                            patient_id: dataList[i].patient_id,
                                            pid: dataList[i].pid,
                                            xiabiao: i,
                                            CardNo: dataList[i].patient_id,
                                            patient_name:dataList[i].patient_name,
                                            patient_number: dataList[i].patient_number,
                                        }
                                        vmData.peoplelist.push(myData);
                                    }
                                    if (vmData.peoplelist.length > 0) {
                                        vmData.selectedpeople= vmData.peoplelist[0];
                                        vmData.user_name =vmData.selectedpeople.patient_name;//姓名
                                        vmData.IDCardNo = vmData.selectedpeople.patient_number; //身份证号
                                        vmData.pat_code = vmData.selectedpeople.CardNo;//卡号
                                        vmData.pid = vmData.selectedpeople.pid;
                                    }
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })
                },

                //回退
                back: function () {
                    fox.router.remove();
                },
                //调整page size
                adjustPageSize: function () {
                    //屏幕当前的高度
                    var oHeight = $.getClientHeight();
                    //设置page 高度
                    $(".fox-page > .fox-content").css("height", oHeight + "px");
                }
            },
            //加载后处理
            mounted:function(){
                this.adjustPageSize();
                this.initService();
            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
