/**
 * Created by jiangcheng on 2018/03/06.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {

        var vmData={
            list:[],
            hosImage:"",
            name:""
        }
        //创建vue model
        var vm=new Vue({
            el:cite.el,
            //数据
            data:vmData,
            //方法
            methods:{
                //体检中心列表查询
                queryCenterList:function(){

                    fox.service.request({
                        id:"queryHospitalList",
                        name:"service/health/queryHospitalList",
                        data:{
                        },
                        callback:function(code, message, data){
                            if (code == 0 || code == undefined) {
                                // data=JSON.stringify(data);
                                if (data.code == "0") {
                                    console.log("data---"+data);
                                    vmData.list = data.data;
                                } else {
                                    fox.layer.open(data.msg);
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })
                },
                //回退
                back:function(){
                    fox.router.remove();
                },
                didSelectCell:function (cellId) {

                    var hospitalData = {
                        hospital_id: vmData.list[cellId].hospital_id,
                        interface_type:vmData.list[cellId].interface_type,
                        wx_status:vmData.list[cellId].wx_status,
                    }
                    var tellerInfo = fox.sessionStorage.get("tellerInfo");
                    tellerInfo.hospital_id = hospitalData.hospital_id;
                    tellerInfo.interface_type = hospitalData.interface_type;
                    fox.sessionStorage.put("tellerInfo", tellerInfo);
                    console.log("--------hospitalData",+hospitalData);
                    let HomehospitalData = fox.bus.get("HomehospitalData");
                    HomehospitalData.hospital_name = vmData.list[cellId].hospital_name;
                    HomehospitalData.hospital_id  = hospitalData.hospital_id;
                    HomehospitalData.wx_status  = hospitalData.wx_status;

                    fox.bus.put("HomehospitalData", HomehospitalData);
                    fox.router.append('physicalAppoint1', vmData.list[cellId]);
                },
                //调整page size
                adjustPageSize:function(){
                  //屏幕当前的高度
                  var oHeight = $.getClientHeight();
                  //设置page 高度
                  $(".fox-page > .fox-content").css("height", oHeight + "px");
                },

            },
            //加载后处理
            mounted:function(){
                this.adjustPageSize();
                this.queryCenterList();

            },

        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
