/**
 * Created by hukun on 2019/05/28.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        var phone = fox.bus.get("loginPhoneNum");
        var loginInfo = fox.bus.get("loginUserInfo");
        var hospitalData = fox.bus.get("HomehospitalData");
        let vmData = {
            m_select_items: [],
            patient:"",
            Ofpatient: "",
            PatientID:"",
            pid:"",
            DeptName: data.DeptName,   // 门诊名称
            BeginTime:data.BeginTime ,  // 开始时间
            EndTime: data.EndTime,      //  结束时间
            Fee:data.Fee,               //  总费用
            Noon:data.Noon,             //  上午下午晚上
            IDCardNo:loginInfo == undefined ? "" : loginInfo.card_number,
            user_id:loginInfo == undefined ? "" : loginInfo.user_id,//用户userid
            PatientName:"",
            CardNo:"",
            SchemaID:data.SchemaID,
            hospital_id:hospitalData.hospital_id,
            hospital_name:hospitalData.hospital_name,
            ReglevelName:data.ReglevelName,      //  医生级别
            DoctorName:data.DoctorName,
            Account:""
        };
        //创建vue model
        let vm = new Vue({
            el: cite.el,
            //数据
            data: vmData,
            //方法
            methods: {
                //回退
                back: function () {
                    fox.router.remove();
                },
                // onselectpl:function(evt) {
                //     if (data.interface_type === "01") {
                //
                //         if (evt != undefined) {
                //
                //             var Data = {
                //                 value: evt.items[0].value,
                //                 text: evt.items[0].text,
                //                 patient_id: evt.items[0].patient_id,
                //                 pid: evt.items[0].pid,
                //                 xiabiao:evt.items[0].xiabiao
                //             }
                //             vmData.selectedpeople = Data;
                //             vm.requesTopUpData();
                //         }
                //     }else {
                //
                //     }
                // },
                topUp:function(){

                    if (vmData.Ofpatient == ""||vmData.CardNo =="") {
                        fox.layer.open("请选择就诊人");
                        return;
                    } else {

                        //向输入充值金额界面传递的数据
                        var pam = {
                            hospital_name: vmData.hospital_name,
                            CardNo: vmData.CardNo,
                            pid:vmData.pid
                        }
                        fox.router.append('selectTop_upMonery', pam);
                    } },

                //调整page size
                adjustPageSize: function adjustPageSize() {
                    //屏幕当前的高度
                    var oHeight = $.getClientHeight();
                    //设置page 高度
                    $(".fox-page > .fox-content").css("height", oHeight+"px");
                },
                //查询就诊人
                queryOfpatient: function () {
                    let that = this;
                    fox.service.request({
                        id: "getPactionListByHis",
                        name: "pation/pation/getPactionListByHis",
                        data: {
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    var dataList = data.data;
                                    for (let i in dataList) {
                                        var myData = {
                                            value: dataList[i].patient_number,   // 就诊人身份证号
                                            text: dataList[i].patient_name,      // 就诊人名称
                                            pid: dataList[i].pid,       // 就诊人pid
                                            CardNo:dataList[i].card_no,   //  就诊人卡号
                                        }
                                        vmData.m_select_items.push(myData);

                                    }
                                    if (vmData.m_select_items.length > 0) {
                                        vmData.patient = vmData.m_select_items[0];
                                        vmData.Ofpatient = vmData.m_select_items[0].text;
                                        vmData.IDCardNo = vmData.m_select_items[0].value;
                                        vmData.pid = vmData.m_select_items[0].pid;
                                        vmData.CardNo = vmData.m_select_items[0].CardNo
                                        if(vmData.CardNo==""){
                                            console.info("ssdfsdfsfs");
                                            that.SignUp1();

                                        }
                                        that.requesTopUpData();
                                        // vmData.CardNo = vmData.m_select_items[0].CardNo
                                    }
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },
                // 建卡
                SignUp1:function(){
                    fox.service.request({
                        id: "SignUp1",
                        name: "service/eastSoftRegistered/SignUp1",
                        data: {
                            // 需传身份证号和姓名
                            IDCardNo: vmData.IDCardNo,   // 卡号
                            Ofpatient:vmData.Ofpatient,  // 姓名
                            pid:vmData.pid,          //  就诊人id
                            CardNo:vmData.CardNo,    // 当前就诊人卡号
                            hospital_id:vmData.hospital_id,
                            hospital_name:vmData.hospital_name
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {

                                    vmData.CardNo=data.card;


                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });

                },
                //选择就诊人
                select: function (evt) {//底部弹出下拉框-预留
                    let that = this;
                    if (evt != undefined) {
                        vmData.Ofpatient = evt.items[0].text;
                        vmData.IDCardNo = evt.items[0].value;
                        vmData.pid = evt.items[0].pid;
                        vmData.CardNo = evt.items[0].CardNo;
                        if(evt.items[0].CardNo==""){
                            that.SignUp1();

                        }
                    }

                },

                //请求卡数据（）
                requesTopUpData:function(){
                    fox.service.request({
                        id: "getMoney",
                        name: "service/eastSoftRegistered/getMoney",
                        data: {
                            Card:vmData.CardNo,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    vmData.Account = data.account;
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                }
            },
            //加载后处理
            mounted:function(){
                //进入界面默认请求充值卡数据

                //调整页面大小
                this.adjustPageSize();
                this.queryOfpatient();
               // this.requesTopUpData();

            }
        });
    };
});
