define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        //vue data
        let vmData={
            topUpMonery:"",
            CardNo:data.CardNo,
            hospital_name:data.hospital_name,
            pid:data.pid
        }
        //创建vue model
        var vm=new Vue({
            el:cite.el,
            data:vmData,
            //方法
            methods:{
                //路由跳转
                to:function(){

                    if(!vmData.topUpMonery) {
                        fox.layer.open({
                            content: '请输入充值金额'
                            ,skin: 'msg'
                            ,anim:'up'
                            ,time: 2 //2秒后自动关闭
                        });
                        return;
                    }
                    var pam = {
                        hospital_name:vmData.hospital_name,
                        CardNo:vmData.CardNo,
                        topUpMonery:vmData.topUpMonery,
                        pid:vmData.pid
                    }
                    fox.router.append('topUp', pam);
                },
                //回退
                back:function(){
                    fox.router.remove();
                },
                //调整page size
                adjustPageSize: function adjustPageSize() {
                    //屏幕当前的高度
                    var oHeight = $.getClientHeight();
                    //设置page 高度
                    $(".fox-page > .fox-content").css("height", oHeight+"px");
                }
            },
            //加载后处理
            mounted:function(){
                this.adjustPageSize();
            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
