/**
 * Created by  on 2019/05/28.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    var hospitalinfo = fox.bus.get("HomehospitalData");

    exports.ready = function (code, data, cite) {
        let vmData={
            patient_name: "",
            patient_number: "",
            patient_number_show:"",
            birthday: "",
            sex: "",
            age: "",
            list: "",
            index: 0,
            pid:data,
            outpatient_code:"",
            hospital_name:"",
            hospital_imgurl:"",
            guanxi:"",
            interface_type:"",
            address:"",
            profession:"",
            professionCode:"",
            patient_id:"",
            //新增
            areacode:"",//区 code
            areaallcode:"",// 省 市 区 code
            areaalladdress:"",//省 市 区 河南省 郑州市 中原区 
            streetcode:"",//街道code
            streetname:"",// 街道名称
            detailaddress:"",//详细地址
            hospital_id:hospitalinfo.hospital_id
        };
        vmData.interface_type = hospitalinfo.interface_type;
        //创建vue model
        let vm=new Vue({
            el:cite.el,
            //数据
            data:vmData,
            //方法
            methods:{
                //回退
                back:function(){
                    fox.eventproxy.trigger("refresh_data","")
                    fox.router.remove();
                },
                //查看详细信息
                detailService: function (type) {
                    fox.sessionStorage.put("vmpid", vmData.pid);
                    let that = this;
                    fox.service.request({
                        id:"getPactionDetail",
                        name:"pation/pation/getPactionDetail",
                        data:{
                            pid: vmData.pid
                        },
                        callback:function(code, message, data){
                            if (code == 0 || code == undefined) {
                                if(data.code == '0'){
                                    console.log(data);
                                    if (data.item == 0){
                                    }else {
                                        vmData.patient_id = data.item[0].patient_id;
                                    }
                                    vmData.patient_name = data.result.patient_name;
                                    fox.sessionStorage.put("pname", vmData.patient_name);
                                    vmData.patient_number = data.result.patient_number;
                                    fox.sessionStorage.put("pnumber", vmData.patient_number);
                                    vmData.patient_number_show = that.handle(data.result.patient_number);
                                    vmData.sex = data.result.sex;
                                    vmData.age = data.result.age;
                                    // vmData.user_phone = data.rsp[0].user_phone;
                                    vmData.birthday = data.result.birthday;
                                    vmData.guanxi = data.result.relationship;
                                    vmData.address = data.result.address;
                                    vmData.professionCode = data.result.profession;

                                    //新增字段
                                    vmData.areacode = data.result.areacode;//区 code
                                    vmData.areaallcode = data.result.areaallcode;// 省 市 区 code
                                    vmData.areaalladdress = data.result.areaalladdress;//省 市 区 河南省 郑州市 中原区 
                                    vmData.streetcode = data.result.streetcode;//街道code
                                    vmData.streetname = data.result.streetname;// 街道名称
                                    vmData.detailaddress = data.result.detailaddress;//详细地址

                                    switch (data.result.profession)
                                    {
                                        case '001':
                                            vmData.profession = "农民";
                                            break;
                                        case '002':
                                            vmData.profession = "工勤人员";
                                            break;
                                        case '003':
                                            vmData.profession = "干部";
                                            break;
                                        case '004':
                                            vmData.profession = "学生";
                                            break;
                                        case '005':
                                            vmData.profession = "离休人员";
                                            break;
                                        case '006':
                                            vmData.profession = "教师";
                                            break;
                                        case '007':
                                            vmData.profession = "个体商贩";
                                            break;
                                        case '008':
                                            vmData.profession = "服务员";
                                            break;
                                        case '009':
                                            vmData.profession = "其他";
                                            break;
                                        case '010':
                                            vmData.profession = "医生";
                                            break;
                                        default:
                                    }

                                    vmData.list = data.item;
                                    var hospital_id = fox.sessionStorage.get("tellerInfo").hospital_id;////////
                                    var interface_type =  fox.sessionStorage.get("tellerInfo").interface_type;

                                    if (data.item.length != 0) {
                                        if(interface_type === "01"){

                                        if(hospital_id ==='hnkjdxdy0006'||hospital_id ==='hnkjdxdy0013'){
                                            vmData.outpatient_code = data.item[0].card_no;
                                        }else{
                                            vmData.outpatient_code = data.item[0].outpatient_code;
                                        }
                                        }else if(interface_type === "02"){
                                            vmData.outpatient_code = data.item[0].card_no;
                                            if(hospital_id == 'xaxdermyy0051'  || hospital_id == 'xanxzyy0053'){
                                                vmData.outpatient_code = vmData.outpatient_code+"="
                                            }
                                        }
                                        vmData.hospital_name = data.item[0].hospital_name;
                                        vmData.hospital_imgurl = data.item[0].hospital_imgurl;
                                        if (type == '1'){
                                            if(vmData.outpatient_code){
                                                setTimeout(()=>{
                                                    // //生成条形码
                                                    that.qrcode(vmData.outpatient_code);
                                                },2)
                                            }
                                        }

                                    }

                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })
                },
                //路由跳转
                to:function(id, personid){
                    vmData.requestTime = 0;
                    fox.router.append(id,vmData);
                },
                deletePerson: function () {

                    var loginUserInfo =fox.bus.get("loginUserInfo");
                    //询问框
                    fox.layer.open({
                        content: '确认是否删除就诊人？无身份证子女的就诊人一旦删除，相关信息将无法找回'
                        , btn: ['确认', '取消']
                        , yes: function (index) {
                            fox.service.request({
                                id:"deletepaction",
                                name:"pation/pation/deletepaction",
                                data:{
                                    user_id:loginUserInfo.user_id,//用户id
                                    pid: vmData.pid,
                                    patient_number:vmData.patient_number
                                },
                                callback:function(code, message, data){
                                    if (code == 0 || code == undefined) {
                                        if(data.code == '0'){
                                            fox.layer.close(index);
                                            vm.back();
                                        }else {
                                            fox.layer.open(data.msg);
                                        }
                                    } else {
                                        fox.layer.open("网络异常");
                                    }
                                }
                            })
                        }
                    });
                },
                qrcode: function (num) {
                    for (var index in vmData.list) {
                        // var barcode = document.getElementById(index),
                        //     options = {
                        //         format: "CODE128",
                        //         displayValue: false,
                        //         fontSize: 18,
                        //         height: 100
                        //     };
                        // JsBarcode(barcode, num, options); //原生
                        var qrcode = new QRCode(document.getElementById(index), {
                            width: 100,
                            height: 100,
                        });
                        var str = num;
                        qrcode.makeCode(str);
                    }

                },
                //查看二维码
                queryLook:function () {
                    var qrcode = {
                        outpatient_code:vmData.outpatient_code,
                        hospital_name:vmData.hospital_name,
                        user_name:vmData.patient_name,
                        patient_number:vmData.patient_number,
                        interface_type:vmData.interface_type
                    }
                    fox.router.append("hisqrCode",qrcode);

                },
                queryLookCard:function () {
                    fox.router.append("socialSecurityCard","");
                    /*fox.service.request({
                        id: "socialcard",
                        name: "customer/customer/socialSecurityCard",
                        data: {
                            /!*real_name:"高科",
                            user_card_no:"421124199611272053",*!/
                            real_name:vmData.patient_name,//card_name
                            user_card_no:vmData.patient_number_show,//card_number
                            pid:vmData.pid,
                            EC1006:"EC1006"
                        },
                        callback: function (code, message, data) {
                            if (code === 0) {
                                if (data.code == "0") {
                                    // fox.sessionStorage.put("token",data.token);
                                    //window.location.href = vmData.m_url;
                                    fox.bus.put("re_url",data.data.return_url);
                                    window.location.href = data.data.return_url;
                                } else {
                                    fox.layer.open({
                                        content: data.msg,
                                        //content: "电子社保卡查询失败，请稍后再试！",
                                        skin: 'msg',
                                        anim: 'up',
                                        time: 2 //2秒后自动关闭
                                    });
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });*/
                },
                //调整page size
                adjustPageSize: function adjustPageSize() {
                    //屏幕当前的高度
                    var oHeight = $.getClientHeight();
                    //设置page 高度
                    $(".fox-page > .fox-content").css("height", oHeight+"px");
                },
                handle:function(idStr){

                    if (!idStr){
                        return '';
                    }
                    idStr = idStr.slice(0, 6) + '*********' + idStr.slice(-4);
                    return idStr;
                },
            },
            //加载后处理
            mounted:function(){
                this.detailService('1');//type 为1 时候是第一次进来
                //调整页面大小
                this.adjustPageSize();
                // //生成条形码
                // this.qrcode();
                $('.fox-input-row input').input();
                this.ep=fox.eventproxy;
                this.ep.bind("refresh_edit_data",function(){
                    vm.detailService();//刷新时候生成码方法  不让它走
                });
            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
