/**
 * Created by jiangcheng on 2018/03/06.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        var loginUserInfo =fox.bus.get("loginUserInfo");
        var vmData={
            test_userPhone:loginUserInfo.user_phone,
            list:[],
            hosImage:"",
            name:"",
	    createTime:""
        }
        //创建vue model
        var vm=new Vue({
            el:cite.el,
            //数据
            data:vmData,
            //方法
            methods:{
                lookLocationMap:function(item){
                    var mapAddressName = item.hospital_name;//医院名称
                    var location_lat =  item.latitude + "," + item.longitude;//"34.69887,112.475501";//经纬度
                    var tecentKey = "5B3BZ-PBWWX-WFU4X-TV4U5-V5E6E-62BLY";//固定
                    var projectName = "jkly";//项目名字
                    //init_view   初始化显示视图，默认：显示地图 2：显示列表，此参数只在多点标注下生效
                    //radius  是 以center为中心的查询范围半径，单位：米。注意，只有在指定中心点的检索时，才是必填radius=1000
                    var locationUrl = "https://apis.map.qq.com/tools/poimarker?type=1&keyword="+ mapAddressName + "&center=" + location_lat + "&radius=" + 1000 + "&key=" + tecentKey + "&referer=" + projectName + "&init_view=" + 0 +"&tonav=" + 0;
                    fox.router.append('locationMap', locationUrl);
                },
                //发热门诊信息查询
                queryFevelHospital:function(){
                    var latitude = fox.sessionStorage.get("latitude");
                    var longitude = fox.sessionStorage.get("longitude");
                    fox.service.request({
                        id:"getFevelHospital",
                        name:"hospital/hospital/getFevelHospital",
                        // name:"service/health/countFeverIndex",
                        data:{
                            longitude:longitude,
                            latitude:latitude,
                            hospital_name:vmData.name,
                        },
                        callback:function(code, message, data){
                            if (code == 0 || code == undefined) {
                                // data=JSON.stringify(data);
                                if (data.code == "0") {
                                    for(var i = 0;i<data.data.length;i++){
                                        if(data.data[i].distance <1000){
                                            data.data[i].distance = data.data[i].distance+"米"
                                        }else if(data.data[i].distance >= 1000){
                                            /*var d = ((data.data[i].distance)/1000+"").split(".");
                                            data.data[i].distance = d[0]+"公里";*/
                                            data.data[i].distance = ((data.data[i].distance)/1000).toFixed(1)+"公里"
                                        }
                                    
                                    };
                                    vmData.list = data.data;
				    vmData.createTime = data.createTime;
                                } else {
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }

                        }
                    })
                    //alert("查询医院名称")
                },
                //回退
                back:function(){
                    fox.router.remove();
                },
                didSelectCell:function (cellId) {
                    this.checkAsk(cellId);
                },

                //调查问卷弹窗
                checkAsk: function (cellId){
                    var hospitalData = {
                        hospital_id: vmData.list[cellId].hospital_id,
                        interface_type:vmData.list[cellId].interface_type,
                        nucleicTest:"fevel",
                        wx_status:vmData.list[cellId].wx_status,
                    }
                    var tellerInfo = fox.sessionStorage.get("tellerInfo");
                    tellerInfo.hospital_id = hospitalData.hospital_id;
                    tellerInfo.interface_type = hospitalData.interface_type;
                    fox.sessionStorage.put("tellerInfo", tellerInfo);
                    console.log("--------hospitalData",+hospitalData);
                    let HomehospitalData = fox.bus.get("HomehospitalData");
                    HomehospitalData.hospital_name = vmData.list[cellId].hospital_name;
                    HomehospitalData.hospital_id  = hospitalData.hospital_id;
                    HomehospitalData.wx_status  = hospitalData.wx_status;
                    fox.bus.put("HomehospitalData", HomehospitalData);


                        fox.router.append('chooseRegisterType', hospitalData);
                },

                //调整page size
                adjustPageSize: function () {
                    //屏幕当前的高度
                    var oHeight = $.getClientHeight();
                    //设置page 高度
                    $(".fox-page > .fox-content").css("height", oHeight + "px");
                }

            },
            //加载后处理
            mounted:function(){
                this.adjustPageSize();
                this.queryFevelHospital();

            },

        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
