/**
 * Created by  on 2019/05/28.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {

        let vmData={
            list:[],
            m_listData:[],
            user_phone:"",
            requestTime:0
        };

        //创建vue model
        let vm=new Vue({
            el:cite.el,
            //数据
            data:vmData,
            //方法
            methods:{
                getOfpatient: function () {
                    let that = this;
                    var loginUserInfo =fox.bus.get("loginUserInfo");
                    fox.service.request({
                        id:"getPactionList",
                        name: "pation/pation/getPactionListByHis",
                        data:{
                            user_id: loginUserInfo.user_id
                        },
                        callback:function(code, message, data){
                            if (code == 0 || code == undefined) {
                                if (data.code == "0") {
                                    vmData.list = [];
                                    for (let i in data.data) {
                                        var myData = {
                                            card_no:data.data[i].card_no,
                                            patient_name: data.data[i].patient_name,
                                            cardNumber:data.data[i].patient_number,
                                            patient_number: that.handle(data.data[i].patient_number),
                                            outpatient_code:data.data[i].outpatient_code,
                                            pid:data.data[i].pid,
                                        }
                                        vmData.list.push(myData);
                                    }
                                    vmData.m_listData=vmData.list;
                                }else if (data.code == "200000") {
                                    //实名认证
                                    //询问框
                                    fox.layer.open({
                                        content: "请先实名认证"
                                        ,btn: ['确认','取消']
                                        ,yes: function(index){
                                            fox.router.append('school_realName_auth');
                                        }
                                    });
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })
                },
                //回退
                back:function(){
                    fox.eventproxy.trigger("refresh_data2","");
                    fox.router.remove();
                },
                //换卡跳转
                changeto:function(index){
                    var myData = vmData.m_listData[index];
                    var code =  myData.outpatient_code ? myData.outpatient_code:myData.card_no;
                    if(code){
                        fox.eventproxy.trigger("my_card_change",vmData.m_listData[index]);
                        fox.router.remove();
                    }else if (myData.cardNumber !== undefined && myData.cardNumber !== ""){
                        fox.eventproxy.trigger("my_card_change",vmData.m_listData[index]);
                        fox.router.remove();
                    }else{
                        fox.layer.open({
                                content: "未建卡，暂不支持换卡"
                                ,skin: 'msg'
                                ,anim:'up'
                                ,time: 1 //2秒后自动关闭
                        });
                 }
             },
                //调整page size
                adjustPageSize: function adjustPageSize() {
                    //屏幕当前的高度
                    var oHeight = $.getClientHeight();
                    //设置page 高度
                    $(".fox-page > .fox-content").css("height", oHeight+"px");
                },
                handle:function(idStr){

                    if (!idStr){
                        return '';
                    }
                    idStr = idStr.slice(0, 6) + '*********' + idStr.slice(-4);
                    return idStr;
                },

            },
            //加载后处理
            mounted:function(){
                this.getOfpatient();
                vmData.requestTime = 1;
                //调整页面大小
                this.adjustPageSize();
                $('.fox-input-row input').input();

                this.ep=fox.eventproxy;
                this.ep.bind("refresh_data",function(){
                    if (vmData.requestTime === 0) {
                        vm.getOfpatient();
                        vmData.requestTime = 1;
                    }

                });

            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {


    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
