define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        //vue data
        var phone = fox.bus.get("loginPhoneNum");
        var loginInfo = fox.bus.get("loginUserInfo");
        var hospitalData = fox.bus.get("HomehospitalData");
        var vmData = {
            headImage:"resource/image/faces/face-02.jpeg",
            m_select_items: [],
            patient: "",
            Ofpatient: "",
            DepName: data.DepName,
            SessionType: data.SessionType,
            MarkDesc: data.MarkDesc,
            BegTime: data.BegTime === undefined ? "" : data.BegTime.substring(0, 10),
            montDay: data.montDay,
            HBTime: data.TimeValue === undefined ? data.HBTime : data.TimeValue,
            Price: data.Price,
            VisitID: data.VisitID,
            AsRowid: data.AsRowid,
            TimeValue: data.TimeValue,
            SerNum:data.SerNum,
            IsTime:data.IsTime,
            EnSerNumList:data.EnSerNumList,
            SerContr:data.SerContr,
            user_phone: phone,
            IDCardNo: loginInfo == undefined ? "" : loginInfo.card_number,
            user_id: loginInfo == undefined ? "" : loginInfo.user_id,//用户userid
            PatientID: "",
            hospital_name: hospitalData.hospital_name,
            hospital_id: hospitalData.hospital_id,
            Day: data.Day,
            CardNo: "",
            pid:"",//就诊人编号
            doctor_img:data.doctor_img
        }

        //创建vue model
        let vm = new Vue({
            el: cite.el,
            //数据
            data: vmData,
            computed: {
                // 计算属性的 getter
                myPrice: function () {
                    // `this` 指向 vm 实例
                    var price = vmData.Price;
                    return this.myPrice = parseFloat(price).toFixed(2);
                }
            },


            //方法
            methods: {
                //下一步
                nextStep: function () {
                    let that = this;
                    if (vmData.patient == "" || vmData.patient == undefined) {
                        fox.layer.open("请选择就诊人");
                        return;

                    } else {
                        //询问框
                        fox.layer.open({
                            content: "请确认就诊人:<span style='color: #fe3632'>"+vmData.Ofpatient+"</span>"
                            , btn: ['取消', '确认']
                            , action: [
                                function (index) {
                                    //取消
                                    fox.layer.close(index);
                                },
                                function (index) {
                                    //确定
                                    fox.layer.close(index);
                                    var isMinePush = {
                                        "isMinePush": false
                                    }
                                    if (vmData.PatientID == "" || vmData.PatientID == undefined) {
                                        fox.service.request({
                                            id: "IdentityCheck",
                                            name: "service/theDayRegistered/getPatientInfo",
                                            data: {
                                                pid:vmData.pid
                                                // idBack:vm.idBack.image,
                                            },
                                            callback: function (code, message, data) {
                                                if (code == 0 || code == undefined) {
                                                    if (data.code == "200000") {
                                                        fox.layer.open(data.msg);
                                                    } else {
                                                        var mydate = {
                                                            Ofpatient: vmData.Ofpatient,
                                                            Price: vmData.Price,
                                                            CardNo: data.result.CardNo,
                                                            PatientID: data.result.PatientID,
                                                            PatientName: data.result.PatientName,
                                                            Sex: data.result.Sex,
                                                            DepName: vmData.DepName,
                                                            MarkDesc: vmData.MarkDesc,
                                                            BegTime: vmData.BegTime,
                                                            HBTime: vmData.HBTime,
                                                            VisitID: vmData.VisitID,
                                                            SessionType: vmData.SessionType,
                                                            AsRowid: vmData.AsRowid,
                                                            TimeValue: vmData.TimeValue,
                                                            Day: vmData.Day,
                                                            RegType: "3",
                                                            SerNum: vmData.SerNum,
                                                            EnSerNumList:vmData.EnSerNumList,
                                                            SerContr:vmData.SerContr,
                                                            pid:vmData.pid,
                                                            IsTime:vmData.IsTime
                                                        }
                                                        fox.router.append("confirmPayment", mydate);
                                                    }
                                                } else {
                                                    fox.layer.open("网络异常");
                                                }
                                            }
                                        });

                                    } else {
                                        var mydate = {
                                            Ofpatient: vmData.Ofpatient,
                                            Price: vmData.Price,
                                            PatientID: vmData.PatientID,
                                            PatientName: vmData.Ofpatient,
                                            CardNo: vmData.CardNo,
                                            DepName: vmData.DepName,
                                            MarkDesc: vmData.MarkDesc,
                                            BegTime: vmData.BegTime,
                                            HBTime: vmData.HBTime,
                                            VisitID: vmData.VisitID,
                                            SessionType: vmData.SessionType,
                                            AsRowid: vmData.AsRowid,
                                            TimeValue: vmData.TimeValue,
                                            Day: vmData.Day,
                                            RegType: "3",
                                            SerNum: vmData.SerNum,
                                            EnSerNumList:vmData.EnSerNumList,
                                            SerContr:vmData.SerContr,
                                            pid:vmData.pid,
                                            IsTime:vmData.IsTime
                                        }
                                        fox.router.append("confirmPayment", mydate);
                                    }

                                }
                            ]
                        });

                    }



                },
                //选择就诊人
                select: function (evt) {//底部弹出下拉框-预留
                    if (evt != undefined) {
                        vmData.Ofpatient = evt.items[0].text;
                        vmData.IDCardNo = evt.items[0].value;
                        vmData.PatientID = evt.items[0].patient_id;
                        vmData.CardNo = evt.items[0].CardNo;
                        vmData.pid = evt.items[0].pid;
                    }
                },
                //办卡
                // SignUp: function () {
                //     fox.service.request({
                //         id: "SignUp",
                //         name: "service/theDayRegistered/SignUp",
                //         data: {
                //             IDCardNo: vmData.IDCardNo,
                //             user_phone: vmData.user_phone,
                //             user_id: vmData.user_id,
                //             PatientName: vmData.Ofpatient,
                //             // idBack:vm.idBack.image,
                //         },
                //         callback: function (code, message, data) {
                //             if (code == 0 || code == undefined) {
                //                 if (data.code == "200000") {
                //                     fox.layer.open(data.msg);
                //                 } else {
                //                     var mydate = {
                //                         Ofpatient: vmData.Ofpatient,
                //                         Price: vmData.Price,
                //                         CardNo: data.result.CardNo,
                //                         PatientID: data.result.PatientID,
                //                         PatientName: data.result.PatientName,
                //                         Sex: data.result.Sex,
                //                         DepName: vmData.DepName,
                //                         MarkDesc: vmData.MarkDesc,
                //                         BegTime: vmData.BegTime,
                //                         HBTime: vmData.HBTime,
                //                         VisitID: vmData.VisitID,
                //                         SessionType: vmData.SessionType,
                //                         AsRowid: vmData.AsRowid,
                //                         TimeValue: vmData.TimeValue,
                //                         Day: vmData.Day,
                //                         RegType: "2",
                //                         SerNum:vmData.SerNum
                //                     }
                //                     fox.router.append("confirmPayment", mydate);
                //                 }
                //             } else {
                //                 fox.layer.open("网络异常");
                //             }
                //         }
                //     });
                // },
                //查询就诊人
                queryOfpatient: function () {
                    fox.service.request({
                        id: "getPactionListByHis",
                        name: "pation/pation/getPactionListByHis",
                        data: {
                            user_phone: vmData.user_phone,
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    var dataList = data.data;
                                    for (let i in dataList) {
                                        var myData = {
                                            value: dataList[i].patient_number,
                                            text: dataList[i].patient_name,
                                            patient_id: dataList[i].patient_id,
                                            pid: dataList[i].pid,
                                            CardNo:dataList[i].card_no,
                                        }
                                        var checkPidInfo=fox.sessionStorage.get("checkPidInfo");
                                        console.log("checkPidInfo"+checkPidInfo);
                                        if(checkPidInfo == undefined || checkPidInfo == ""){
                                            vmData.m_select_items.push(myData);
                                        }else{
                                            if (checkPidInfo == myData.pid){
                                                vmData.m_select_items.push(myData);
                                            }
                                        }
                                    }
                                    if (vmData.m_select_items.length > 0) {
                                        vmData.patient = vmData.m_select_items[0];
                                        vmData.Ofpatient = vmData.m_select_items[0].text;
                                        vmData.IDCardNo = vmData.m_select_items[0].value;
                                        vmData.PatientID = vmData.m_select_items[0].patient_id;
                                        vmData.pid = vmData.m_select_items[0].pid;
                                        vmData.CardNo = vmData.m_select_items[0].CardNo;
                                    }
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },


                //回退
                back: function () {
                    fox.router.remove();
                }
            },
            //加载后处理
            mounted: function () {
                this.queryOfpatient();
                // fox.localStorage.remove("_global_loginInfo");
                $('.fox-switch').switch();

                $(this.$refs.phoneSwitch).on('toggle', (event) => {
                    this.remPhone = event.detail.isActive
                });

                $(this.$refs.userSwitch).on('toggle', (event) => {
                    this.remUser = event.detail.isActive
                });

            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
