define(function (require, exports) {
    let  my_join;
    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        var hospitalData = fox.bus.get("hospitalData");
        let vmData = {
            headImage:"resource/image/faces/face-02.jpeg",
            Falg: "2",
            DepName: data[0].DepName,
            BegTime: data[0].BegTime.substring(0,10),
            EnSerNumList: data[0].EnSerNumList,
            EndTime: data[0].EndTime,
            HBTime:data[0].TimeValue === undefined ? data[0].HBTime : data[0].TimeValue,
            IsTime: data[0].IsTime,
            cn_desc:"",
            LimitAge: data[0].LimitAge,
            LimitSex: data[0].LimitSex,
            MarkDesc: data[0].MarkDesc,
            MarkId: data[0].MarkId,
            Price: data[0].Price,
            RegCount: data[0].RegCount,
            SerContr: data[0].SerContr,
            SessionType: data[0].SessionType,
            VisitID: data[0].VisitID,
            AsRowid:data[0].AsRowid,
            TimeValue:data[0].TimeValue,//时间段
            SerNum: data[0].SerNum,
            EnSerNumList:data[0].EnSerNumList,
            SerContr:data[0].SerContr,
            Sex:"",
            doctor_intro:"",
            Day:data[0].BegTime.substring(0,10),
            myindex:"",
            // //预约时间的数组
            // appointmentDate: [
            //     {date: "05-28", week: "周二", href: "#item1", className: "fox-control-item fox-active"},
            //     {date: "05-30", week: "周四", href: "#item2", className: "fox-control-item"}],

            table_header: [{text: "", style: "text-align:left;width:38%;", columnStyle: "width:38%;"},
                {text: "", style: "text-align:left;width:42%;", columnStyle: "width:42%;"},
                {text: "", style: "text-align:left;width:20%;", columnType: 1, columnStyle: "width:20%;"}],
            table_content: data,
            // [{BegTime: "2019年5月30日", RegCount: "8", montDay: "周四", HBTime: "09:00-10:00", Price: "30"}]
            doctor_img:"",
            table_flag:fox.bus.get("HomehospitalData").table_flag,
            nucleicTest:data[0].nucleicTest

        }

        //创建vue model
        var vm = new Vue({
            el: cite.el,
            data: vmData,
            computed: {
                // 计算属性的 getter
                myPrice: function () {
                    // `this` 指向 vm 实例
                    var price = vmData.Price;
                    return this.myPrice = parseFloat(price).toFixed(2);
                }
            },
            //方法
            methods: {
                //路由跳转
                to: function (id) {
                    fox.router.append(id);
                },
                //回退
                back: function () {
                    fox.router.remove();
                },
                //查询医生简介
                getInfoByDoctorId: function () {
                    fox.service.request({
                        id: "querypayDeskInfo",
                        name: "service/deskwork/querypayDeskInfo",
                        data: {
                            DoctId: vmData.MarkId,
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    if (data.result !== undefined) {
                                        vmData.doctor_intro = data.result[0].Expertintroduction;
                                        vmData.Sex = data.result[0].Sex;
                                        vmData.doctor_img = data.result[0].Pic;
                                    }

                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },
                myYes: function () {
                    fox.layer.close(my_join);
                      //需要弹窗 填写信息
                 if(vmData.table_flag ==='1'||vmData.nucleicTest ==='1' || vmData.nucleicTest ==='fevel'){

                    //询问框
                    fox.layer.open({
                        content: '为配合疫情防控工作，请先完成新冠肺炎调查问卷。'
                        , btn: ['取消', '立即填写']
                        , action: [
                            function (index) {
                                //取消
                                fox.layer.close(index);
                            },
                            function (index) {
                                var index = vmData.myindex;
                                vmData.myindex = "";
                                var myDate = {
                                    DepName: vmData.DepName,
                                    MarkDesc: vmData.MarkDesc,
                                    BegTime: vmData.BegTime,
                                    Ofpatient: vmData.Ofpatient,
                                    HBTime: vmData.HBTime,
                                    Price: vmData.table_content[index].Price,
                                    VisitID: vmData.VisitID,
                                    AsRowid: vmData.AsRowid,
                                    SessionType: vmData.SessionType,
                                    TimeValue: vmData.table_content[index].TimeValue,
                                    Day: vmData.Day,
                                    SerNum:vmData.table_content[index].SerNum,
                                    EnSerNumList:vmData.table_content[index].EnSerNumList,
                                    SerContr:vmData.table_content[index].SerContr,
                                    IsTime:vmData.IsTime,
                                    doctor_img:vmData.doctor_img,                
                                }
                                var data = {
                                    registered:myDate,
                                    pageName:'appointmentConfirm',
                                    nucleicTest:vmData.nucleicTest
                                }
                                fox.router.append("nucleicCheckRegister", data);
                            }
                        ]
                    });
             }else{

                var index = vmData.myindex;
                vmData.myindex = "";
                var myDate = {
                    DepName: vmData.DepName,
                    MarkDesc: vmData.MarkDesc,
                    BegTime: vmData.BegTime,
                    Ofpatient: vmData.Ofpatient,
                    HBTime: vmData.HBTime,
                    Price: vmData.table_content[index].Price,
                    VisitID: vmData.VisitID,
                    AsRowid: vmData.AsRowid,
                    SessionType: vmData.SessionType,
                    TimeValue: vmData.table_content[index].TimeValue,
                    Day: vmData.Day,
                    SerNum:vmData.table_content[index].SerNum,
                    EnSerNumList:vmData.table_content[index].EnSerNumList,
                    SerContr:vmData.table_content[index].SerContr,
                    IsTime:vmData.IsTime,
                    doctor_img:vmData.doctor_img

                }
                fox.router.append("appointmentConfirm", myDate);

             }
                   
                },
                myNo: function () {
                    fox.layer.close(my_join);
                },
                NotesReg: function (index) {
                    my_join = fox.layer.open({
                        type: 1,
                        content: "#NotesforRegistration",
                        success: function () {

                        }
                    });
                    vmData.myindex = index;

                },
                // 查询挂号须知
                xcloud:function(){
                    fox.service.request({
                        id: "queryNotesforRegistration",
                        name: "registrationProtocol/registrationProtocol/queryNotesforRegistration",
                        data: {
                            para:"RES",
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    if (data.result !== undefined) {

                                    }

                                    vmData.cn_desc     =  data.cn_desc;
                                    document.getElementById("xcloud").innerHTML = vmData.cn_desc;
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });

                },

            },
            //加载后处理
            mounted: function () {
                // this.getDoctorTime();
                this.getInfoByDoctorId();
                this.xcloud();
            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {
        fox.layer.close(my_join);
    }
});
