/**
 * Created by hukun on 2019/05/28.
 */
define(function (require, exports) {
    var clear_time;
    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {

        let vmData = {
            pageType:data.pageType,
            pid:data.pid,
            birthday:data.birthday,
            relationship:data.relationship,//  05是未成年
            age: data.age,
            patient_name: data.patient_name,
            patient_number: data.patient_number,//patientNumber
            patientNumber:data.patientNumber,
            sex: data.sex,
            user_phone: data.user_phone,  
            prove_flag:data.prove_flag,
            mz_str:"",
            ehealth_code:"",
            ehealth_card_id:"",

            patientownership:"",
            owershipNumber:"",
            ownership:"",//关系 身份证归属,self:本人，father:父亲,mother:母亲"
            ownershipCode:"",
            patientParity:"",//胎次"胎次,第一胎:01,第二胎:02,以此类推。最大为09"
            parity:"",
            parityCode:"",
            m_select_ownership:[
                {
                    value: 'self',
                    text: '本人'
                },
                {
                    value: 'father',
                    text: '父亲'
                },
                {
                    value: 'mother',
                    text: '母亲'
                },
            ],

            m_select_parity:[
                {
                    value: '01',
                    text: '第一胎'
                },
                {
                    value: '02',
                    text: '第二胎'
                },
                {
                    value: '03',
                    text: '第三胎'
                },
                {
                    value: '04',
                    text: '第四胎'
                },
                {
                    value: '05',
                    text: '第五胎'
                },
                {
                    value: '06',
                    text: '第六胎'
                },
                {
                    value: '07',
                    text: '第七胎'
                },
                {
                    value: '08',
                    text: '第八胎'
                },
                {
                    value: '09',
                    text: '第九胎'
                },
            ],

            m_select_mz:[{
                value: '001',
                text: '汉族'
            }, {
                value: '002',
                text: '满族'
            },{
                value: '003',
                text: '蒙古族'
            },{
                value: '004',
                text: '回族'
            },{
                value: '005',
                text: '藏族'
            },{
                value: '006',
                text: '维吾尔族'
            },{
                value: '007',
                text: '苗族'
            },{
                value: '008',
                text: '彝族'
            },{
                value: '009',
                text: '壮族'
            },{
                value: '008',
                text: '布依族'
            },{
                value: '008',
                text: '侗族'
            },{
                value: '008',
                text: '瑶族'
            },{
                value: '008',
                text: '白族'
            },{
                value: '008',
                text: '土家族'
            },{
                value: '008',
                text: '哈尼族'
            },{
                value: '008',
                text: '哈萨克族'
            },{
                value: '008',
                text: '傣族'
            },{
                value: '008',
                text: '黎族'
            },{
                value: '008',
                text: '傈僳族'
            },{
                value: '008',
                text: '佤族'
            },{
                value: '008',
                text: '畲族'
            },{
                value: '008',
                text: '高山族'
            },{
                value: '008',
                text: '拉祜族'
            },{
                value: '008',
                text: '水族'
            },{
                value: '008',
                text: '东乡族'
            },{
                value: '008',
                text: '纳西族'
            },{
                value: '008',
                text: '景颇族'
            },{
                value: '008',
                text: '柯尔克孜族'
            },{
                value: '008',
                text: '土族'
            },{
                value: '008',
                text: '达斡尔族'
            },{
                value: '008',
                text: '仫佬族'
            },{
                value: '008',
                text: '羌族'
            },{
                value: '008',
                text: '布朗族'
            },{
                value: '008',
                text: '撒拉族'
            },{
                value: '008',
                text: '毛南族'
            },{
                value: '008',
                text: '仡佬族'
            },{
                value: '008',
                text: '锡伯族'
            },{
                value: '008',
                text: '彝族'
            },{
                value: '008',
                text: '阿昌族'
            },{
                value: '008',
                text: '普米族'
            },{
                value: '008',
                text: '朝鲜族'
            },{
                value: '008',
                text: '塔吉克族'
            },{
                value: '008',
                text: '怒族'
            },{
                value: '008',
                text: '乌孜别克族'
            },{
                value: '008',
                text: '俄罗斯族'
            },{
                value: '008',
                text: '鄂温克族'
            },{
                value: '008',
                text: '德昂族'
            },{
                value: '008',
                text: '保安族'
            },{
                value: '008',
                text: '裕固族'
            },{
                value: '008',
                text: '京族'
            },{
                value: '008',
                text: '塔塔尔族'
            },{
                value: '008',
                text: '独龙族'
            },{
                value: '008',
                text: '鄂伦春族'
            },{
                value: '008',
                text: '赫哲族'
            },{
                value: '008',
                text: '门巴族'
            },{
                value: '008',
                text: '珞巴族'
            },{
                value: '008',
                text: '基诺族'
            },
            
        ],

 };

        //创建vue model
        let vm = new Vue({
            el: cite.el,
            //数据
            data: vmData,
            //方法
            methods: {
                selectParity:function(evt){
                    vmData.patientParity = evt.items[0];
                    vmData.parity =evt.items[0].text;
                    vmData.parityCode = evt.items[0].value;
                },

                selectOwnership:function(evt){
                    vmData.patientownership = evt.items[0];
                    vmData.ownership =evt.items[0].text;
                    vmData.ownershipCode = evt.items[0].value;
                },

                selectOccupation:function (evt){
                    vmData.mz_str = evt;
                },
                //回退
                back: function () {
                    fox.router.remove();
                },
                submitAction: function () {

                    // var tel_number = document.getElementById("tel_number").value;
                    // if(!(/^1[1-9]\d{9}$/.test(tel_number))){
                    //     fox.layer.open({
                    //         content: '请输入正确的手机号码'
                    //         ,skin: 'msg'
                    //         ,anim:'up'
                    //         ,time: 2 //2秒后自动关闭
                    //     });
                    //     return;
                    // }

                    if( vmData.relationship == '05'){
                        if (vmData.ownership.length == "0") {
                            fox.layer.open({
                                content: '请选择身份证归属'
                                , skin: 'msg'
                                , anim: 'up'
                                , time: 1.5 //1.5秒后自动关闭
                            });  
                            return;
                        }
                        var num = document.getElementById("card_num").value;
                        vmData.owershipNumber = num;
                        if(vmData.owershipNumber){
                            var idcardReg = /(^[1-9]\d{5}(18|19|([23]\d))\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$)|(^[1-9]\d{5}\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\d{2}[0-9Xx]$)/;
                            if(!idcardReg.test(vmData.owershipNumber)) {
                                fox.layer.open({
                                    content: '请输入正确格式的身份证号码'
                                    ,skin: 'msg'
                                    ,anim:'up'
                                    ,time: 2 //2秒后自动关闭
                                });
                                return;
                            }
                        }else{
                            fox.layer.open({
                                content: '请输入身份证号码'
                                ,skin: 'msg'
                                ,anim:'up'
                                ,time: 2 //2秒后自动关闭
                            });
                            return;
                        }

                        if (vmData.parity.length == "0") {
                            fox.layer.open({
                                content: '请选择胎次'
                                , skin: 'msg'
                                , anim: 'up'
                                , time: 1.5 //1.5秒后自动关闭
                            });  
                            return;
                        }
                        var splitFirst = (vmData.birthday).split('-');
                        var new_birthday = splitFirst.join('');
                        fox.service.request({
                            id: "register",
                            name: "customer/customer/newbornRegister",
                            data: {
                                id_no: vmData.owershipNumber,
                                name:vmData.patient_name,
                                cellphone:vmData.user_phone,
                                // cellphone:tel_number,
                                gender:vmData.sex ==="男" ? "1":"2",
                                parity:vmData.parityCode,
                                ownership:vmData.ownershipCode,
                                birthday:new_birthday,
                                pid:vmData.pid,
                            },
                            callback: function (code, message, data) {
                                if (code == 0 || code == undefined) {
                                    // data=JSON.stringify(data);
                                    if (data.code == "0") {
                                        fox.layer.open({
                                            content: '注册成功'
                                            , skin: 'msg'
                                            , anim: 'up'
                                            , time: 2 //2秒后自动关闭
                                        });
                                        if(vmData.pageType ==="0"){
                                            vmData.ehealth_code = data.ehealth_code;
                                            vmData.ehealth_card_id = data.ehealth_card_id,
                                            fox.router.append("immurecordQueryPage",vmData);
                                         }else{
                                             vmData.ehealth_code = data.ehealth_code;
                                             vmData.ehealth_card_id = data.ehealth_card_id,
                                             fox.router.append("appointmentofVaccine",vmData);
                                         }
                                    } else {
                                        fox.layer.open({
                                            content: data.msg
                                            , skin: 'msg'
                                            , anim: 'up'
                                            , time: 2 //2秒后自动关闭
                                        });
                                    }
                                } else {
                                    fox.layer.open("网络异常");
                                }
                            }
                        })
                    }else{
                        fox.service.request({
                            id: "register",
                            name: "customer/customer/ehcRegister",
                            data: {
                                id_no: vmData.patientNumber,
                                name:vmData.patient_name,
                                cellphone:vmData.user_phone,
                                // cellphone:tel_number,
                                gender:vmData.sex ==="男" ? "1":"2",
                                pid:vmData.pid,
                            },
                            callback: function (code, message, data) {
                                if (code == 0 || code == undefined) {
                                    // data=JSON.stringify(data);
                                    if (data.code == "0") {
                                        fox.layer.open({
                                            content: '注册成功'
                                            , skin: 'msg'
                                            , anim: 'up'
                                            , time: 2 //2秒后自动关闭
                                        });
                                        if(vmData.pageType ==="0"){
                                            vmData.ehealth_card_id = data.ehealth_card_id;
                                            fox.router.append("immurecordQueryPage",vmData);
                                         }else if(vmData.pageType ==="3"||vmData.pageType ==="4"){
                                            fox.eventproxy.trigger("province_create_finish",vmData.pageType);
                                            fox.router.remove();
                                         }else if(vmData.pageType ==="5"){
                                            vmData.ehealth_card_id = data.ehealth_card_id;
                                            fox.router.append("nucleicQueryPage",vmData);//核酸检测记录
                                         }else if(vmData.pageType ==="6"){
                                            vmData.ehealth_card_id = data.ehealth_card_id;
                                            fox.router.append("birthRegistrationQuery",vmData);//生育登记记录
                                         }else if(vmData.pageType ==="7"){
                                            vmData.ehealth_card_id = data.ehealth_card_id;
                                            fox.router.append("birthCertificate",vmData);//出生证明查询
                                         }else if(vmData.pageType ==="8"){
                                            vmData.ehealth_card_id = data.ehealth_card_id;
                                            fox.router.append("bloodRecordPage",vmData);//献血记录
                                         }else{
                                                 vmData.ehealth_code = data.ehealth_code;
                                                 vmData.ehealth_card_id = data.ehealth_card_id,
                                                 fox.router.append("appointmentofVaccine",vmData);
                                        }
                                    } else {
                                        fox.layer.open({
                                            content: data.msg
                                            , skin: 'msg'
                                            , anim: 'up'
                                            , time: 2 //2秒后自动关闭
                                        });
                                    }
                                } else {
                                    fox.layer.open("网络异常");
                                }
                            }
                        })

                    }
                },
               
                //调整page size
                adjustPageSize: function adjustPageSize() {
                    //屏幕当前的高度
                    var oHeight = $.getClientHeight();
                    //设置page 高度
                    $(".fox-page > .fox-content").css("height", oHeight + "px");
                }

            },
            //加载后处理
            mounted: function () {

                //调整页面大小
                this.adjustPageSize();
                $('.fox-input-row input').input();
                var inputs = $('.fox-input-row input');
                clear_time = setTimeout(function () {
                    inputs.each(function (i, input) {
                        if (i == 0) {
                            input.focus();
                        }
                        console.log("============" + i);
                        input.style.pointerEvents = "auto";
                    });
                }, 400);
            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

        // //修复ios返回页面光标消失缓慢
        var inputs = $('input');
        inputs.each(function (i, input) {
            input.blur();
        });
    }
});
