/**
 * Created by jiangcheng on 2018/03/06.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        let vmData = {
            selectedpeople: "",
            peoplelist: [],
            recordlist: [],
            pid: "",
            patient_id:"",
  
        };

        //创建vue model
        let vm = new Vue({
            el: cite.el,
            //数据
            data: vmData,
            //方法
            methods: {
                back: function () {
                    fox.router.remove();
                },
                querybillDetails: function () {
                    fox.service.request({
                        id: "queryInvoice",
                        name: "customer/customer/queryInvoice",
                        data: {
                            PatientID: vmData.patient_id,
                        },
                        callback: function (code, message, data) {
                            console.log(code, message, data, '发票记录');
                            if (code == 0 || code == undefined) {
                                vmData.recordlist = [];
                                if (code == "0") {
                                    vmData.recordlist = data.result;
                                } else {
                                    fox.layer.open("没有发票记录");
                                    return;
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                  })
                },
                to:function(item){
                    fox.router.append("billQueryDetail",item);
                },
                onselectpl: function (evt) {
                    if (evt != undefined) {
                        var Data = {
                            value: evt.items[0].value,
                            text: evt.items[0].text,
                            patient_id: evt.items[0].patient_id,
                            pid: evt.items[0].pid,
                            xiabiao: evt.items[0].xiabiao
                        }
                        vmData.selectedpeople = Data;
                        vmData.pid = vmData.selectedpeople.pid;
                        vmData.patient_id = vmData.selectedpeople.patient_id;
                        vm.querybillDetails();
                    } else {
                        vmData.recordlist = [];
                    }

                },
                     
                initService: function () {

                    var loginUserInfo = fox.bus.get("loginUserInfo");
                    fox.service.request({
                        id: "getPactionListByHis",
                        name: "pation/pation/getPactionListByHis",
                        data: {
                            user_id: loginUserInfo.user_id,
                            hospital_id: vmData.hospital_id
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {

                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    var dataList = data.data;
                                    for (let i in dataList) {
                                        var myData = {
                                            value: dataList[i].patient_number,
                                            text: dataList[i].patient_name,
                                            patient_id: dataList[i].patient_id,
                                            pid: dataList[i].pid,
                                            xiabiao: i
                                        }
                                        vmData.peoplelist.push(myData);
                                    }
                                    if (vmData.peoplelist.length > 0) {
                                        vmData.selectedpeople = vmData.peoplelist[0];
                                        vmData.pid = vmData.selectedpeople.pid;
                                        vmData.patient_id = vmData.selectedpeople.patient_id;
                                        vm.querybillDetails();
                                    }
                                }

                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })
                },
          
            },
            //加载后处理
            mounted: function () {
                //初始化请求
                this.initService();
         
            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
