/**
 * Created by jiangcheng on 2018/03/06.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        let vmData = {
            selectedpeople: "",
            peoplelist: [],
            recordlist: [],
            pid: "",
            patient_id:"",

            m_tag_list:[
                {
                    id:"tab_a", //fox-tab-page的id
                    text:"证件信息", //tab标签名
                 },
                 {
                    id:"tab_b", //fox-tab-page的id
                    text:"新生儿信息", //tab标签名
                 },
                 {
                    id:"tab_c", //fox-tab-page的id
                    text:"父亲信息", //tab标签名
                 },
                 {
                    id:"tab_d", //fox-tab-page的id
                    text:"母亲信息", //tab标签名
                 },

            ],
            cardNo:data.patientNumber,
            name:data.patient_name,
            ehealth_card_id:data.ehealth_card_id, 
            bornModel:"",
            bornList:[],
            mCls:['tab_a','tab_b','tab_c','tab_d']
  
        };

        //创建vue model
        let vm = new Vue({
            el: cite.el,
            //数据
            data: vmData,
             //方法
             filters: {
                hideMiddle(val) {
                    if (val === "" || val === undefined) {
                        return "";
                  } else {
                        return `${val.substring(0,1)}****************${val.substring(val.length-1)}`;
                   }
                },
                hideNameMiddle(val) {
                    if (val === "" || val === undefined) {
                        return "";
                  } else {
                        return `${val.substring(0,1)}${new Array(val.length).join('*')}`;
                   }
                }
              },
            //方法
            methods: {
                back: function () {
                    fox.router.remove();
                },
                queryBithInfoByNo: function () {

                    fox.service.request({
                        id: "getBithInfoByNo",
                        name: "service/health/getBithInfoByNo",
                        data: {
                            ehealth_card_id:vmData.ehealth_card_id,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "0") {
                                    var list = data.data;
                                    vmData.recordlist = list;
                                    if(list.length > 0){
                                        for(var i = 0;i<vmData.recordlist.length;i++){
                                            // var born_data = {
                                            //     value:vmData.recordlist[i].birthcertno,
                                            //     text: vmData.recordlist[i].name
                                            // }
                                            vmData.bornList.push(vmData.recordlist[i].name);
                                         }
                                         vmData.bornModel = vmData.recordlist[0];
                                         vmData.selectedpeople = vmData.bornList[0];
                                    }
                                } else {
                                    fox.layer.open(data.msg);
                                    return;
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                  })
                },
                to:function(item){
                    fox.router.append("billQueryDetail",item);
                },
                onselectpl: function (evt) {

                    if (evt != undefined) {
                        vmData.selectedpeople = evt;
                        for(var i = 0;i<vmData.recordlist.length;i++){
                            if(vmData.selectedpeople ===vmData.recordlist[i].name){
                                vmData.bornModel = vmData.recordlist[i];
                            }
                         }  
                    } 
                },
                  //调整page size
                  adjustPageSize: function adjustPageSize() {
                    //屏幕当前的高度
                    var oHeight = $.getClientHeight();
                    //设置page 高度
                    $(".fox-page > .fox-content").css("height", oHeight + "px");
                },
            },
            //加载后处理
            mounted: function () {
                //初始化请求
                this.queryBithInfoByNo();
                this.adjustPageSize();

         
            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
