/**
 * Created by  on 2019/05/28.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {

        let vmData={
            list:[],
            m_listData:[],
            user_phone:"",
            requestTime:0
        };

        //创建vue model
        let vm=new Vue({
            el:cite.el,
            //数据
            data:vmData,
            //方法
            filters: {
                hideMiddle(val) {
                    if (val === "" || val === undefined) {
                        return "";
                    } else {
                        return `${val.substring(0,3)}***********${val.substring(val.length-4)}`;
                    }

                }
            },
            //方法
            methods:{
                getOfpatient: function () {
                    let that = this;
                    var loginUserInfo =fox.bus.get("loginUserInfo");
                    fox.service.request({
                        id:"birthRecordQuery",
                        name:"customer/customer/birthRecordQuery",
                        data:{
                            user_id: loginUserInfo.user_id
                        },
                        callback:function(code, message, data){
                            if (code == 0 || code == undefined) {
                                if (data.code == "0") {
                                    // vmData.list = [];
                                    // for (let i in data.birthList) {
                                    //     var myData = {
                                    //         MQSFZJHM: data.birthList[i].MQSFZJHM,
                                    //         MQXM: data.birthList[i].MQXM,
                                    //         YYRQ: data.birthList[i].YYRQ,
                                            
                                    //     }
                                    //     vmData.list.push(myData);
                                    // }
                              
                                    vmData.m_listData = data.birthList;
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })
                },
                //回退
                back:function(){
                    fox.eventproxy.trigger("refresh_data2","");
                    fox.router.remove();
                },
                //路由跳转
                //路由跳转
                to:function(id, data){
                    fox.router.append(id,data);
                },
                //调整page size
                adjustPageSize: function adjustPageSize() {
                    //屏幕当前的高度
                    var oHeight = $.getClientHeight();
                    //设置page 高度
                    $(".fox-page > .fox-content").css("height", oHeight+"px");
                },
                handle:function(idStr){

                    if (!idStr){
                        return '';
                    }
                    idStr = idStr.slice(0, 6) + '*********' + idStr.slice(-4);
                    return idStr;
                },

            },
            //加载后处理
            mounted:function(){
                this.getOfpatient();
                vmData.requestTime = 1;
                //调整页面大小
                this.adjustPageSize();
                $('.fox-input-row input').input();

                this.ep=fox.eventproxy;
                this.ep.bind("refresh_data",function(){
                    if (vmData.requestTime === 0) {
                        vm.getOfpatient();
                        vmData.requestTime = 1;
                    }

                });

            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {


    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
