/**
 * Created by jiangcheng on 2018/03/06.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        var hospitalinfo = data;
        var vmData = {
            hospital_id:hospitalinfo.hospital_id,
            interface_type: hospitalinfo.interface_type,
            nucleicTest:data.nucleicTest,//1 是来自核酸检测的挂号
        }
        //创建vue model
        let vm = new Vue({
            el: cite.el,
            //数据
            data: vmData,
            //方法
            methods: {
                //路由跳转
                to: function (id) {
                    fox.router.append(id, vmData.nucleicTest);
                },

                //回退
                back: function () {
                    fox.router.remove();
                },
                //调整page size
                adjustPageSize: function () {
                    //屏幕当前的高度
                    var oHeight = $.getClientHeight();
                    //设置page 高度
                    $(".fox-page > .fox-content").css("height", oHeight + "px");
                }
            },
            //加载后处理
            mounted: function () {

                //调整页面大小
                this.adjustPageSize();

            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
