define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        //创建vue model
        var vm = new Vue({
            el: cite.el,
            //方法
            methods: {
                //路由跳转
                to: function (id) {
                    // fox.router.replace(id);
                    fox.router.to(id, {}, undefined, {"updatePolicy": 0})
                },
                //回退
                back: function () {
                    fox.router.remove();
                },
                //调整page size
                adjustPageSize: function adjustPageSize() {
                    //屏幕当前的高度
                    var oHeight = $.getClientHeight();
                    //设置page 高度
                    $(".fox-page > .fox-content").css("height", oHeight + "px");
                }
            },
            //加载后处理
            mounted: function () {
                this.adjustPageSize();
            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
