define(function (require, exports) {
    let timer;
    let DDtimer;
    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        var phone = fox.bus.get("loginPhoneNum");
        var loginInfo = fox.bus.get("loginUserInfo");
        var hospitalData = fox.bus.get("HomehospitalData");
        var loginDeviceType = fox.bus.get("loginDeviceType");
        var LockPass = fox.bus.get("LockPass");//锁号密钥
        //vue data
        var vmData = {
            paymentType: "1",//1微信支付2支付宝支付
            maxtime: 3 * 60,
            minutes: "",//分
            seconds: "",//秒
            Ofpatient: data.Ofpatient,
            Price: data.Price,
            CardNo: data.CardNo,
            PatientID: data.PatientID,
            PatientName: data.PatientName,
            Sex: data.Sex,
            DeptID: data.DeptID,
            AsRowid: data.AsRowid,
            RegType: data.RegType,
            DepName: data.DepName,
            MarkDesc: data.MarkDesc,
            BegTime: data.BegTime,
            HBTime: data.HBTime,
            SessionType: data.SessionType,
            VisitID: data.VisitID,
            TimeValue: data.IsTime == "1" ? data.HBTime : "",
            SerContr: data.SerContr,
            IDCardNo: loginInfo == undefined ? "" : loginInfo.card_number,//身份证号
            user_id: loginInfo == undefined ? "" : loginInfo.user_id,//用户userid
            user_phone: phone,//用户手机
            hospital_name: hospitalData.hospital_name,//医院名称
            hospital_id: hospitalData.hospital_id,//医院id
            wx_status:hospitalData.wx_status,
            pay_serail: "",//支付流水
            loginDeviceType: loginDeviceType,//系统类型
            registerData: "",
            Day: data.Day,
            LockPass: LockPass,//锁号密钥
            SerNum: data.SerNum,//锁定号码
            EnSerNumList: data.EnSerNumList,
            pid: data.pid,
            WXZFFalg: false,
            WXZFFalgData: "",
            query_check:0,
        }

        //创建vue model
        let vm = new Vue({
            el: cite.el,
            //数据
            data: vmData,
            computed: {
                // 计算属性
                myPrice: function () {
                    // `this` 指向 vm 实例
                    var price = vmData.Price;
                    return this.myPrice = parseFloat(price).toFixed(2);
                }
            },


            //方法
            methods: {
                //去支付开始
                goPayment: function () {
                    let that = this;
                    vmData.registerData = {
                        PatName: vmData.Ofpatient,
                        RegType: vmData.RegType,
                        PatientID: vmData.PatientID,
                        CardTypeID: "2",
                        Day: vmData.BegTime,
                        CardNo: vmData.CardNo,
                        VisitID: vmData.VisitID,
                        AsRowid: vmData.AsRowid,
                        MarkDesc: vmData.MarkDesc,
                        SessionType: vmData.SessionType,
                        HBTime: vmData.HBTime,
                        DepName: vmData.DepName,
                        Price: vmData.Price,
                        IDCardNo: vmData.IDCardNo,
                        PatientName: vmData.Ofpatient,
                        Sex: vmData.Sex,
                        TimeValue: vmData.TimeValue,
                        SerNum: vmData.SerNum,
                        LockPass: vmData.LockPass,
                        payType: vmData.paymentType,
                        smsCodeType: "0",
                        phone: phone,
                        registerInfo: vmData.BegTime + "-" + vmData.hospital_name + "-" + vmData.DepName + "-" + vmData.MarkDesc,
                        smsType: "003",
                        xinYeMian: "true"
                    }
                    var payType = vmData.paymentType;
                    if (payType === "1" && payType !== "") {
                        that.wxPay(payType, vmData.registerData);
                    } else if (payType === "2" && payType !== "") {
                        that.zfbPay(payType, vmData.registerData);
                    } else if (payType === "3" && payType !== "") {
                        that.cmbPay(payType, vmData.registerData);
                    }
                },
                //微信支付
                wxPay: function (payType, registerData) {
                    let that = this;
                    fox.service.request({
                        cover: false,
                        id: "getPaymentOrder",
                        name: "wxpay/wxpay/getPaymentOrder",
                        data: {
                            payType: payType,
                            user_id: vmData.user_id,
                            user_phone: vmData.user_phone,
                            PatientID: vmData.PatientID,
                            pid: vmData.pid,
                            hospital_id: vmData.hospital_id,
                            pay_way: "0",
                            total_amount: vmData.Price,
                            body: "微信支付挂号",
                            spbill_create_ip: "10.214.17.164",
                            chnlcode: "001",
                            trantype: "002",
                            registerData: registerData,//挂号明细
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    var outtradeno = data.outtradeno;//订单号
                                    if("1" == data.zeroFlag){
                                        that.queryOuttradenoStatus(outtradeno);
                                    }else{
                                        that.WXhtml(payType, outtradeno, data);
                                    }
                                    //开始调取支付
                                    //that.WXhtml(payType, outtradeno, data);
                                    //  that.queryOuttradenoStatus(outtradeno);
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },
                //支付宝支付
                zfbPay: function (payType, registerData) {
                    let that = this;
                    fox.service.request({
                        id: "getPaymentOrder",
                        name: "alipay/alipay/getPaymentOrder",
                        data: {
                            payType: payType,
                            user_id: vmData.user_id,
                            user_phone: vmData.user_phone,
                            PatientID: vmData.PatientID,
                            pid: vmData.pid,
                            hospital_id: vmData.hospital_id,
                            pay_way: "1",
                            total_amount: vmData.Price,
                            body: "支付宝挂号",
                            subject: "医院挂号",
                            chnlcode: "001",
                            trantype: "002",
                            registerData: registerData//挂号明细
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    var outtradeno = data.outtradeno;//订单号
                                    if("1" == data.zeroFlag){
                                        that.queryOuttradenoStatus(outtradeno);
                                    }else{
                                        that.ZFBhtml(payType, outtradeno, data);
                                    }
                                    //开始调取支付
                                    //that.ZFBhtml(payType, outtradeno, data);
                                }
                            } else {
                                document.getElementById("myDisabled").disabled = false;
                                document.getElementById("myDisabled").style.backgroundColor = "#3ea5f6";
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },
                //一网通支付
                cmbPay: function (payType, registerData) {
                    let that = this;
                    fox.service.request({
                        id: "getPaymentOrder",
                        name: "netcompay/netcompay/getPaymentOrder",
                        data: {
                            payType: payType,
                            user_id: vmData.user_id,
                            user_phone: vmData.user_phone,
                            PatientID: vmData.PatientID,
                            pid: vmData.pid,
                            hospital_id: vmData.hospital_id,
                            pay_way: "1",
                            total_amount: vmData.Price,
                            body: "一网通挂号",
                            subject: "医院挂号",
                            chnlcode: "001",
                            trantype: "002",
                            registerData: registerData//挂号明细
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    var outtradeno = data.outtradeno;//订单号
                                    //开始调取一网通支付
                                    that.CMBhtml(payType, outtradeno, data);
                                }
                            } else {
                                document.getElementById("myDisabled").disabled = false;
                                document.getElementById("myDisabled").style.backgroundColor = "#3ea5f6";
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },
                //微信支付页面调取
                WXhtml: function (payType, outtradeno, data) {
                    let that = this;
                    if (vmData.loginDeviceType === "android") {
                        console.log("android");
                        var params = data.data;
                        params.cover = false;
                        fox.native.call("wxPay", params, function (code, message, data) {
                            // vmData.WXZFFalg = false;

                            if (code == 0) {
                                var obj = JSON.parse(data);
                                if (obj.errCode === "0") {
                                    //查询异步支付结果
                                    // that.WXOrder(payType, outtradeno, obj);
                                    that.queryOuttradenoStatus(outtradeno);
                                } else {
                                    if (vmData.SerContr === '1') {
                                        that.unlock();
                                    }
                                    document.getElementById("myDisabled").disabled = false;
                                    document.getElementById("myDisabled").style.backgroundColor = "#3ea5f6";
                                }
                            } else {
                                if (vmData.SerContr === '1') {
                                    that.unlock();
                                }
                                document.getElementById("myDisabled").disabled = false;
                                document.getElementById("myDisabled").style.backgroundColor = "#3ea5f6";
                            }
                        });
                    } else if (vmData.loginDeviceType === "ios") {
                        console.log("ios");
                        // var params = fox.base64.encode(data.data);
                        data.data.cover = false;
                        fox.device.callWXPay("callWXPay", data.data, function (code, message, data) {
                            vmData.WXZFFalg = false;
                            if (code == 0) {
                                var callBackParams = fox.base64.decode(data);
                                /** obj字典参数 :
                                 * 错误码：errCode
                                 * 错误提示字符串：errStr
                                 *响应类型：type
                                 * */
                                var obj = JSON.parse(callBackParams);
                                if (obj.errCode === "0") {
                                    //查询异步支付结果
                                    // that.WXOrder(payType, outtradeno, callBackParams);
                                    that.queryOuttradenoStatus(outtradeno);
                                } else {
                                    if (vmData.SerContr === '1') {
                                        that.unlock();
                                    }
                                    document.getElementById("myDisabled").disabled = false;
                                    document.getElementById("myDisabled").style.backgroundColor = "#3ea5f6";
                                }
                            } else {
                                if (vmData.SerContr === '1') {
                                    that.unlock();
                                }
                                document.getElementById("myDisabled").disabled = false;
                                document.getElementById("myDisabled").style.backgroundColor = "#3ea5f6";

                            }
                        });
                    }
                },
                //支付宝页面调取
                ZFBhtml: function (payType, outtradeno, data) {
                    let that = this;
                    if (vmData.loginDeviceType === "android") {
                        console.log("android");
                        var params = data.data;
                        fox.native.call("aliPay", params, function (code, message, data) {
                            if (code == 0) {
                                var callBackParams = JSON.parse(data);
                                console.log(callBackParams);
                                if (callBackParams.resultStatus === "9000" || callBackParams.resultStatus === "8000" || callBackParams.resultStatus === "6004") {
                                    //查询异步支付结果
                                    that.ZFBOrder(payType, outtradeno, callBackParams);
                                } else {
                                    if (vmData.SerContr === '1') {
                                        that.unlock();
                                    }
                                    document.getElementById("myDisabled").disabled = false;
                                    document.getElementById("myDisabled").style.backgroundColor = "#3ea5f6";
                                }

                            } else {
                                if (vmData.SerContr === '1') {
                                    that.unlock();
                                }
                                document.getElementById("myDisabled").disabled = false;
                                document.getElementById("myDisabled").style.backgroundColor = "#3ea5f6";
                            }
                        });
                    } else if (vmData.loginDeviceType === "ios") {
                        console.log("ios");
                        var params = fox.base64.encode(data.data);
                        fox.device.callAliPay("callAliPay", params, function (code, message, data) {
                            if (code == 0) {
                                var callBackParams = fox.base64.decode(data);
                                var obj = JSON.parse(callBackParams);
                                if (obj.resultStatus === "9000" || obj.resultStatus === "8000" || obj.resultStatus === "6004") {
                                    //查询异步支付结果
                                    that.ZFBOrder(payType, outtradeno, callBackParams);
                                } else {
                                    if (vmData.SerContr === '1') {
                                        that.unlock();
                                    }
                                    document.getElementById("myDisabled").disabled = false;
                                    document.getElementById("myDisabled").style.backgroundColor = "#3ea5f6";
                                }

                            } else {
                                // fox.layer.open(message);
                                if (vmData.SerContr === '1') {
                                    that.unlock();
                                }
                                document.getElementById("myDisabled").disabled = false;
                                document.getElementById("myDisabled").style.backgroundColor = "#3ea5f6";
                            }
                        });
                    }
                },
                //一网通页面调取
                CMBhtml: function (payType, outtradeno, data) {
                    var jsonRequestData = data.data;
                    //             console.info("jsonRequestData:  "+jsonRequestData);
                    var jsonRequestDataStr = JSON.stringify(jsonRequestData);
                    //              console.info("jsonRequestDataStr:  "+jsonRequestDataStr);
                    //var sst = encodeURIComponent(jsonRequestDataStr);
                    //       console.info("sst:  "+sst);
                    var jsonRequestDataRrl = "charset=utf-8&jsonRequestData=" + encodeURIComponent(jsonRequestDataStr);
                    //         console.info("jsonRequestDataRrl:  "+jsonRequestDataRrl);
                    let that = this;
                    var params = {"jsonRequestDataRrl":jsonRequestDataRrl,"appid":data.appid};
                    if (vmData.loginDeviceType === "android") {
                        fox.native.call("cmbPay", params, function (code, message, data) {
                            if (code == 0) {
                                var obj = JSON.parse(data);
                                if (obj.errCode === "0") {
                                    //查询异步支付结果
                                    // that.WXOrder(payType, outtradeno, obj);
                                    that.queryOuttradenoStatus(outtradeno);
                                } else {
                                    if (vmData.SerContr === '1') {
                                        that.unlock();
                                    }
                                    document.getElementById("myDisabled").disabled = false;
                                    document.getElementById("myDisabled").style.backgroundColor = "#3ea5f6";
                                }
                            } else {
                                if (vmData.SerContr === '1') {
                                    that.unlock();
                                }
                                document.getElementById("myDisabled").disabled = false;
                                document.getElementById("myDisabled").style.backgroundColor = "#3ea5f6";
                            }
                        });
                    } else if (vmData.loginDeviceType === "ios") {
                        //           console.log("ios");
//                        var params = fox.base64.encode(data.data);
                        //  console.log("jsonRequestDataRrl========" + jsonRequestDataRrl);
                        fox.device.callCMBPay("callCMBPay", params, function (code, message, data) {
                            if (code == 0) {
                                var callBackParams = fox.base64.decode(data);
                                console.log("callCMBPay=======data========" + fox.base64.decode(data));
                                var obj = JSON.parse(callBackParams);

                                if (obj.errCode === "0") {
                                    that.queryOuttradenoStatus(outtradeno);
                                } else {
                                    if (vmData.SerContr === '1') {
                                        that.unlock();
                                    }
                                    document.getElementById("myDisabled").disabled = false;
                                    document.getElementById("myDisabled").style.backgroundColor = "#3ea5f6";
                                }
                            } else {
                                // fox.layer.open(message);
                                if (vmData.SerContr === '1') {
                                    that.unlock();
                                }
                                document.getElementById("myDisabled").disabled = false;
                                document.getElementById("myDisabled").style.backgroundColor = "#3ea5f6";
                            }
                        });
                    }
                },
                ZFBOrder: function (payType, outtradeno, callBackParams) {
                    let that = this;
                    fox.service.request({
                        id: "getOrderQuery",
                        name: "alipay/alipay/getOrderQuery",
                        data: {
                            out_trade_no: outtradeno,
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    if (vmData.SerContr === '1') {
                                        that.unlock();
                                    }
                                } else if (data.code == "0" && data.status == "1") {
                                    //开始提交挂号
                                    that.submitDepartmentOK(payType, outtradeno, callBackParams);
                                } else {
                                    if (vmData.SerContr === '1') {
                                        that.unlock();
                                    }
                                }
                            } else {
                                if (vmData.SerContr === '1') {
                                    that.unlock();
                                }
                            }
                        }
                    });
                },
                WXOrder: function (payType, outtradeno, callBackParams) {
                    let that = this;
                    fox.service.request({
                        id: "orderquery",
                        name: "wxpay/wxpay/orderquery",
                        data: {
                            out_trade_no: outtradeno,
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    if (vmData.SerContr === '1') {
                                        that.unlock();
                                    }
                                } else if (data.code == "0" && data.status == "1") {
                                    //开始提交挂号
                                    that.submitDepartmentOK(payType, outtradeno, callBackParams);
                                } else {
                                    if (vmData.SerContr === '1') {
                                        that.unlock();
                                    }
                                }
                            } else {
                                if (vmData.SerContr === '1') {
                                    that.unlock();
                                }
                            }
                        }
                    });
                },
                //提交挂号
                submitDepartmentOK: function (payType, outtradeno, callBackParams) {
                    let that = this;
                    fox.service.request({
                        id: "submitDepartment",
                        name: "service/theDayRegistered/submitDepartment",
                        data: {
                            IDCardNo: vmData.IDCardNo,
                            RegType: vmData.RegType,
                            PatientID: vmData.PatientID,
                            CardNo: vmData.CardNo,
                            PatientName: vmData.PatientName,
                            AsRowid: vmData.AsRowid,
                            Sex: vmData.Sex,
                            VisitID: vmData.VisitID,
                            Price: vmData.Price,
                            PayNote: outtradeno,//三方出参信息
                            PayMode: payType === "2" ? "175" : "135",
                            TimeValue: vmData.TimeValue,
                            outtradeno: outtradeno,
                            Day: vmData.BegTime,
                            SerNum: vmData.SerNum,
                            LockPass: vmData.LockPass,
                            payType: vmData.paymentType,
                            smsCodeType: "0",
                            chnlcode: "001",
                            phone: phone,
                            SerContr: vmData.SerContr,
                            patName: vmData.Ofpatient,
                            registerInfo: vmData.BegTime + " "+vmData.HBTime+","+ vmData.hospital_name + vmData.DepName + "-" + vmData.MarkDesc,
                            smsType: "003",
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    // if (vmData.SerContr === '1') {
                                    //     that.unlock(data.msg);
                                    //     if (vmData.paymentType === "2") {
                                    //         that.ZFBgetOrderRefund(outtradeno, data.msg);
                                    //     } else {
                                    //         that.WXgetOrderRefund(outtradeno, data.msg);
                                    //     }
                                    //
                                    // } else {
                                    //     if (vmData.paymentType === "2") {
                                    //         that.ZFBgetOrderRefund(outtradeno, data.msg);
                                    //     } else {
                                    //         that.WXgetOrderRefund(outtradeno, data.msg);
                                    //     }
                                    // }
                                    fox.layer.open(data.msg + ",挂号失败,费用预计2-3个工作日将退回原支付账户中!");
                                } else if (data.code == "200013") {
                                    fox.layer.open(data.msg);
                                } else {
                                    var mydate = {
                                        Ofpatient: vmData.Ofpatient,
                                        Price: vmData.Price,
                                        DepName: vmData.DepName,
                                        MarkDesc: vmData.MarkDesc,
                                        BegTime: vmData.BegTime,
                                        HBTime: vmData.BegTime+" "+vmData.HBTime,
                                        RegisterNo: data.result.RegisterNo,
                                        JZNo: data.result.JZNo
                                    }
                                    if (vmData.RegType === "3") {
                                        fox.router.append("appointmentSuccess", mydate);
                                        // that.appointmentToPay(payType, mydate, outtradeno);
                                    } else {
                                        fox.router.append("registeredSuccessfully", mydate);
                                    }
                                }
                            } else {
                                fox.layer.open("挂号异常请去首页查询挂号记录查看挂号结果");
                            }
                        }
                    });
                },
                //更新退款状态
                // updateArefund: function (outtradeno) {
                //     fox.service.request({
                //         id: "updateArefundStatus",
                //         name: "service/theDayRegistered/updateArefundStatus",
                //         data: {
                //             workseqno: outtradeno,
                //             // idBack:vm.idBack.image,
                //         },
                //         callback: function (code, message, data) {
                //             if (code == 0 || code == undefined) {
                //                 if (data.code == "200000") {
                //                 } else {
                //                 }
                //             } else {
                //                 fox.layer.open("网络异常");
                //             }
                //         }
                //     });
                // },
                // 退款
                // ZFBgetOrderRefund: function (outtradeno, msg) {
                //     //hospital_id=lysdyzyy0001&out_trade_no=201906211649467722310219&refund_amount=0.01
                //     let that = this;
                //     fox.service.request({
                //         id: "getOrderRefund",
                //         name: "alipay/alipay/getOrderRefund",
                //         data: {
                //             hospital_id: vmData.hospital_id,
                //             out_trade_no: outtradeno,
                //             refund_amount: vmData.Price,
                //             chnlcode: "001"
                //             // idBack:vm.idBack.image,
                //         },
                //         callback: function (code, message, data) {
                //             if (code == 0 || code == undefined) {
                //                 if (data.code == "200000") {
                //                     fox.layer.open(data.msg + "," + msg);
                //                 } else {
                //                     fox.layer.open(msg + ",挂号失败,费用预计2-3个工作日将退回原支付账户中!");
                //                     // that.updateArefund(outtradeno);
                //                     // vmData.Registrationrecord = data.list;alipay/alipay/getOrderRefund.
                //                 }
                //             } else {
                //                 fox.layer.open("退款异常请去首页查询挂号记录查看退款结果");
                //             }
                //         }
                //     });
                // },
                // 退款
                // WXgetOrderRefund: function (outtradeno, msg) {
                //     //hospital_id=lysdyzyy0001&out_trade_no=201906211649467722310219&refund_amount=0.01
                //     let that = this;
                //     fox.service.request({
                //         id: "orderRefund",
                //         name: "wxpay/wxpay/orderRefund",
                //         data: {
                //             hospital_id: vmData.hospital_id,
                //             out_trade_no: outtradeno,
                //             refund_amount: vmData.Price,
                //             chnlcode: "001"
                //             // idBack:vm.idBack.image,
                //         },
                //         callback: function (code, message, data) {
                //             if (code == 0 || code == undefined) {
                //                 if (data.code == "200000") {
                //                     fox.layer.open(data.msg + "," + msg);
                //                 } else {
                //                     var refund_no = data.refund_no;
                //                     that.WXqueryRegistered(refund_no, outtradeno, msg);
                //                     // vmData.Registrationrecord = data.list;alipay/alipay/getOrderRefund.
                //                 }
                //             } else {
                //                 fox.layer.open(msg + ",退款异常请去首页查询挂号记录查看退款结果");
                //             }
                //         }
                //     });
                // },
                //微信退款异步通知查询
                // WXqueryRegistered: function (refund_no, outtradeno, msg) {
                //     let _this = this;
                //     fox.service.request({
                //         id: "refundquery",
                //         name: "wxpay/wxpay/refundquery",
                //         data: {
                //             out_trade_no: refund_no,
                //             chnlcode: "001",
                //         },
                //         callback: function (code, message, data) {
                //             if (code == 0 || code == undefined) {
                //                 if (data.code == "0") {
                //                     fox.layer.open(msg + ",挂号失败,费用预计2-3个工作日将退回原支付账户中!");
                //                     // _this.updateArefund(outtradeno);
                //                 } else {
                //                     fox.layer.open(data.msg + "," + msg);
                //                 }
                //             }
                //         }
                //     })
                // },
                //挂号锁号
                goThelockPayment: function () {
                    let that = this;
                    var payType = vmData.paymentType;
                    if (payType !== undefined && payType !== "") {
                        document.getElementById("myDisabled").disabled = true;
                        document.getElementById("myDisabled").style.backgroundColor = "#666666";
                        if (vmData.SerContr === '1') {
                            fox.service.request({
                                id: "Thelock",
                                name: "service/theDayRegistered/Thelock",
                                data: {
                                    RegType: vmData.RegType,
                                    AsRowid: vmData.AsRowid,
                                    VisitID: vmData.VisitID,
                                    Day: vmData.Day,
                                    LockPass: vmData.LockPass,
                                    EnSerNumList: vmData.EnSerNumList,
                                    SerNum: vmData.SerNum,
                                    PatientID: vmData.PatientID
                                },
                                callback: function (code, message, data) {
                                    if (code == 0 || code == undefined) {
                                        if (data.code == "200000") {
                                            fox.layer.open(data.msg);
                                        } else {
                                            vmData.SerNum = data.result.SerNumlock;
                                            that.goPayment();
                                        }
                                    } else {
                                        fox.layer.open("网络异常");
                                    }
                                }
                            });
                        } else {
                            vmData.LockPass = "";
                            that.goPayment();
                        }

                    } else {
                        fox.layer.open("请选择支付方式");
                        return;
                    }


                },
                //挂号解锁
                unlock: function (msg) {
                    fox.service.request({
                        id: "unlock",
                        name: "service/theDayRegistered/unlock",
                        data: {
                            RegType: vmData.RegType,
                            AsRowid: vmData.AsRowid,
                            VisitID: vmData.VisitID,
                            Day: vmData.Day,
                            SerNum: vmData.SerNum,
                            LockPass: vmData.LockPass,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    // fox.layer.open(data.msg);
                                } else {
                                    // fox.layer.open(msg+",挂号失败");
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },
                CountDown: function () {
                    var  start_day=new Date().getTime();
                    var  end_day=start_day+vmData.maxtime*1000;
                    timer=setInterval(function () {
                        var now_day = new Date().getTime();
                        vmData.maxtime = (end_day - now_day) / 1000;
                        if (vmData.maxtime >= 0) {
                            var m = Math.floor(vmData.maxtime / 60);
                            var s = Math.floor(vmData.maxtime % 60);
                            if (s < 10) {
                                vmData.seconds = "0" + s;

                            } else {
                                vmData.seconds = s;
                            }
                            if (m < 10) {
                                vmData.minutes = "0" + m;
                            } else {
                                vmData.minutes = m;
                            }
                            // --vmData.maxtime;
                        } else {
                            clearInterval(timer);
                            fox.router.remove({all:true});
                        }
                    },100)
                },
                queryOuttradenoStatus: function (outtradeno) {
                    let _this = this;
                    fox.service.request({
                        id: "paySubmit",
                        name: "hospitalPay/hospitalPay/paySubmit",
                        data: {
                            workseqno: outtradeno,

                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg + "挂号失败,费用预计2-3个工作日将退回原支付账户中!");
                                } else if (data.code == "200013") {
                                    if(vmData.query_check==0){
                                        fox.layer.open({
                                            content: "等待结果处理中。。。。。",
                                            skin: 'msg',
                                            anim: 'up',
                                            time: 2 //2秒后自动关闭
                                        });
                                        DDtimer = setTimeout(() => {
                                            _this.queryOuttradenoStatus_check(outtradeno);
                                        }, 1900);
                                        vmData.query_check=1;
                                    }
                                    //fox.layer.open("请查询挂号记录,确认挂号结果信息！");

                                } else {
                                    // var queryData = data.result;
                                    var mydate = {
                                        Ofpatient: vmData.Ofpatient,
                                        Price: vmData.Price,
                                        DepName: vmData.DepName,
                                        MarkDesc: vmData.MarkDesc,
                                        BegTime: vmData.BegTime,
                                        HBTime: vmData.BegTime+" "+vmData.HBTime,
                                        RegisterNo: data.hisrowid,
                                        JZNo: data.reserved2
                                    };
                                    if (vmData.RegType === "3") {
                                        fox.router.append("appointmentSuccess", mydate);
                                        // that.appointmentToPay(payType, mydate, outtradeno);
                                    } else {
                                        fox.router.append("registeredSuccessfully", mydate);
                                    }
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },
                queryOuttradenoStatus_check: function (outtradeno) {
                    clearTimeout(DDtimer);
                    let _this = this;
                    fox.service.request({
                        id: "paySubmit",
                        name: "hospitalPay/hospitalPay/paySubmit",
                        data: {
                            workseqno: outtradeno,

                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg + "挂号失败,费用预计2-3个工作日将退回原支付账户中!");
                                } else if (data.code == "200013") {
                                    fox.layer.open("请查询挂号记录,确认挂号结果信息！");
                                } else {
                                    // var queryData = data.result;
                                    var mydate = {
                                        Ofpatient: vmData.Ofpatient,
                                        Price: vmData.Price,
                                        DepName: vmData.DepName,
                                        MarkDesc: vmData.MarkDesc,
                                        BegTime: vmData.BegTime,
                                        HBTime: vmData.BegTime+" "+vmData.HBTime,
                                        RegisterNo: data.hisrowid,
                                        JZNo: data.reserved2
                                    }
                                    if (vmData.RegType === "3") {
                                        fox.router.append("appointmentSuccess", mydate);
                                        // that.appointmentToPay(payType, mydate, outtradeno);
                                    } else {
                                        fox.router.append("registeredSuccessfully", mydate);
                                    }
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },
                //回退
                back: function () {
                    fox.router.remove();
                    clearInterval(timer);
                    clearTimeout(DDtimer);
                }
            },
            //加载后处理
            mounted: function () {
                // timer = setInterval(() => {
                    this.CountDown();
                // }, 1000);
                $('.fox-switch').switch();

                $(this.$refs.phoneSwitch).on('toggle', (event) => {
                    this.remPhone = event.detail.isActive
                });

                $(this.$refs.userSwitch).on('toggle', (event) => {
                    this.remUser = event.detail.isActive
                });

            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {
        clearInterval(timer);
        clearTimeout(DDtimer);
    }
});
