define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        //vue data
        var hospitalData = fox.bus.get("hospitalData");
        var vmData = {
            DeptName: data.DeptName,//科室名称
            DeptId: data.DeptId,//科室ID
            doctorList: [],
            RegisteredDate: [],
            hospital_id: hospitalData.hospital_id,
            LockPass:"",
            nucleicTest:data.nucleicTest

        }

        //创建vue model
        let vm = new Vue({
            el: cite.el,
            //数据
            data: vmData,
            // computed:{
            //     active:function () {
            //         return {
            //             departmentList:[{department:"神经内科"},{department:"心血管内科"},{department:"呼吸内科"},{department:"消化内科"}],
            //             ind:''
            //         }
            //     }
            //
            // },

            //方法
            methods: {
                //查看挂号医生详情
                lookDoctor: function (index) {
                    let that = this;
                    var IsTime =  vmData.doctorList[index].IsTime;
                    if (IsTime ==  "1") {
                        var mydata = {
                            AsRowid:  vmData.doctorList[index].AsRowid,
                            VisitID: vmData.doctorList[index].VisitID,
                            LockPass: vmData.LockPass,
                        }
                        that.queryDoctorDate(mydata,index);
                    } else {
                        that.appendData(index);
                    }
                },
                //跳转信息绑定
                appendData: function (index) {
                    var List = [];
                    this.List=JSON.parse(JSON.stringify(vmData.doctorList));
                    var Registered_Data = vmData.RegisteredDate;
                    if (vmData.RegisteredDate.length > 0) {
                        for (let i in vmData.RegisteredDate) {
                            // vmData.RegisteredDate[i].concat=vmData.doctorList[index];
                            for (let key in vmData.doctorList[index]) {
                                vmData.doctorList[index].Price = vmData.RegisteredDate[i].Price;
                                vmData.doctorList[index].HBTime = vmData.RegisteredDate[i].TimeValue;
                                vmData.doctorList[index].RegCount = vmData.RegisteredDate[i].RegCount;
                                Registered_Data[i][key] = vmData.doctorList[index][key];
                            }
                        }
                    } else {
                        vmData.doctorList[index].Price = parseFloat(vmData.doctorList[index].Price).toFixed(2);
                        Registered_Data = vmData.RegisteredDate.concat(vmData.doctorList[index]);
                    }
                    vmData.doctorList = this.List;
                    Registered_Data.nucleicTest = vmData.nucleicTest;
                    fox.router.append("doctorIntroduction", Registered_Data);
                },
                getDoctor: function () {
                    let that = this;
                    fox.service.request({
                        id: "queryDoctor",
                        name: "service/theDayRegistered/queryDoctor",
                        data: {
                            RegType: "1",
                            DeptId: vmData.DeptId,
                            nucleicTest:vmData.nucleicTest,
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    vmData.LockPass = data.LockPass;
                                    fox.bus.put("LockPass",vmData.LockPass);//锁号密钥
                                    for (let i in data.result) {
                                        var price = data.result[i].Price;
                                        data.result[i].Price = parseFloat(price).toFixed(2);
                                        data.result[i].BegTime = data.result[i].BegTime.substring(0, 10);
                                        data.result[i].EnSerNumList = data.result[i].EnSerNumList;
                                    }
                                    var list= data.result;
                                    for(var i=0;i<list.length;i++){
                                        //console.log(list[i].SessionType+"---"+list[i].SessionType.length)
                                        if(list[i].SessionType.length>5){
                                            list[i].SessionType=list[i].SessionType.substring(0,5)+"..";
                                            //console.log(list[i].SessionType.substring(0,4));
                                        }
                                    }
                                    vmData.doctorList=list;
                                    // vmData.doctorList = data.result;
                                    //     for (let i in data.result) {
                                    //         var IsTime = data.result[i].IsTime;
                                    //         if (IsTime === "1") {
                                    //             var price = data.result[i].Price;
                                    //             data.result[i].Price = parseFloat(price).toFixed(2);
                                    //             data.result[i].BegTime = data.result[i].BegTime.substring(0, 10);
                                    //             vmData.doctorList = data.result;
                                    //             var mydata = {
                                    //                 AsRowid: data.result[i].AsRowid,
                                    //                 VisitID: data.result[i].VisitID,
                                    //                 LockPass:LockPass,
                                    //             }
                                    //             that.queryDoctorDate(mydata);
                                    //         } else {
                                    //             for (let i in data.result) {
                                    //                 var price = data.result[i].Price;
                                    //                 data.result[i].Price = parseFloat(price).toFixed(2);
                                    //                 data.result[i].BegTime = data.result[i].BegTime.substring(0, 10);
                                    //                 data.result[i].EnSerNumList = data.result[i].EnSerNumList;
                                    //             }
                                    //             vmData.doctorList = data.result;
                                    //         }
                                    //     }
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },
                queryDoctorDate: function (mydata,index) {
                    let that = this;
                    fox.service.request({
                        id: "queryDoctorDate",
                        name: "service/theDayRegistered/queryDoctorDate",
                        data: {
                            RegType: "1",
                            AsRowid: mydata.AsRowid,
                            VisitID: mydata.VisitID,
                            LockPass:mydata.LockPass
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                    that.back();
                                } else {
                                    // for (let i in data.result.List) {
                                    //     data.result[i].BegTime = data.data.result.List[i].BegTime.substring(0,10);
                                    // }
                                    vmData.RegisteredDate = data.result.List;
                                    that.appendData(index);
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },
                //回退
                back: function () {
                    fox.router.remove();
                }
            },
            //加载后处理
            mounted: function () {
                var tellerInfo = fox.sessionStorage.get("tellerInfo");
                var hid = tellerInfo.hospital_id;
                if("lysfybjy0002" == hid && vmData.DeptName.indexOf("发热")!=-1)
                {
                    fox.layer.open("请按预约就诊时间提前1-2小时到发热门诊进行核酸检测，结果出具前需在发热门诊\n留观，留观期间正常就诊。");

                }
                this.getDoctor();
                // fox.localStorage.remove("_global_loginInfo");
                $('.fox-switch').switch();

                $(this.$refs.phoneSwitch).on('toggle', (event) => {
                    this.remPhone = event.detail.isActive
                });

                $(this.$refs.userSwitch).on('toggle', (event) => {
                    this.remUser = event.detail.isActive
                });

            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
