define(function (require, exports) {
let my_join;
    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        //vue data
        var hospitalData = fox.bus.get("hospitalData");
        var vmData = {
            headImage:"resource/image/faces/face-02.jpeg",
            DepName: data[0].DepName,
            BegTime: data[0].BegTime.substring(0,10),
            EnSerNumList: data[0].EnSerNumList,
            EndTime: data[0].EndTime,
            HBTime:data[0].TimeValue === undefined ? data[0].HBTime : data[0].TimeValue,
            IsTime: data[0].IsTime,
            LimitAge: data[0].LimitAge,
            LimitSex: data[0].LimitSex,
            MarkDesc: data[0].MarkDesc,
            MarkId: data[0].MarkId,
            Price: data[0].Price,
            RegCount: data[0].RegCount,
            SerContr: data[0].SerContr,
            SessionType: data[0].SessionType,
            VisitID: data[0].VisitID,
            AsRowid:data[0].AsRowid,
            TimeValue:data[0].TimeValue,//时间段
            SerNum: data[0].SerNum,
            EnSerNumList:data[0].EnSerNumList,
            SerContr:data[0].SerContr,
            Sex:"",
            montDay: "",
            doctor_intro:"",
            RegisteredDate:data,
            myindex:"",
            cn_desc:"",
            doctor_img:"",
            table_flag:fox.bus.get("HomehospitalData").table_flag,
            nucleicTest:data.nucleicTest,

        }

        //创建vue model
        let vm = new Vue({
            el: cite.el,
            //数据
            data: vmData,
            computed: {
                // 计算属性的 getter
                myPrice: function () {
                    // `this` 指向 vm 实例
                    var price = vmData.Price;
                    return this.myPrice=parseFloat(price).toFixed(2);
                }
            },

            //方法
            methods: {
                //计算周几
                MymontDay: function () {
                    if (vmData.BegTime != undefined && vmData.BegTime === "") {
                        var dateString = vmData.BegTime.substring(0, 10);
                        vmData.BegTime = dateString;
                        var dateArray = dateString.split("-");
                        date = new Date(dateArray[0], parseInt(dateArray[1] - 1), dateArray[2]);
                        //var weeks = new Array("日", "一", "二", "三", "四", "五", "六");
                        //return "星期" + weeks[date.getDay()];
                        vmData.montDay = "周" + "日一二三四五六".charAt(date.getDay());
                    }
                },
                myYes: function () {
                    fox.layer.close(my_join);

                    //需要弹窗 填写信息
                 if(vmData.table_flag ==='1' || vmData.nucleicTest ==="1" || vmData.nucleicTest ==="fevel" ){

                    //询问框
                    fox.layer.open({
                        content: '为配合疫情防控工作，请先完成新冠肺炎调查问卷。'
                        , btn: ['取消', '立即填写']
                        , action: [
                            function (index) {
                                //取消
                                fox.layer.close(index);
                            },
                            function (index) {
                                //确定
                                fox.layer.close(index);

                                var index = vmData.myindex;
                                vmData.myindex = "";
                                var Registered = vmData.RegisteredDate[index];
                                Registered.doctor_img = vmData.doctor_img;

                                var data = {
                                    registered:Registered,
                                    pageName:'confirmRegistered',
                                    nucleicTest:vmData.nucleicTest,
                                }
                                
                                fox.router.append("nucleicCheckRegister", data);
                            }
                        ]
                    });
             }else{ 
                    var index = vmData.myindex;
                    vmData.myindex = "";
                    var Registered = vmData.RegisteredDate[index];
                    Registered.doctor_img = vmData.doctor_img;
                    fox.router.append("confirmRegistered", Registered);
                 }

                },
                myNo: function () {
                    fox.layer.close(my_join);
                },
                NotesReg: function (index) {
                    for(let i in vmData.RegisteredDate){
                        if(i.Price <0){
                            fox.layer.open("挂号费需大于0");
                            return;
                        }
                    }
                    my_join = fox.layer.open({
                        type: 1,
                        content: "#NotesforRegistration",
                        success: function () {

                        }
                    });
                    vmData.myindex = index;

                },
                // 查询挂号须知
                xcloud:function(){
                    fox.service.request({
                        id: "queryNotesforRegistration",
                        name: "registrationProtocol/registrationProtocol/queryNotesforRegistration",
                        data: {
                            para:"REG",
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    if (data.result !== undefined) {

                                    }
                                    // vmData.doctor_intro = info.replace("↵","<br/>");
                                           vmData.cn_desc     =  data.cn_desc;
                                    document.getElementById("xcloud").innerHTML = vmData.cn_desc;
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });

                },
                //查询医生简介
                getInfoByDoctorId: function () {
                    fox.service.request({
                        id: "querypayDeskInfo",
                        name: "service/deskwork/querypayDeskInfo",
                        data: {
                            DoctId: vmData.MarkId,
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    if (data.result !== undefined) {
                                        var info = data.result[0].Expertintroduction;
                                        vmData.doctor_intro = info;
                                        vmData.Sex = data.result[0].Sex;
                                        vmData.doctor_img = data.result[0].Pic;
                                    }
                                    // vmData.doctor_intro = info.replace("↵","<br/>");
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },

                //回退
                back: function () {
                    fox.router.remove();
                }
            },
            //加载后处理
            mounted: function () {
                this.MymontDay();
                this.getInfoByDoctorId();
                this.xcloud();
                // fox.localStorage.remove("_global_loginInfo");
                $('.fox-switch').switch();

                $(this.$refs.phoneSwitch).on('toggle', (event) => {
                    this.remPhone = event.detail.isActive
                });

                $(this.$refs.userSwitch).on('toggle', (event) => {
                    this.remUser = event.detail.isActive
                });

            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {
        fox.layer.close(my_join);
    }
});
