/**
 * Created by jiangcheng on 2018/03/06.
 */
define(function (require, exports) {

  //page加载完成后调用ready方法
  exports.ready = function (code, data, cite) {

    //vue data
    var vmData = {
      hospital_id:fox.sessionStorage.get("tellerInfo").hospital_id,
      activeClass: 0,
      queryData: "",
      queryDataType: "1",
      queryDataList: [],
      queryDataList1: [],
      Start: 1,
      RequestQty: 10,
      Count: 10,
      count:0,
      queryType: [{
          typeName: "药品查询",
          type: "1"
        },
        {
          typeName: "收费项目查询",
          type: "2"
        },
        {
          typeName: "卫材价格查询",
          type: "3"
        }
      ]
    }

    //创建vue model
    var vm = new Vue({
      el: cite.el,
      //数据
      data: vmData,

      //方法
       filters: {
         priceTag(val) {
            return `${parseFloat(val).toFixed(2)}`;
         }
       }, 
      //方法
      methods: {
          startQueryPng: function () {
              let _this = this;
              vmData.queryDataList = [];
              vmData.queryDataList1 = [];
              vmData.Start = 1;
              vmData.RequestQty = 10;
              vmData.Count = 10;
              vmData.count = 0;
            document.getElementById("drugList").style.transform="translate3d(0px, 0px, 0px) translateZ(0px)"
              _this.startQuery();
          },
        startQuery: function () {
          let _this = this;
          vmData.queryData = vmData.queryData.replace(/\s*/g,"");
          if (vmData.queryDataType == "1") {
            //药品服务查询
            _this.queryDrugPrice();
          } else if (vmData.queryDataType == "2") {
            //收费项目查询
            _this.queryProjectPrice();
          } else if (vmData.queryDataType == "3") {
            //卫材价格服务
            _this.queryEsaiPrice();
          }
        },
        //选择查询类型
        select: function (index) {
          let _this = this;
          vmData.activeClass = index;
          vmData.queryDataType = vmData.queryType[index].type;
          vmData.queryDataList = [];
          vmData.queryDataList1 = [];
          vmData.Start = 1;
          vmData.RequestQty = 10;
          vmData.Count = 10;
          vmData.count = 0;
          document.getElementById("drugList").style.transform="translate3d(0px, 0px, 0px) translateZ(0px)"
          _this.startQuery();
        },
        //药品查询
        queryDrugPrice: function () {
          vmData.queryDataList = [];
          fox.service.request({
            id: "queryDrugPrice",
            name: "service/theDayRegistered/queryDrugPrice",
            data: {
              Spelcode: vmData.queryData.replace(/\s*/g, ""),
              Start: vmData.Start,
              RequestQty: vmData.RequestQty
            },
            callback: function (code, message, data) {
              if (code == 0 || code == undefined) {
                if (data.code == "0") {
                  vmData.Count = data.result.Count;
                  if(data.result.List  != "undefined" && data.result.List  != null){
                    vmData.queryDataList = data.result.List;
                    vmData.queryDataList1 = vmData.queryDataList1.concat(vmData.queryDataList);
                    vmData.Start = vmData.Start + vmData.RequestQty;
                  }
                } else {
                  fox.layer.open({
                    content: data.msg,
                    skin: 'msg',
                    anim: 'up',
                    time: 2 //2秒后自动关闭
                  });
                }
              } else {
                fox.layer.open("网络异常");
              }
            }
          });
        },
        //卫材查询
        queryEsaiPrice: function () {
          vmData.queryDataList = [];
          fox.service.request({
            id: "queryEsaiPrice",
            name: "service/theDayRegistered/queryEsaiPrice",
            data: {
              Spelcode: vmData.queryData.replace(/\s*/g, ""),
              Start: vmData.Start,
              RequestQty: vmData.RequestQty
            },
            callback: function (code, message, data) {
              if (code == 0 || code == undefined) {
                if (data.code == "0") {
                  vmData.Count = data.result.Count;
                  if(data.result.List  != "undefined" && data.result.List  != null) {
                    vmData.queryDataList = data.result.List;
                    vmData.queryDataList1 = vmData.queryDataList1.concat(vmData.queryDataList);
                    vmData.Start = vmData.Start + vmData.RequestQty;
                  }
                } else {
                  fox.layer.open({
                    content: data.msg,
                    skin: 'msg',
                    anim: 'up',
                    time: 2 //2秒后自动关闭
                  });
                }
              } else {
                fox.layer.open("网络异常");
              }
            }
          });
        },
        //项目查询
        queryProjectPrice: function () {
          vmData.queryDataList = [];
          fox.service.request({
            id: "queryProjectPrice",
            name: "service/theDayRegistered/queryProjectPrice",
            data: {
              Spelcode: vmData.queryData.replace(/\s*/g, ""),
              Start: vmData.Start,
              RequestQty: vmData.RequestQty
            },
            callback: function (code, message, data) {
              if (code == 0 || code == undefined) {
                if (data.code == "0") {
                  vmData.Count = data.result.Count;
                  if(data.result.List  != "undefined" && data.result.List  != null) {
                    vmData.queryDataList = data.result.List;
                    vmData.queryDataList1 = vmData.queryDataList1.concat(vmData.queryDataList);
                    vmData.Start = vmData.Start + vmData.RequestQty;
                  }
                } else {
                  fox.layer.open({
                    content: data.msg,
                    skin: 'msg',
                    anim: 'up',
                    time: 2 //2秒后自动关闭
                  });
                }
              } else {
                fox.layer.open("网络异常");
              }
            }
          });
        },
        //回退
        back: function () {
          fox.router.remove();
        }
      },
      //加载后处理
      mounted: function () {
        var self = this;
        var count = 0;

        function pullupRefresh() {
          setTimeout(function () {
            $('#pullrefresh').pullRefresh().endPullupToRefresh((++vmData.count > (parseInt(vmData.Count)/10+1))); //参数为true代表没有更多数据了。
            vm.startQuery();
          }, 15);
        }

        function addData() {
          self.queryDataList1 = self.queryDataList1.concat(self.queryDataList);
        }

        /**
         * 下拉刷新具体业务实现
         */
        function pulldownRefresh() {
          setTimeout(function () {
            //addData();
            $('#pullrefresh').pullRefresh().endPulldownToRefresh();
            //sk.toast("为你推荐了5篇文章");
          }, 1500);
        }

        setTimeout(function () {
          var my_pullrefresh = $("#pullrefresh").pullRefresh({
            container: '#pullrefresh',
            /*down: {
              style: 'circle',
              callback: pulldownRefresh
            },*/
            up: {
              auto: true,
              // contentrefresh: '正在加载...',
              callback: pullupRefresh
            }
          });
        }, cite.duration);

      }
    });
  };

  //消息处理
  exports.onmessage = function (type, message, cite) {

  };

  //page销毁时触发destroy方法
  exports.destroy = function (id, cite) {

  }
});