define(function (require, exports) {
    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        let vmData = {
            imgUrl: "/resource/image/faces/face-01.jpg",
            type1: "附加号专用",
            type2: "附加号",
            outparient: "神经内科门诊",
            MarkDesc:data.MarkDesc,
            DepName:data.DepName,
            MarkId: data.MarkId,
            DeptId: data.DepID,
            doctor_intro:"掌握神经内科常见病啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊",
            // //预约时间的数组
            // appointmentDate: [
            //     {date: "05-28", week: "周二", href: "#item1", className: "fox-control-item fox-active"},
            //     {date: "05-30", week: "周四", href: "#item2", className: "fox-control-item"}],

            table_header: [{text: "", style: "text-align:left;width:38%;", columnStyle: "width:38%;"},
                {text: "", style: "text-align:left;width:42%;", columnStyle: "width:42%;"},
                {text: "", style: "text-align:left;width:20%;", columnType: 1, columnStyle: "width:20%;"}],
            table_content: [{BegTime: data.BegTime, RegCount:data.RegCount, HBTime: data.HBTime, Price: data.Price}],
            // [{BegTime: "2019年5月30日", RegCount: "8", montDay: "周四", HBTime: "09:00-10:00", Price: "30"}]

        }

        //创建vue model
        var vm = new Vue({
            el: cite.el,
            data: vmData,
            //方法
            methods: {
                //路由跳转
                to: function (id) {
                    fox.router.append(id);
                },
                //回退
                back: function () {
                    fox.router.remove();
                },
                //获取挂号医生
                getDoctorTime:function () {
                    fox.service.request({
                        id: "querySource",
                        name: "service/theDayRegistered/querySource",
                        data: {
                            DoctID:vmData.MarkId,
                            DeptId: vmData.DeptId,
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    vmData.table_content = data.result;
                                }
                            } else {
                                fox.layer.open("service调用异常:code:" + code + ",msg:" + JSON.stringify(message));
                            }
                        }
                    });
                },
                //查询医生简介
                getInfoByDoctorId: function () {
                    fox.service.request({
                        id: "getInfoByDoctorId",
                        name: "services/hospital/getInfoByDoctorId",
                        data: {
                            doctor_id: vmData.MarkId,
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    //fox.layer.open(data.msg);
                                } else {
                                    vmData.doctor_intro = data.doctor_intro;
                                }
                            } else {
                                fox.layer.open("service调用异常:code:" + code + ",msg:" + JSON.stringify(message));
                            }
                        }
                    });
                },
                // //图文列表区域
                // cellFormat:function(i, j, value){
                //   if( j == 0){
                //     return `<div class="my-cell-item">
                //                 <div class="my-cell-item-text" style="color:#666666;">${value.BegTime}</div>
                //                 <div class="my-cell-item-text" style="color:#666666;">剩余号：<span style="color:#1f96f4">${value.RegCount}</span></div>
                //             </div>`;
                //   }else if( j == 1){
                //     console.log("j==1");
                //     return `<div class="my-cell-item">
                //                 <div class="my-cell-item-text" style="color:#666666;">${value.week}&nbsp;&nbsp;<span style="color:#1f96f4">${value.HBTime}</span></div>
                //                 <div class="my-cell-item-text" style="color:#666666;">挂号费：<span style="color:#ff3333">${value.Price}</span>元</div>
                //             </div>`;
                //   }else{
                //     return;
                //   }
                // },
                NotesReg: function () {
                    var that = this;
                    console.log("预约按钮方法");
                    var a = fox.layer.open({
                        content: '请核对预约信息，确定是否预约?',
                        btn: ['确定', '取消'],
                        yes: function (index) {
                            console.log('yes');
                            fox.layer.close(a);
                            var data = {
                                MarkDesc:vmData.MarkDesc,
                                HBTime:vmData.table_content[0].HBTime,
                                DepName:vmData.DepName
                            }
                            fox.router.append("appointmentSuccess",data);
                        },
                        no: function (index) {
                            console.log('no');
                        }
                    });
                }
            },
            //加载后处理
            mounted: function () {
                this.getDoctorTime();
                this.getInfoByDoctorId();
                fox.bus.put("append_once",false);//重复点击问题
            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
