/**
 * Created by jiangcheng on 2018/03/06.
 */
define(function(require, exports) {
    let my_join;
    //page加载完成后调用ready方法
    exports.ready = function(code, data, cite) {
        var hospitalData = fox.bus.get("HomehospitalData");
        let vmData = {
            selectedpeople: "",
            peoplelist: [],
            List: [],
            hospital_id: data.hospital_id,
            pa: "",
            cn_desc: "",
            ExecDept: "",
            ExecDepPosition: "",
            aggAmount: "", //累计总金额
            hospital_id:hospitalData.hospital_id,
            hospital_name:hospitalData.hospital_name
        }

        //创建vue model
        let vm = new Vue({
            el: cite.el,
            //数据
            data: vmData,
            //方法
            methods: {

                // 建卡（有身份证）
                east_SignUp1:function(){
                    fox.service.request({
                        id: "SignUp1",
                        name: "service/eastSoftRegistered/SignUp1",
                        data: {
                            // 需传身份证号和姓名
                            IDCardNo: vmData.selectedpeople.value,   // 身份证号
                            Ofpatient:vmData.selectedpeople.text,  // 姓名
                            pid:vmData.selectedpeople.pid,          //  就诊人id
                            hospital_id:vmData.hospital_id,
                            hospital_name:vmData.hospital_name
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else if(data.flag == undefined){

                                    vmData.CardNo=data.card;
                                }else {
                                    if(data.flag == '1'){
                                        fox.layer.open('用户姓名与身份证号不匹配，请去窗口办理更改手续');
                                    }
                                }
                            } else {
                                fox.layer.open("service调用异常:code:" + code + ",msg:" + JSON.stringify(message));
                            }
                        }
                    });


                },
                //无身份证办卡
                east_SignUp2:function(){
                    fox.service.request({
                        id: "SignUp2",
                        name: "service/eastSoftRegistered/SignUp2",
                        data: {

                            Ofpatient:vmData.selectedpeople.text,  // 姓名
                            pid:vmData.selectedpeople.pid,          //  就诊人id
                            hospital_id:vmData.hospital_id,
                            hospital_name:vmData.hospital_name
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                }else {

                                    vmData.CardNo=data.card;
                                }
                            } else {
                                fox.layer.open("service调用异常:code:" + code + ",msg:" + JSON.stringify(message));
                            }
                        }
                    });


                },

                //回退
                back: function() {
                    fox.router.remove();
                    fox.layer.close(my_join);
                },
                //选中事件
                onSelect: function(evt) {
                    console.info("select:" + JSON.stringify(evt));
                },
                //改变事件
                onChange: function(evt) {
                    console.info("change:" + evt);
                },
                //点击搜索图标
                onAction: function() {
                    console.info("action:" + this.searchVal);
                },
                //btn group select
                onBtnSelect: function(evt) {
                    console.info("btnSelect:" + JSON.stringify(evt));
                },
                    // 查询未缴费明细
                queryNoPayDetails: function() {
                    if (vmData.selectedpeople.pid == "" || vmData.selectedpeople.pid == undefined) {
                        vm.updatePatientId();
                    } else {
                        fox.service.request({
                            id: "queryRegistration",
                            name: "paythefee/eastPaythefee/queryRegistration",
                            data: {
                                // PatientID: vmData.selectedpeople.patient_id,
                                // CardNo: vmData.selectedpeople.patient_number
                                pid: vmData.selectedpeople.pid
                            },
                            callback: function(code, message, data) {
                                // console.log(data, "数据更新");
                                if (code == 0 || code == undefined) {
                                    if (data.code == "0") {
                                        vmData.List = [];
                                        // vmData.aggAmount = costNum;
                                        vmData.List = data.result;
                                    } else {
                                        vmData.List = [];
                                        fox.layer.open("该用户没有缴费明细");
                                        //fox.layer.open(data.msg);
                                    }
                                } else {
                                    fox.layer.open("网络异常");
                                    // fox.layer.open("service调用异常:code:" + code + ",msg:" + JSON.stringify(message));
                                }
                            }
                        })
                    }

                },
                updatePatientId: function() {
                    fox.service.request({
                        id: "getPatientInfo",
                        name: "service/theDayRegistered/getPatientInfo",
                        data: {
                            pid: vmData.selectedpeople.pid
                        },
                        callback: function(code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "0") {
                                    if (!data.result.PatientID) {
                                        fox.layer.open({
                                            content: '未查询到就诊人卡号',
                                            skin: 'msg',
                                            anim: 'up',
                                            time: 2 //2秒后自动关闭
                                        });
                                    } else {
                                        var item = {
                                            value: vmData.selectedpeople.value,
                                            text: vmData.selectedpeople.text,
                                            patient_id: data.result.PatientID,
                                            pid: vmData.selectedpeople.pid,
                                            xiabiao: vmData.selectedpeople.xiabiao
                                        };
                                        vmData.peoplelist[vmData.selectedpeople.xiabiao] = item;
                                        vmData.selectedpeople = vmData.peoplelist[vmData.selectedpeople.xiabiao];
                                        vm.queryNoPayDetails();
                                    }

                                } else {
                                    fox.layer.open("该用户没有缴费明细");
                                    //fox.layer.open(data.msg);
                                }
                            } else {
                                fox.layer.open("网络异常");
                                // fox.layer.open("service调用异常:code:" + code + ",msg:" + JSON.stringify(message));
                            }
                        }
                    })

                },

                onselectpl: function(evt) {
                    let that = this;
                    if (evt != undefined) {
                        var Data = {
                            value: evt.items[0].value,
                            text: evt.items[0].text,
                            patient_id: evt.items[0].patient_id,
                            pid: evt.items[0].pid,
                            xiabiao: evt.items[0].xiabiao,
                            card_no:evt.items[0].card_no,
                        }
                        vmData.selectedpeople = Data;
                        vmData.List = [];

                        if((vmData.selectedpeople.card_no== undefined||vmData.selectedpeople.card_no =='')&&(vmData.selectedpeople.value==undefined||vmData.selectedpeople.value=='')){
                            that.east_SignUp2();        // 无身份证小孩就医办卡

                        }else  if(vmData.selectedpeople.card_no==undefined||vmData.selectedpeople.card_no==''){
                            that.east_SignUp1();       // 有身份证就医办卡
                        }

                        vm.queryNoPayDetails();
                    } else {
                        vmData.List = [];
                    }
                },
                payost: function(item) {
                    var pa = {
                        'item': item,
                        "ClinicNO": item.ClinicNO,
                        "PatientID": vmData.selectedpeople.pid,
                        "pid": vmData.selectedpeople.pid,
                        "money": item.moneys,
                        "patient_name": vmData.selectedpeople.text,
                        "card_no":vmData.selectedpeople.card_no,

                    };
                    vmData.pa = pa;
                    this.$refs.my_btn.disabled=true;
                    // var flag_text=this.judgeAbnormalResult();
                    // if (flag_text == "odFalse") {
                    //     fox.layer.open("该就诊人有异常缴费记录处理，请前往首页挂号记录处理完毕后，在进行缴费操作");
                    //     return;
                    // }
                    for(let i in vmData.List){
                        if(i.moneys <0){
                            fox.layer.open("门诊缴费需大于0");
                            return;
                        }
                    }
                    my_join = fox.layer.open({
                        type: 1,
                        content: "#NotesforRegistration",
                        success: function() {

                        }
                    });
                },

                myYes: function() {
                    fox.layer.close(my_join);
                    // vmData.pa.cardNo=data.CardNo;//卡号
                    // vmData.pa.balance=data.result.balance;//当前余额
                    // vmData.pa.priceSpread=data.result.priceSpread;//当前需要充值多少钱
                    fox.router.append("east_autoPayMonery",vmData.pa);

                },
                myNo: function() {
                    fox.layer.close(my_join);
                },
                NotesReg: function(index) {
                    this.my_join = fox.layer.open({
                        type: 1,
                        content: "#NotesforRegistration",
                        success: function() {

                        }
                    });

                },
                // 查询挂号须知
                xcloud: function() {
                    fox.service.request({
                        id: "queryNotesforRegistration",
                        name: "registrationProtocol/registrationProtocol/queryNotesforRegistration",
                        data: {
                            para: "PAY",
                        },
                        callback: function(code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open("网络异常");
                                    // fox.layer.open(data.msg);
                                } else {
                                    if (data.result !== undefined) {

                                    }
                                    // vmData.doctor_intro = info.replace("↵","<br/>");
                                    vmData.cn_desc = data.cn_desc;
                                    document.getElementById("xcloud").innerHTML = vmData.cn_desc;
                                }
                            } else {
                                fox.layer.open("网络异常");
                                // fox.layer.open("service调用异常:code:" + code + ",msg:" + JSON.stringify(message));
                            }
                        }
                    });

                },
            },
            //加载后处理
            mounted: function() {
                let that = this;
                this.xcloud();
                var loginUserInfo = fox.bus.get("loginUserInfo");
                fox.service.request({
                    id: "getPactionListByHis",
                    name: "pation/pation/getPactionListByHis",
                    data: {
                        user_id: loginUserInfo.user_id,
                        hospital_id: vmData.hospital_id
                    },
                    callback: function(code, message, data) {
                        if (code == 0 || code == undefined) {


                            if (data.code == "200000") {
                                fox.layer.open("网络异常");
                                // fox.layer.open(data.msg);
                            } else {
                                var dataList = data.data;
                                for (let i in dataList) {
                                    var myData = {
                                        value: dataList[i].patient_number,
                                        text: dataList[i].patient_name,
                                        patient_id: dataList[i].patient_id,
                                        pid: dataList[i].pid,
                                        xiabiao: i,
                                        card_no:dataList[i].card_no,
                                    }
                                    vmData.peoplelist.push(myData);

                                }
                                if (vmData.peoplelist.length > 0) {

                                    vmData.selectedpeople = vmData.peoplelist[0];
                                    if((vmData.selectedpeople.card_no== undefined||vmData.selectedpeople.card_no =='')&&(vmData.selectedpeople.value==undefined||vmData.selectedpeople.value=='')){
                                        that.east_SignUp2();        // 无身份证小孩就医办卡

                                    }else  if(vmData.selectedpeople.card_no==undefined||vmData.selectedpeople.card_no==''){
                                        that.east_SignUp1();       // 有身份证就医办卡
                                    }

                                    vm.queryNoPayDetails();
                                }
                            }

                        } else {
                            fox.layer.open("网络异常");
                            //fox.layer.open("service调用异常:code:" + code + ",msg:" + JSON.stringify(message));
                        }
                    }
                })
            }
        });
    };

    //消息处理
    exports.onmessage = function(type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function(id, cite) {
        fox.layer.close(my_join);
    }
});
