define(function (require, exports) {
    var DDtimer;
    var time_d;
    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        var phone = fox.bus.get("loginPhoneNum");
        var loginInfo = fox.bus.get("loginUserInfo");
        var hospitalData = fox.bus.get("HomehospitalData");
        var loginDeviceType = fox.bus.get("loginDeviceType");
        var vmData = {
            paymentType: "1",//1微信支付2支付宝支付
            maxtime: 3* 60,
            minutes: "",//分
            seconds: "",//秒
            Ofpatient: data.Ofpatient,    // 病人姓名
            pid:data.pid,                 //  病人pid
            CardNo: data.CardNo,          //  病人卡号
            Sex: data.Sex,
            DeptID: data.DeptID,
            SchemaID:data.SchemaID,
            RegType: data.RegType,        // 当日还是预约
            DepName: data.DeptName,        //  科室
            IDCardNo: loginInfo == undefined ? "" : loginInfo.card_number,//身份证号
            user_id: loginInfo == undefined ? "" : loginInfo.user_id,//用户userid
            user_phone: phone,//用户手机号
            hospital_name: hospitalData.hospital_name,//医院名称
            hospital_id: hospitalData.hospital_id,//医院id
            wx_status:hospitalData.wx_status,
            pay_serail: "",//支付流水
            loginDeviceType: loginDeviceType,//系统类型
            Fee:data.Fee,
            phone:phone,
            Day:data.Day,
            DoctorName:data.DoctorName,
            ReglevelName:data.ReglevelName,    // 出诊级别
            Noon:data.Noon,
            Time:data.Time,
            query_check:0,
            timeKey:data.timeKey,      // 预约时段参数
            timeValue:data.timeValue,   // 是否需要走锁号标识
            BookId:"" , //洛阳中心医院预约挂号锁号返回的bookid
            PayState:"",
            outtradeno:''
        }

        //创建vue model
        let vm = new Vue({
            el: cite.el,
            //数据
            data: vmData,
            computed: {
                // 计算属性
                myPrice: function () {
                    // `this` 指向 vm 实例
                    var price = vmData.Price;
                    return this.myPrice = parseFloat(price).toFixed(2);
                }
            },


            //方法
            methods: {
                //去支付开始
                east_goPayment: function () {
                    let that = this;
                    vmData.registerData = {
                        PatName: vmData.Ofpatient,     // 病人名字
                        PatientID: vmData.pid,
                        Price:vmData.Fee,
                        RegType:vmData.RegType,
                        CardTypeID: "",
                        Day: vmData.Day,
                        CardNo: vmData.CardNo,
                      //  receipt_no:vmData,
                        MarkDesc: vmData.DoctorName,  //  医生姓名
                        SessionType: vmData.ReglevelName,  // 医生等级
                        HBTime:vmData.Noon,
                        VisitID: vmData.SchemaID,
                        pid:vmData.pid,
                        //payType:type, // 支付类型：1微信，2支付宝
                        name:vmData.Ofpatient,
                        Fee:vmData.Fee,                 // 病人名称
                        ReglevelName:vmData.ReglevelName,     // 医生级别
                        Noon:vmData.Noon,                 //上午下午晚上
                        DoctorName:vmData.DoctorName,      // 医生姓名
                        DepName:vmData.DepName,           // 科室名称
                        phone:vmData.phone,
                        smsCodeType:"0",
                        patName:vmData.Ofpatient,
                        registerInfo:vmData.hospital_name+"-"+vmData.DepName+"-"+vmData.DoctorName,
                        smsType: "003",

                    }
                    var payType = vmData.paymentType;
                    if (payType === "1" && payType !== "") {
                        that.east_wxPay(payType, vmData.registerData);
                        document.getElementById("east_myDisabled").disabled = true;
                        document.getElementById("east_myDisabled").style.backgroundColor = "#666666";
                    } else if (payType === "2" && payType !== "") {
                        that.east_zfbPay(payType, vmData.registerData);
                        document.getElementById("east_myDisabled").disabled = true;
                        document.getElementById("east_myDisabled").style.backgroundColor = "#666666";
                    }
                    else if (payType === "3" && payType !== "") {
                        that.cmbPay(payType, vmData.registerData);
                        document.getElementById("east_myDisabled").disabled = true;
                        document.getElementById("east_myDisabled").style.backgroundColor = "#666666";
                    }else{
                        fox.layer.open("请选择支付方式");
                        return;
                    }
                },
                //微信支付
                east_wxPay: function (payType, registerData) {
                    let that = this;
                    fox.service.request({
                        id: "getPaymentOrder",
                        name: "wxpay/wxpay/getPaymentOrder",
                        data: {
                            payType: payType,
                            pid: vmData.pid,
                            CardNo: vmData.CardNo,
                            total_amount:vmData.Fee,
                            body: "微信挂号",
                            chnlcode:"001",//app挂号
                            trantype:"002",//挂号
                            ReceiptNo:"",
                            registerData: registerData //挂号明细
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    vmData.outtradeno = data.outtradeno;//订单号
                                    // 如果是洛阳市中心医院，则锁号
                                    if(vmData.hospital_id==='lyszxyy0008'){
                                        if (vmData.timeValue==false){
                                            that.lockReg(vmData.RegType,vmData.outtradeno,payType,data);
                                            return;
                                        }
                                    }
                                    // 如果是科大二并且预约则判断是否锁号
                                    if(vmData.hospital_id==='hnkjdxdefsyy0007' && vmData.RegType === '2' ){
                                        if (vmData.timeValue==false){
                                            that.lockReg(vmData.RegType,vmData.outtradeno,payType,data);
                                            return;
                                        }
                                    }
                                    if(vmData.hospital_id==='lysdsrmyy0010' && vmData.RegType === '2' ){
                                        if (vmData.timeValue==false){
                                            that.lockReg(vmData.RegType,vmData.outtradeno,payType,data);
                                            return;
                                        }
                                    }
                                    // 如果是科大二并且预约则判断是否锁号
                                    if(vmData.hospital_id==='lysdfyy0049' && vmData.RegType === '2'){
                                        if (vmData.timeValue==false){
                                            that.lockReg(vmData.RegType,vmData.outtradeno,payType,data);
                                            return;
                                        }
                                    }
                                    // 如果是科大二并且预约则判断是否锁号
                                    if(vmData.hospital_id==='ryxrmyy0032'){
                                        if (vmData.timeValue==false){
                                            that.lockReg("2",vmData.outtradeno,payType,data);
                                            return;
                                        }
                                    }
                                    //开始调取支付
                                    console.info("开始调取微信支付");
                                    if("1" == data.zeroFlag){
                                        that.queryOuttradenoStatus(vmData.outtradeno,'1');
                                    }else{
                                        that.east_WXhtml(payType, vmData.outtradeno, data);
                                    }
                                    //that.east_WXhtml(payType, vmData.outtradeno, data);
                                }
                            } else {
                                fox.layer.open("网络异常");
                                // fox.layer.open("网络异常");
                            }
                        }
                    });
                },
                //支付宝支付
                east_zfbPay: function (payType, registerData) {
                    let that = this;
                    fox.service.request({
                        id: "getPaymentOrder",
                        name: "alipay/alipay/getPaymentOrder",
                        data: {
                            payType: payType,
                            pid: vmData.pid,
                            CardNo: vmData.CardNo,
                            total_amount:vmData.Fee,
                            subject: "支付宝挂号",
                            chnlcode:"001",
                            trantype:"002",
                            registerData:registerData  //挂号明细
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    vmData.outtradeno = data.outtradeno;//订单号
                                   // vmData.
                                    // 如果是洛阳市中心医院，则锁号
                                    if(vmData.hospital_id==='lyszxyy0008'){
                                        if (vmData.timeValue==false){
                                            that.lockReg(vmData.RegType,vmData.outtradeno,payType,data);
                                            return;
                                        }
                                    }
                                    // 如果是科大二并且预约则判断是否锁号
                                    if(vmData.hospital_id==='hnkjdxdefsyy0007' && vmData.RegType === '2' ){
                                        if (vmData.timeValue==false){
                                            that.lockReg(vmData.RegType,vmData.outtradeno,payType,data);
                                            return;
                                        }
                                    }
                                    if(vmData.hospital_id==='lysdsrmyy0010' && vmData.RegType === '2' ){
                                        if (vmData.timeValue==false){
                                            that.lockReg(vmData.RegType,vmData.outtradeno,payType,data);
                                            return;
                                        }
                                    }
                                    //开始调取支付
                                    console.info("开始调取支付宝支付");
                                    if("1" == data.zeroFlag){
                                        that.queryOuttradenoStatus(vmData.outtradeno,'2');
                                    }else{
                                        that.east_ZFBhtml(payType, vmData.outtradeno, data);
                                    }
                                    //that.east_ZFBhtml(payType, vmData.outtradeno, data);
                                }
                            } else {
                                fox.layer.open("网络异常");
                                document.getElementById("east_myDisabled").disabled = false;
                                document.getElementById("east_myDisabled").style.backgroundColor = "#3ea5f6";
                                // fox.layer.open("service调用异常:code:" + code + ",msg:" + JSON.stringify(message));
                            }
                        }
                    });
                },
                //一网通支付
                cmbPay: function (payType, registerData) {
                    let that = this;
                    fox.service.request({
                        id: "getPaymentOrder",
                        name: "netcompay/netcompay/getPaymentOrder",
                        data: {
                            payType: payType,
                            pid: vmData.pid,
                            CardNo: vmData.CardNo,
                            total_amount:vmData.Fee,
                            body: "一网通挂号",
                            chnlcode:"001",//app挂号
                            trantype:"002",//挂号
                            ReceiptNo:"",
                            registerData: registerData //挂号明细
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    document.getElementById("east_myDisabled").disabled = false;
                                    document.getElementById("east_myDisabled").style.backgroundColor = "#3ea5f6";
                                    fox.layer.open(data.msg);
                                } else {
                                    var outtradeno = data.outtradeno;//订单号
                                    //开始调取支付
                                    console.info("开始调取微信支付");
                                    that.CMBhtml(payType, outtradeno, data);
                                }
                            } else {
                                fox.layer.open("网络异常");
                                document.getElementById("east_myDisabled").disabled = false;
                                document.getElementById("east_myDisabled").style.backgroundColor = "#3ea5f6";
                                // fox.layer.open("service调用异常:code:" + code + ",msg:" + JSON.stringify(message));
                            }
                        }
                    });
                },
                //微信支付页面调取
                east_WXhtml: function (payType, outtradeno, data) {
                    let that = this;
                    if (vmData.loginDeviceType === "android") {
                        console.log("android");
                        var params = data.data;
                        params.cover = false;
                        fox.native.call("wxPay", params, function (code, message, data) {
                            if (code == 0) {
                                /** obj字典参数 :
                                 * 错误码：errCode
                                 * 错误提示字符串：errStr
                                 *响应类型：type
                                 * */
                                var obj = JSON.parse(data);
                                if (obj.errCode === "0") {
                                    //查询异步支付结果
                                    console.info("查询微信异步支付结果");
                                    that.queryOuttradenoStatus(outtradeno,'1');
                                } else {
                                    if(vmData.timeValue==false  && vmData.hospital_id==='lyszxyy0008'){  // 不加号
                                        that.cancelPre(payType,vmData.outtradeno);
                                    }
                                    //fox.layer.open("支付失败");//支付失败
                                    document.getElementById("east_myDisabled").disabled = false;
                                    document.getElementById("east_myDisabled").style.backgroundColor = "#3ea5f6";
                                }
                            } else {
                                if(vmData.timeValue==false  && vmData.hospital_id==='lyszxyy0008'){  // 不加号
                                    that.cancelPre(payType,vmData.outtradeno);
                                }
                                document.getElementById("east_myDisabled").disabled = false;
                                document.getElementById("east_myDisabled").style.backgroundColor = "#3ea5f6";
                            }
                        });
                    } else if (vmData.loginDeviceType === "ios") {
                        console.log("ios");
                        // var params = fox.base64.encode(data.data);
                        fox.device.callWXPay("callWXPay", data.data, function (code, message, data) {
                            if (code == 0) {
                                var callBackParams = fox.base64.decode(data);
                                /** obj字典参数 :
                                 * 错误码：errCode
                                 * 错误提示字符串：errStr
                                 *响应类型：type
                                 * */
                                var obj = JSON.parse(callBackParams);
                                if (obj.errCode === "0") {
                                    //fox.layer.open("支付成功");//支付成功
                                    //查询异步支付结果
                                    console.info("查询微信异步支付结果");
                                    that.queryOuttradenoStatus(outtradeno,'1');
                                } else {
                                    if(vmData.timeValue==false  && vmData.hospital_id==='lyszxyy0008'){  // 不加号
                                        that.cancelPre(payType,vmData.outtradeno);
                                    }
                                    //fox.layer.open("支付失败");//支付失败
                                    document.getElementById("east_myDisabled").disabled = false;
                                    document.getElementById("east_myDisabled").style.backgroundColor = "#3ea5f6";
                                }
                            } else {
                                if(vmData.timeValue==false  && vmData.hospital_id==='lyszxyy0008'){  // 不加号
                                    that.cancelPre(payType,vmData.outtradeno);
                                }
                                document.getElementById("east_myDisabled").disabled = false;
                                document.getElementById("east_myDisabled").style.backgroundColor = "#3ea5f6";

                            }
                        });
                    }
                },
                //支付宝页面调取
                east_ZFBhtml: function (payType, outtradeno, data) {
                    let that = this;
                    if (vmData.loginDeviceType === "android") {
                        console.log("android");
                        var params = data.data;
                        fox.native.call("aliPay", params, function (code, message, data) {
                            if (code == 0) {
                                var callBackParams = JSON.parse(data);
                                if (callBackParams.resultStatus === "9000" || callBackParams.resultStatus === "8000" || callBackParams.resultStatus === "6004" ) {
                                    //查询异步支付结果
                                    console.info("查询支付宝异步支付结果");
                                    that.east_ZFBOrder(payType, vmData.outtradeno,callBackParams);
                                } else {
                                    if(vmData.timeValue==false  && vmData.hospital_id==='lyszxyy0008'){  // 不加号
                                        that.cancelPre(payType,vmData.outtradeno);
                                    }
                                    document.getElementById("east_myDisabled").disabled = false;
                                    document.getElementById("east_myDisabled").style.backgroundColor = "#3ea5f6";
                                }

                            } else {
                                if(vmData.timeValue==false  && vmData.hospital_id==='lyszxyy0008'){  // 不加号
                                    that.cancelPre(payType,vmData.outtradeno);
                                }

                                document.getElementById("east_myDisabled").disabled = false;
                                document.getElementById("east_myDisabled").style.backgroundColor = "#3ea5f6";
                            }
                        });
                    } else if (vmData.loginDeviceType === "ios") {
                        console.log("ios");
                        var params = fox.base64.encode(data.data);
                        fox.device.callAliPay("callAliPay", params, function (code, message, data) {
                            if (code == 0) {
                                var callBackParams = fox.base64.decode(data);
                                var obj = JSON.parse(callBackParams);
                                if (obj.resultStatus === "9000" || obj.resultStatus === "8000" || obj.resultStatus === "6004") {
                                    //查询异步支付结果
                                    console.info("查询支付宝异步支付结果");
                                    that.east_ZFBOrder(payType, vmData.outtradeno,callBackParams);
                                } else {
                                    if(vmData.timeValue==false  && vmData.hospital_id==='lyszxyy0008'){  // 不加号
                                        that.cancelPre(payType,vmData.outtradeno);
                                    }
                                    document.getElementById("east_myDisabled").disabled = false;
                                    document.getElementById("east_myDisabled").style.backgroundColor = "#3ea5f6";
                                }
                            } else {
                                if(vmData.timeValue==false  && vmData.hospital_id==='lyszxyy0008'){  // 不加号
                                    that.cancelPre(payType,vmData.outtradeno);
                                }
                                document.getElementById("east_myDisabled").disabled = false;
                                document.getElementById("east_myDisabled").style.backgroundColor = "#3ea5f6";
                            }
                        });
                    }
                },
                //一网通页面调取
                CMBhtml: function (payType, outtradeno, data) {
                    var jsonRequestData = data.data;
                    //             console.info("jsonRequestData:  "+jsonRequestData);
                    var jsonRequestDataStr = JSON.stringify(jsonRequestData);
                    //              console.info("jsonRequestDataStr:  "+jsonRequestDataStr);
                    var sst = encodeURIComponent(jsonRequestDataStr);
                    //       console.info("sst:  "+sst);
                    var jsonRequestDataRrl = "charset=utf-8&jsonRequestData=" + encodeURIComponent(jsonRequestDataStr);
                    //         console.info("jsonRequestDataRrl:  "+jsonRequestDataRrl);
                    let that = this;
                    var params = {"jsonRequestDataRrl":jsonRequestDataRrl,"appid":data.appid};
                    if (vmData.loginDeviceType === "android") {
                        fox.native.call("cmbPay", params, function (code, message, data) {
                            if (code == 0) {
                                var obj = JSON.parse(data);
                                if (obj.errCode === "0") {
                                    //查询异步支付结果
                                    // that.WXOrder(payType, outtradeno, obj);
                                    that.queryOuttradenoStatus(outtradeno);
                                } else {
                                    if (vmData.SerContr === '1') {
                                        that.unlock();
                                    }
                                    document.getElementById("east_myDisabled").disabled = false;
                                    document.getElementById("east_myDisabled").style.backgroundColor = "#3ea5f6";
                                }
                            } else {
                                if (vmData.SerContr === '1') {
                                    that.unlock();
                                }
                                document.getElementById("east_myDisabled").disabled = false;
                                document.getElementById("east_myDisabled").style.backgroundColor = "#3ea5f6";
                            }
                        });
                    } else if (vmData.loginDeviceType === "ios") {
                        //           console.log("ios");
//                        var params = fox.base64.encode(data.data);
                        //  console.log("jsonRequestDataRrl========" + jsonRequestDataRrl);
                        fox.device.callCMBPay("callCMBPay", params, function (code, message, data) {
                            if (code == 0) {
                                var callBackParams = fox.base64.decode(data);
                                console.log("callCMBPay=======data========" + fox.base64.decode(data));
                                var obj = JSON.parse(callBackParams);

                                if (obj.errCode === "0") {
                                    that.queryOuttradenoStatus(outtradeno);
                                } else {
                                    if (vmData.SerContr === '1') {
                                        that.unlock();
                                    }
                                    document.getElementById("east_myDisabled").disabled = false;
                                    document.getElementById("east_myDisabled").style.backgroundColor = "#3ea5f6";
                                }
                            } else {
                                fox.layer.open(message);
                                if (vmData.SerContr === '1') {
                                    that.unlock();
                                }
                                document.getElementById("east_myDisabled").disabled = false;
                                document.getElementById("east_myDisabled").style.backgroundColor = "#3ea5f6";
                            }
                        });
                    }
                },
                // 支付宝异步查询
                east_ZFBOrder: function (payType, outtradeno,callBackParams) {
                    let that = this;
                    fox.service.request({
                        id: "getOrderQuery",
                        name: "alipay/alipay/getOrderQuery",
                        data: {
                            out_trade_no: outtradeno,

                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open("支付失败");
                                    if(vmData.timeValue==false  && vmData.hospital_id==='lyszxyy0008'){  // 不加号
                                        that.cancelPre(payType,outtradeno);
                                    }
                                } else if(data.code  == "0" && data.status == "1") {
                                    // 开始提交挂号
                                    //fox.layer.open("支付成功");//支付成功
                                    console.info("支付宝异步查询 成功");

                                    that.east_Guahao(outtradeno,payType);

                                } else {

                                    fox.layer.open("支付超时");
                                    document.getElementById("east_myDisabled").disabled = false;
                                    document.getElementById("east_myDisabled").style.backgroundColor = "#3ea5f6";
                                }
                            } else {
                                fox.layer.open("服务调用失败,请稍后查询挂号记录及留意微信退款状态");
                            }
                        }
                    });
                },
                // 当日释号
                releaseLock:function(TypeCode){
                    fox.service.request({
                        id: "releaseAppointment",
                        name: "service/eastSoftRegistered/LockAppointment",
                        data: {
                            CardNo: vmData.CardNo,
                            SchemaID: vmData.SchemaID,
                            TimepointSortId:vmData.timeKey.split('|')[0],
                            FlowNo:vmData.outtradeno,
                            TypeCode:TypeCode  //锁号
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {

                                }
                            } else {
                                fox.layer.open("释号异常");
                            }
                        }
                    });


                },
                // 支付失败取消预约
                cancelPre: function (payType,FlowNo) {
                    let that = this;
                    if (vmData.RegType=='1'){
                        that.releaseLock('0');
                    }else if(vmData.RegType=='2'){
                        fox.service.request({
                            id: "submitOrderTodayPre",
                            name: "service/eastSoftRegistered/submitOrderTodayPre",
                            data: {
                                FlowNo:FlowNo,
                                CardNo:vmData.CardNo,
                                payType:vmData.paymentType, // 支付类型：1微信，2支付宝
                                Fee:vmData.Fee,                 // 病人名称
                                BookId:vmData.BookId,   //
                                PayState:"0"    //中心医院预约挂号撤销与确定
                            },
                            callback: function (code, message, data) {
                                if (code == 0 || code == undefined) {
                                    if (data.code == "200000") {
                                    }  else {
                                    }
                                } else {

                                }
                            }
                        });
                    }


                },
                queryOuttradenoStatus: function (outtradeno,type) {
                    let  that = this;
                    fox.service.request({
                        id: "paySubmit",
                        name: "hospitalPay/hospitalPay/paySubmit",
                        data: {
                            workseqno: outtradeno,
                            FlowNo:outtradeno,
                            CardNo:vmData.CardNo,
                            SchemaID: vmData.SchemaID,
                            pid:vmData.pid,
                            payType:type, // 支付类型：1微信，2支付宝
                            RegType:vmData.RegType,
                            name:vmData.Ofpatient,
                            Day:vmData.Day,
                            Fee:vmData.Fee,                 // 病人名称
                            ReglevelName:vmData.ReglevelName,     // 医生级别
                            Noon:vmData.Noon,                 //上午下午晚上
                            DoctorName:vmData.DoctorName,      // 医生姓名
                            DeptName:vmData.DeptName,           // 科室名称
                            phone:vmData.phone,
                            smsCodyType:"0",
                            patName:vmData.Ofpatient,
                            registerInfo:vmData.hospital_name+"-"+vmData.DepName+"-"+vmData.DoctorName,
                            smsType:"003"
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    data.msg=data.msg==undefined?'':data.msg;
                                    fox.layer.open(data.msg+"挂号失败,费用预计2-3个工作日将退回原支付账户中!");
                                } else if (data.code == "200013") {
                                    // fox.layer.open("请查询挂号记录,确认挂号结果信息！");
                                    if(vmData.query_check==0){
                                        vmData.query_check=1;
                                        fox.layer.open({
                                            content: "等待结果处理中。。。。。",
                                            skin: 'msg',
                                            anim: 'up',
                                            time: 2 //2秒后自动关闭
                                        });
                                        DDtimer = setTimeout(() => {
                                            that.queryOuttradenoStatus(outtradeno,type);
                                        }, 1900);
                                    }else{
                                        clearTimeout(DDtimer);
                                        clearInterval(time_d);
                                        fox.layer.open("请查询挂号记录,确认挂号结果信息！")
                                    }
                                } else {
                                    // var queryData = data.result;
                                    var mydate = {
                                        Ofpatient: vmData.Ofpatient,
                                        Price: vmData.Fee,
                                        DepName: vmData.DepName,
                                        MarkDesc: vmData.DoctorName,
                                        BegTime: vmData.BegTime,
                                        HBTime: vmData.Day+vmData.Noon,
                                        // RegisterNo: data.hisrowid,
                                        // JZNo: data.reserved2
                                    }
                                    if (vmData.RegType === "1") {
                                        clearInterval(time_d);
                                        fox.router.append("east_appointmentSuccess_today", mydate);
                                    } else {
                                        clearInterval(time_d);
                                        fox.router.append("east_appointmentSuccess_appointment", mydate);
                                    }
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },
                //  挂号
                east_Guahao: function(FlowNo,type){
                    if(vmData.hospital_id==='lyszxyy0008' || vmData.hospital_id==='hnkjdxdefsyy0007' || vmData.hospital_id==='lysdsrmyy0010'){
                        if (vmData.RegType=='2'){
                            vmData.PayState="1";
                        }
                    }
                    let that = this;
                    fox.service.request({
                        id: "submitOrderReady",
                        name: "service/eastSoftRegistered/submitOrderReady",
                        data: {
                            FlowNo:FlowNo,
                            CardNo:vmData.CardNo,
                            SchemaID: vmData.SchemaID,
                            pid:vmData.pid,
                            payType:type, // 支付类型：1微信，2支付宝
                            RegType:vmData.RegType,
                            name:vmData.Ofpatient,
                            Day:vmData.Day,
                            Fee:vmData.Fee,                 // 病人名称
                            ReglevelName:vmData.ReglevelName,     // 医生级别
                            Noon:vmData.Noon,                 //上午下午晚上
                            DoctorName:vmData.DoctorName,      // 医生姓名
                            ExecDept:vmData.DepName,           // 科室名称
                            phone:vmData.phone,
                            smsCodeType:"0",
                            patName:vmData.Ofpatient,
                            registerInfo:vmData.Day+' '+vmData.Noon+","+vmData.hospital_name+vmData.DepName+"-"+vmData.DoctorName,
                            smsType:"003",
                            BookId:vmData.BookId,   //
                            PayState:vmData.PayState    //中心医院预约挂号撤销与确定
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {

                                if (data.code == "0") {
                                        console.info("挂号成功！");
                                        console.log("成功");
                                        var ca = {
                                            Ofpatient: vmData.Ofpatient,   // 就诊人姓名
                                            DepName: vmData.DepName,      // 科室名称
                                            MarkDesc: vmData.DoctorName,   // 医生名称
                                            HBTime: vmData.Day+vmData.Noon,
                                        }
                                            //fox.layer.open("挂号成功");
                                    if (vmData.RegType === "1") {
                                        clearInterval(time_d);
                                        fox.router.append("east_appointmentSuccess_today", ca);
                                    } else {
                                        clearInterval(time_d);
                                        fox.router.append("east_appointmentSuccess_appointment", ca);
                                    }
                                    }else if(data.code=="4"){
                                    if(vmData.query_check==0){
                                        vmData.query_check=1;
                                        fox.layer.open({
                                            content: "等待结果处理中。。。。。",
                                            skin: 'msg',
                                            anim: 'up',
                                            time: 2 //2秒后自动关闭
                                        });
                                        DDtimer = setTimeout(() => {
                                            that.east_Guahao(FlowNo,type);
                                        }, 1900);
                                    }else{
                                        clearTimeout(DDtimer);
                                        clearInterval(time_d);
                                        fox.layer.open("请查询挂号记录,确认挂号结果信息！")
                                    }


                                }else{
                                    fox.layer.open("挂号失败,费用会按照原支付路径退回");

                                }

                            } else {
                                fox.layer.open("网络异常");
                                // fox.layer.open("网络异常");
                            }
                        }

                    })
                },

                // 支付宝退款
                ZFBgetOrderRefund: function (outtradeno) {

                    let that = this;
                    fox.service.request({
                        id: "getOrderRefund",
                        name: "alipay/alipay/getOrderRefund",
                        data: {
                            hospital_id: vmData.hospital_id,
                            out_trade_no: outtradeno,
                            refund_amount: vmData.Fee,
                            chnlcode:"001"

                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {

                                    that.updateArefund(outtradeno);

                                }
                            } else {
                                fox.layer.open("退款异常请去首页查询挂号记录查看退款结果");
                            }
                        }
                    });
                },
                // 微信退款
                WXgetOrderRefund: function (outtradeno) {

                    let that = this;
                    fox.service.request({
                        id: "orderRefund",
                        name: "wxpay/wxpay/orderRefund",
                        data: {
                            out_trade_no: outtradeno,
                            refund_amount: vmData.Fee,
                            chnlcode:"001"

                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {

                                    that.updateArefund(outtradeno);

                                }
                            } else {
                                fox.layer.open("退款异常请去首页查询挂号记录查看退款结果");
                            }
                        }
                    });
                },
                // 根据是当日还是预约决定走哪个锁号流程
                lockReg: function(RegType,outtradeno,payType,dataR){
                    let that = this;
                    var zeroFlag = dataR.zeroFlag;
                    if(RegType=="1"){
                        // 当日锁号
                        fox.service.request({
                            id: "LockAppointment",
                            name: "service/eastSoftRegistered/LockAppointment",
                            data: {
                                CardNo: vmData.CardNo,
                                SchemaID: vmData.SchemaID,
                                TimepointSortId:vmData.timeKey.split('|')[0],
                                FlowNo:outtradeno,
                                TypeCode:'1'  //锁号
                            },
                            callback: function (code, message, data) {
                                if (code == 0 || code == undefined) {
                                    if (data.code == "200000") {
                                        fox.layer.open(data.msg);
                                    } else {
                                        if("1" == zeroFlag){
                                            that.queryOuttradenoStatus(outtradeno);
                                        }else{
                                            if(payType=='2'){
                                                that.east_ZFBhtml(payType, outtradeno, dataR);
                                            }else if(payType=='1'){
                                                that.east_WXhtml(payType, outtradeno, dataR);

                                            }
                                        }
                                        /*if(payType=='2'){
                                            that.east_ZFBhtml(payType, outtradeno, dataR);
                                        }else if(payType=='1'){
                                            that.east_WXhtml(payType, outtradeno, dataR);

                                        }*/

                                    }
                                } else {
                                    fox.layer.open("锁号异常");
                                }
                            }
                        });
                    }else if(RegType=="2"){
                        //预约锁号
                        fox.service.request({
                            id: "LockAppointmentPre",
                            name: "service/eastSoftRegistered/LockAppointmentPre",
                            data: {
                                CardNo: vmData.CardNo,
                                SchemaID: vmData.SchemaID,
                                TimepointSortId:vmData.timeKey.split('|')[0],
                                FlowNo:outtradeno,
                                payType:payType
                            },
                            callback: function (code, message, data) {
                                if (code == 0 || code == undefined) {
                                    if (data.code == "200000") {
                                        fox.layer.open(data.msg);
                                    } else {
                                        //需要将bookID拿出来
                                        vmData.BookId=data.BookId;
                                        if("1" == zeroFlag){
                                            that.queryOuttradenoStatus(outtradeno);
                                        }else{
                                            if(payType=='2'){
                                                that.east_ZFBhtml(payType, outtradeno, dataR);
                                            }else if(payType=='1'){
                                                that.east_WXhtml(payType, outtradeno, dataR);

                                            }
                                        }
                                        /*if(payType=='2'){
                                            that.east_ZFBhtml(payType, outtradeno, dataR);
                                        }else if(payType=='1'){
                                            that.east_WXhtml(payType, outtradeno, dataR);
                                        }*/
                                    }
                                } else {
                                    fox.layer.open("预约锁号异常");
                                }
                            }
                        });
                    }


                },
                //选择就诊人
                select: function (evt) {//底部弹出下拉框-预留
                    if (evt != undefined) {
                        vmData.aaaa.text = evt.text;
                        var a = vmData.aaaa;
                    }
                },
                //挂号
                NotesReg: function () {
                    fox.router.append("confirmPayment");
                },

                CountDown: function () {
                    var  start_day=new Date().getTime();
                    var  end_day=start_day+vmData.maxtime*1000;
                     time_d=setInterval(function () {
                        var now_day=new Date().getTime();
                        vmData.maxtime=(end_day-now_day)/1000;
                        if (vmData.maxtime >= 0) {
                            var m = Math.floor(vmData.maxtime / 60);
                            var s = Math.floor(vmData.maxtime % 60);
                            if (s < 10) {
                                vmData.seconds = "0" + s;

                            } else {
                                vmData.seconds = s;
                            }
                            if (m < 10) {
                                vmData.minutes = "0" + m;
                            } else {
                                vmData.minutes = m;
                            }
                           // --vmData.maxtime;
                        } else {
                            clearInterval(time_d);
                            clearTimeout(DDtimer);
                            fox.router.remove({all:true});
                            // fox.router.to("school_frame");
                        }
                    },100)

                },

                //回退
                back: function () {
                    clearInterval(time_d);
                    clearTimeout(DDtimer);
                    fox.router.remove();

                }
            },
            //加载后处理
            mounted: function () {
                    this.CountDown();
                // fox.localStorage.remove("_global_loginInfo");
                $('.fox-switch').switch();

                $(this.$refs.phoneSwitch).on('toggle', (event) => {
                    this.remPhone = event.detail.isActive
                });

                $(this.$refs.userSwitch).on('toggle', (event) => {
                    this.remUser = event.detail.isActive
                });
            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {
        clearInterval(time_d);
        clearTimeout(DDtimer);
    }
});
