define(function (require, exports) {
    let my_join;
    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        var newStrs= new Array(); //定义一数组
        var tempArray = (data.TimePoint == undefined?"":data.TimePoint).split(",")//字符分割
        for (var i = 0; i < tempArray.length; i++) {
            var obj = tempArray[i];
            var array =  obj.split("|");
            var tempStr = array[1]+ "--"+array[2];
            newStrs.push(tempStr);
          }

        //vue data
        var vmData = {
            headImage:"resource/image/faces/face-02.jpeg",
            DeptCode: data.DeptCode,   // 门诊号
            DeptName: data.DeptName,   // 门诊名称
            SchemaID: data.SchemaID,   // 排版标志
            Noon: data.Noon,           // 时段
            BeginTime: data.BeginTime, // 开始时间
            EndTime: data.EndTime,     // 结束时间
            DoctorCode: data.DoctorCode,   // 医生编号
            DoctorName: data.DoctorName,   // 医生名称
            ReglevelCode: data.ReglevelCode,   // 医生级别代号
            ReglevelName: data.ReglevelName,   // 医生级别名称
            RegFee: data.RegFee,
            CheckFee: data.CheckFee,
            DiagFee: data.DiagFee,
            OtherFee: data.OtherFee,
            TimePoint:data.TimePoint,
            strs:(data.TimePoint == undefined?"":data.TimePoint).split(","),//字符分割
            newDataStrs: newStrs,//处理数据格式

            //strs:data.TimePoint.split(","),//字符分割
            IsAppend:data.IsAppend,
            Fee:Number(data.RegFee)+Number(data.CheckFee)+Number(data.DiagFee)+Number(data.OtherFee),  // 总费用
            RegLimit:data.RegLimit,    // 挂号限额
            Reged:data.Reged,          // 已挂人数
            Wait:data.Wait,            // 等待人数
            AAA:data.RegLimit== "0"?"无限制":Number(data.RegLimit)-Number(data.Reged),
            Time:data.BeginTime+" --"+data.EndTime.split(" ")[1],
            newTime:data.BeginTime.split(" ")[0],
            RegType:data.RegType,
            doctor_intro:'',
            doctor_img:'',
            timeKey:'',
            timeValue:false,
            nucleicTest:data.nucleicTest,
            hospital_id:fox.bus.get("HomehospitalData").hospital_id,//医院id
            mjList:data.mjList,
            table_flag:fox.bus.get("HomehospitalData").table_flag,

        }
        console.info(vmData.strs);
        if(data.TimePoint==''&&data.IsAppend==='1'){
            vmData.timeValue = true
        }
        //创建vue model
        let vm = new Vue({
            el: cite.el,
            //数据
            data: vmData,
            //方法
            methods: {
                //计算周几
                east_montDayqqq: function () {
                    var dateString = vmData.BeginTime.trim().split(" ")[0];
                    vmData.BeginTime = dateString;
                    var dateArray = dateString.split("-");
                    date = new Date(dateArray[0], parseInt(dateArray[1] - 1), dateArray[2]);
                    //var weeks = new Array("日", "一", "二", "三", "四", "五", "六");
                    //return "星期" + weeks[date.getDay()];
                    vmData.montDay = "周" + "日一二三四五六".charAt(date.getDay());
                },
                //孟第二人民医院挂号 单独处理
                mj_east_NotesReg: function (item) {
               
                    my_join = fox.layer.open({
                        type: 1,
                        content: "#NotesforRegistration",
                        success: function () {
                        }
                    });
                    var tempTimeKey = vmData.strs[item];//根据下标获取
                    vmData.SchemaID = vmData.mjList[item].mjSchemaID;
                    vmData.timeKey = tempTimeKey;
                },

                //挂号
                east_NotesReg: function (item) {
                    if(vmData.Fee <0){
                        fox.layer.open("挂号费需大于0");
                        return;
                    }
                    my_join = fox.layer.open({
                        type: 1,
                        content: "#NotesforRegistration",
                        success: function () {

                        }
                    });

                    var tempTimeKey = vmData.strs[item];//根据下标获取
                    vmData.timeKey = tempTimeKey;
                },

                myYes: function () {
                    fox.layer.close(my_join);

                 //需要弹窗 填写信息
                 if(vmData.table_flag ==='1' || vmData.nucleicTest ==="1" || vmData.nucleicTest ==="fevel"){

                    //询问框
                    fox.layer.open({
                        content: '为配合疫情防控工作，请先完成新冠肺炎调查问卷。'
                        , btn: ['取消', '立即填写']
                        , action: [
                            function (index) {
                                //取消
                                fox.layer.close(index);
                            },
                            function (index) {
                                //确定
                                fox.layer.close(index);

                                var Registered = {
                                    DeptName: vmData.DeptName,    // 门诊名称
                                    Noon: vmData.Noon,            // 上午下午还是晚上
                                    SchemaID:vmData.SchemaID,     // 排班标志
                                    BeginTime: vmData.BeginTime,   // 开始时间
                                    EndTime: vmData.EndTime,       // 结束时间
                                    DoctorName: vmData.DoctorName,  // 医生名称
                                    ReglevelName: vmData.ReglevelName, // 医生级别名称
                                    Fee:vmData.Fee,                // 总费用
                                    ReglevelName:vmData.ReglevelName,   //  医生级别
                                    RegType:vmData.RegType,      // 当日还是预约
                                    TimeKey:vmData.timeKey,       // 时间段参数
                                    timeValue:vmData.timeValue
                                }

                                var data = {
                                    registered:Registered,
                                    pageName:'east_confirmRegistered',
                                    nucleicTest:vmData.nucleicTest
                                }
                                
                                fox.router.append("nucleicCheckRegister", data);
                            }
                        ]
                    });
             }else{ 
                    var Registered = {
                        DeptName: vmData.DeptName,    // 门诊名称
                        Noon: vmData.Noon,            // 上午下午还是晚上
                        SchemaID:vmData.SchemaID,     // 排班标志
                        BeginTime: vmData.BeginTime,   // 开始时间
                        EndTime: vmData.EndTime,       // 结束时间
                        DoctorName: vmData.DoctorName,  // 医生名称
                        ReglevelName: vmData.ReglevelName, // 医生级别名称
                        Fee:vmData.Fee,                // 总费用
                        ReglevelName:vmData.ReglevelName,   //  医生级别
                        RegType:vmData.RegType,      // 当日还是预约
                        TimeKey:vmData.timeKey,       // 时间段参数
                        timeValue:vmData.timeValue
                    }
                    fox.router.append("east_confirmRegistered", Registered);

                }
                },
                myNo: function () {
                    fox.layer.close(my_join);
                },

                //查询医生简介
                east_getInfoByDoctorId: function () {
                    fox.service.request({
                        id: "querypayDeskInfo",
                        name: "service/deskwork/querypayDeskInfo",
                        data: {
                            DoctId: vmData.DoctorCode,

                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    //fox.layer.open(data.msg);
                                } else {
                                    var info = data.result[0].Expertintroduction;
                                    vmData.doctor_intro = info;
                                    vmData.Sex = data.result[0].Sex;
                                    vmData.doctor_img = data.result[0].Pic;
                                }
                            } else {
                                fox.layer.open("网络异常");
                                //fox.layer.open("网络异常");
                            }
                        }
                    });
                },

                // 查询挂号须知
                xcloud:function(type){

                    fox.service.request({
                        id: "queryNotesforRegistration",
                        name: "registrationProtocol/registrationProtocol/queryNotesforRegistration",
                        data: {
                            para:type,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    if (data.result !== undefined) {

                                    }
                                    // vmData.doctor_intro = info.replace("↵","<br/>");
                                    vmData.cn_desc     =  data.cn_desc==null?'':data.cn_desc;
                                    document.getElementById("xcloud").innerHTML = vmData.cn_desc;
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });

                },

                //回退
                back: function () {
                    fox.router.remove();
                }
            },
            //加载后处理
            mounted: function () {
                this.east_montDayqqq();
                this.east_getInfoByDoctorId();
                if(vmData.RegType=='2'){
                    this.xcloud('RES');
                }else if(vmData.RegType=='1'){
                    this.xcloud('REG');
                }

                // fox.localStorage.remove("_global_loginInfo");
                $('.fox-switch').switch();

                $(this.$refs.phoneSwitch).on('toggle', (event) => {
                    this.remPhone = event.detail.isActive
                });

                $(this.$refs.userSwitch).on('toggle', (event) => {
                    this.remUser = event.detail.isActive
                });

            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {
        fox.layer.close(my_join);
    }
});
