/**
 * Created by hukun on 2019/05/28.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        var hospitalData = fox.bus.get("HomehospitalData");
        var resData = data;
        let vmData = {
            INhostime: "",
            CurHosDept: "",
            CurBed: "",
            SumCost: "",
            RemSum: "",
            CardNo: data.CardNo,
            Price: "",
            selectedpeople: "",
            peoplelist: [],
            //预约时间的数组
            appointmentDate: [],
            activeClass: 6,
            PageID: "",
            Billday: "",
            patientDailyList: "",
            depData: "",
            isShowDep: "0",
            reset_submit: 0,
            count:'',
            hospital_id:hospitalData.hospital_id,
            hospital_name:hospitalData.hospital_name
        };
        //创建vue model
        let vm = new Vue({
            el: cite.el,
            //数据
            data: vmData,
            //方法
            methods: {

                // 建卡（有身份证）
                east_SignUp1:function(){
                    fox.service.request({
                        id: "SignUp1",
                        name: "service/eastSoftRegistered/SignUp1",
                        data: {
                            // 需传身份证号和姓名
                            IDCardNo: vmData.selectedpeople.value,   // 身份证号
                            Ofpatient:vmData.selectedpeople.text,  // 姓名
                            pid:vmData.selectedpeople.pid,          //  就诊人id
                            hospital_id:vmData.hospital_id,
                            hospital_name:vmData.hospital_name
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else if(data.flag == undefined){

                                    vmData.CardNo=data.card;
                                }else {
                                    if(data.flag == '1'){
                                        fox.layer.open('用户姓名与身份证号不匹配，请去窗口办理更改手续');
                                    }
                                }
                            } else {
                                fox.layer.open("service调用异常:code:" + code + ",msg:" + JSON.stringify(message));
                            }
                        }
                    });


                },
                //无身份证办卡
                east_SignUp2:function(){
                    fox.service.request({
                        id: "SignUp2",
                        name: "service/eastSoftRegistered/SignUp2",
                        data: {

                            Ofpatient:vmData.selectedpeople.text,  // 姓名
                            pid:vmData.selectedpeople.pid,          //  就诊人id
                            hospital_id:vmData.hospital_id,
                            hospital_name:vmData.hospital_name
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                }else {

                                    vmData.CardNo=data.card;
                                }
                            } else {
                                fox.layer.open("service调用异常:code:" + code + ",msg:" + JSON.stringify(message));
                            }
                        }
                    });


                },

                //回退
                back: function () {
                    fox.router.remove();
                },
                //页面跳转
                to: function (id) {
                    //住院信息为空，禁止点击
                    if(!vmData.depData){
                        return;
                    }
                    vmData.depData.CurBed=vmData.CurBed;
                    var paramData = {
                        depData: vmData.depData,
                        pid: vmData.selectedpeople.pid,
                        patientID: vmData.selectedpeople.patient_id,
                        CardNo:vmData.selectedpeople.CardNo,
                        PatName:vmData.selectedpeople.text,
                        RemSum:vmData.RemSum,
                    }
                    fox.router.append(id, paramData);
                },
                onselectpl: function (evt) {
                    let that = this;
                    if (evt != undefined) {

                        var Data = {
                            value: evt.items[0].value,
                            text: evt.items[0].text,
                            patient_id: evt.items[0].patient_id,
                            pid: evt.items[0].pid,
                            xiabiao: evt.items[0].xiabiao,
                            CardNo: evt.items[0].CardNo
                        }
                        vmData.pid = Data.pid;
                        vmData.CardNo = Data.CardNo;
                        vmData.selectedpeople = Data;
                        vmData.INhostime='';
                        vmData.CurHosDept='';
                        vmData.CurBed='';
                        vmData.SumCost='';
                        vmData.RemSum='';
                        vmData.depData='';
                        vmData.count="￥"+'0';
                        vmData.patientDailyList='';
                        for (var i = 0; i < vmData.appointmentDate.length; i++) {
                            vmData.appointmentDate[i].count = '';
                        }

                        if((vmData.selectedpeople.CardNo== undefined||vmData.selectedpeople.CardNo =='')&&(vmData.selectedpeople.value==undefined||vmData.selectedpeople.value=='')){
                            that.east_SignUp2();        // 无身份证小孩就医办卡

                        }else  if(vmData.selectedpeople.CardNo==undefined||vmData.selectedpeople.CardNo==''){
                            that.east_SignUp1();       // 有身份证就医办卡
                        }

                        vm.queryInpatientDepartment();
                    } else {
                        vmData.recordlist = [];
                    }

                },
                updatePatientId: function () {
                    fox.service.request({
                        id: "getPatientInfo",
                        name: "service/theDayRegistered/getPatientInfo",
                        data: {
                            pid: vmData.selectedpeople.pid
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "0") {
                                    var item = {
                                        value: vmData.selectedpeople.value,
                                        text: vmData.selectedpeople.text,
                                        patient_id: data.result.PatientID,
                                        pid: vmData.selectedpeople.pid,
                                        xiabiao: vmData.selectedpeople.xiabiao,
                                        CardNo: data.result.CardNo
                                    };
                                    vmData.CardNo = data.result.CardNo;
                                    vmData.pid = vmData.selectedpeople.pid;
                                    vmData.peoplelist[vmData.selectedpeople.xiabiao] = item;
                                    vmData.selectedpeople = vmData.peoplelist[vmData.selectedpeople.xiabiao];
                                    vm.queryInpatientDepartment();

                                } else {
                                    fox.layer.open(data.msg);
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })
                },
                queryInpatientDepartment:function(){
                    if(vmData.selectedpeople.pid==""||vmData.selectedpeople.pid==undefined){
                        vm.updatePatientId();
                    }else{
                        fox.service.request({
                            id:"patientInhospitalInfo",
                            name:"paythefee/eastPaythefee/patientInhospitalInfo",
                            data:{
                                 CardNo:vmData.CardNo,
                                // CardNo:'0001145847',
                            },
                            callback:function(code,message,data){
                                if(code==0){
                                    if(fox.type(data)=="object"){
                                        if(data.code=='0'){
                                            vmData.isShowDep="1";
                                            vmData.depData=data.result;
                                            vmData.INhostime=data.result.InDate;
                                            vmData.CurHosDept=data.result.Dept;
                                            vmData.CurBed=data.result.CurBed;
                                            vmData.SumCost=data.result.PrepaySum;
                                            vmData.RemSum=data.result.FreeCost;
                                            vmData.PageID=data.result.PageID;
                                            vmData.PatientNo=data.result.PatientNo;
                                            vm.selectDate_tap(6);
                                        }else{
                                            fox.layer.open(data.msg);
                                        }
                                    }
                                }else{
                                    fox.layer.open("网络异常");
                                }
                            }
                        })
                    }
                },
                initService: function () {
                    let that = this;
                    var loginUserInfo = fox.bus.get("loginUserInfo");
                    fox.service.request({
                        id: "getPactionListByHis",
                        name: "pation/pation/getPactionListByHis",
                        data: {
                            user_id: loginUserInfo.user_id,
                            hospital_id: vmData.hospital_id
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {


                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    var dataList = data.data;
                                    for (let i in dataList) {
                                        var myData = {
                                            value: dataList[i].patient_number,
                                            text: dataList[i].patient_name,
                                            patient_id: dataList[i].patient_id,
                                            pid: dataList[i].pid,
                                            xiabiao: i,
                                            CardNo: dataList[i].card_no
                                        }
                                        vmData.peoplelist.push(myData);
                                    }
                                    if (vmData.peoplelist.length > 0) {
                                        vmData.selectedpeople = vmData.peoplelist[0];

                                        if((vmData.selectedpeople.CardNo== undefined||vmData.selectedpeople.CardNo =='')&&(vmData.selectedpeople.value==undefined||vmData.selectedpeople.value=='')){
                                            that.east_SignUp2();        // 无身份证小孩就医办卡

                                        }else  if(vmData.selectedpeople.CardNo==undefined||vmData.selectedpeople.CardNo==''){
                                            that.east_SignUp1();       // 有身份证就医办卡
                                        }


                                        vmData.pid = vmData.peoplelist[0].pid;
                                        vmData.CardNo = vmData.peoplelist[0].CardNo;
                                        vm.queryInpatientDepartment();
                                    }
                                }

                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })
                },
                //查询一日清单
                queryDayPayRecoder:function(){
                    vmData.patientDailyList = "";
                    fox.service.request({
                        id:"patientDailyList",
                        name:"paythefee/eastPaythefee/patientDailyList",
                        data:{
                            //CardNo:'0001145847',
                            PatientNo:vmData.PatientNo,
                            BeginDate:vmData.Billday
                        },
                        callback:function(code,message,data){
                            vmData.patientDailyList=[];
                            vmData.count='¥'+'0';
                            if(code==0||code==undefined){
                                if(data.code==="200000"){
                                    if(data.msg==''){
                                         fox.layer.open("没有检索到"+vmData.Billday+"相应的费用信息");
                                    }
                                    else{
                                        fox.layer.open(data.msg);
                                    }
                                }else{
                                    vmData.patientDailyList=data.result.FeeItemList;
                                    vmData.CurBed=data.result.BedNo;
                                    vmData.count='¥'+data.result.TotalCost;
                                }
                            }else{
                                fox.layer.open("网络异常");
                            }
                        }
                    })
                },
                getmyDate: function () {
                    var now = new Date();
                    var nowTime = now.getTime();
                    var oneDayTime = 24 * 60 * 60 * 1000;
                    var list = [];

                    for (var i = 6; i >= 0; i--) {
                        //显示周一
                        var ShowTime = nowTime - i * oneDayTime;
                        //初始化日期时间
                        var myDate = new Date(ShowTime);
                        var year = myDate.getFullYear();
                        var month = myDate.getMonth() + 1;
                        var date = myDate.getDate();
                        if (month < 10) {
                            month = "0" + month;
                        }
                        if (date < 10) {
                            date = "0" + date;
                        }
                        var date = year + "-" + month + "-" + date;
                        var makeTime = {
                            myDate: date,
                            date: date.substring(5, 10),
                            count: ""
                        }
                        list.push(makeTime);
                    }
                    vmData.appointmentDate = list;
                    vmData.Billday = vmData.appointmentDate[vmData.activeClass].myDate;
                },
                //日期点击
                selectDate_tap: function (index) {
                    if(!vmData.depData){
                        return;
                    }
                    var a = vmData.activeClass - index;
                    vmData.reset_submit = 1;
                    if (a > 0) {
                        for (var i = 0; i < a; i++) {
                            this.selectDate('left');
                        }
                    } else if (a < 0) {
                        for (var i = 0; i > a; i--) {
                            this.selectDate('right');
                        }
                    } else {
                        //点击居中
                        this.$refs.cell_table.scrollLeft = this.$refs.cell_block[0].clientWidth * (vmData.activeClass - 2);
                    }
                    this.queryDayPayRecoder();
                    vmData.reset_submit = 0;
                },
                //日期选择
                selectDate: function (prama) {
                    //住院信息为空，不让点击
                    if(!vmData.depData){
                        return;
                    }
                    console.log("=======prama==========" + prama);
                    if (prama === 'left') {
                        if (vmData.activeClass === 0) {
                            return;
                        } else if (vmData.activeClass === 1 || vmData.activeClass === vmData.appointmentDate.length - 1) {
                            vmData.activeClass--;
                            this.$refs.cell_table.scrollLeft = vmData.activeClass === 0 ? 0 : this.$refs.cell_table.scrollLeft;
                        } else {
                            vmData.activeClass--;
                            this.$refs.cell_table.scrollLeft = this.$refs.cell_block[0].clientWidth * (vmData.activeClass - 1);
                        }
                    } else if (prama === 'right') {
                        if (vmData.activeClass === vmData.appointmentDate.length - 1) {
                            return;
                        } else if (vmData.activeClass === vmData.appointmentDate.length - 2 || vmData.activeClass === 0) {
                            vmData.activeClass++;
                        } else {
                            vmData.activeClass++;
                            this.$refs.cell_table.scrollLeft = this.$refs.cell_block[0].clientWidth * (vmData.activeClass - 1);
                        }
                    }
                    vmData.Billday = vmData.appointmentDate[vmData.activeClass].myDate;
                    console.log("=======vmData.Billday==========" + vmData.Billday);
                    if (vmData.reset_submit == 0) {
                        this.queryDayPayRecoder();
                    }
                },

            },
            //加载后处理
            mounted: function () {
                //初始化请求
                this.initService();
                //初始化日期
                this.getmyDate();
                //日期选择框滑动代码

            },
        });
    };
});
