/**
 * Created by jiangcheng on 2018/03/06.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {

        let vmData = {
            selectedpeople: "",
            // selectedpeople_id:"",
            // selectedpeople_cardnum:"",
            peoplelist: [],
            hospital_id: data.hospital_id,
            // Day:"",
            // EndDay:"",
            recordlist: [],
            pid: "",
            m_product_list: [{
                title: "订单号",
                aa: "科室名称",
                bb: "缴费金额",
                cc: "缴费时间",
            },
                {
                    title: "订单号",
                    aa: "科室名称",
                    bb: "缴费金额",
                    cc: "缴费时间",
                },
                {
                    title: "订单号",
                    aa: "科室名称",
                    bb: "缴费金额",
                    cc: "缴费时间",
                },
                {
                    title: "订单号",
                    aa: "科室名称",
                    bb: "缴费金额",
                    cc: "缴费时间",
                }
            ],
            startTime: "",
            //开始时间
            endTime: "",
        };

        //创建vue model
        let vm = new Vue({
            el: cite.el,
            //数据
            data: vmData,
            //方法
            methods: {
                back: function () {
                    fox.router.remove();
                },
                querypayDetails: function () {

                    var re = fox.custom.validTime(vmData.startTime, vmData.endTime);
                    if (!re) {
                        fox.layer.open("结束日期不能小于开始日期");
                        return;
                    }
                    var start = new Date(vmData.startTime);
                    var end = new Date(vmData.endTime);
                    var dateDiff = end.getTime() - start.getTime();
                    var dayDiff = Math.floor(dateDiff / (24 * 3600 * 1000));//计算出相差天数
                    if (dayDiff > 90) {
                        fox.layer.open("结束日期与开始日期相差不能大于90天");
                        return;
                    }
                    if (vmData.selectedpeople.pid == "" || vmData.selectedpeople.pid == undefined) {

                        this.updatePatientId();
                    } else {
                        fox.service.request({
                            id: "getpayDatalsByCard",
                            name: "paythefee/eastPaythefee/getpayDatalsByCard",
                            data: {
                                pid: vmData.pid,
                                CardNo: vmData.selectedpeople.patient_number,
                                startDay: vmData.startTime,
                                endDay: vmData.endTime
                            },
                            callback: function (code, message, data) {
                                console.log(code, message, data, '缴费记录');
                                if (code == 0 || code == undefined) {
                                    vmData.recordlist = [];
                                    if (code == "0") {
                                        if(data.List.length==0){
                                            fox.layer.open("该时段没有缴费记录");
                                            return;
                                        }
                                        vmData.recordlist = data.List;
                                    } else {
                                        // vmData.recordlist = [];
                                        //vmData.recordlist = data.result.FeeDetailList;
                                        //fox.layer.open(data.msg);
                                    }
                                } else {
                                    fox.layer.open("网络异常");
                                    //fox.layer.open("service调用异常:code:" + code + ",msg:" + JSON.stringify(message));
                                }
                                for (var i in vmData.recordlist) {
                                    var sum = 0;
                                    for (var j in vmData.recordlist[i].detail) {
                                        sum += parseInt(vmData.recordlist[i].detail[j].should_money * 10);
                                    }
                                    vmData.recordlist[i].all_should_money = sum / 1000;
                                }
                            }
                            })
                    }


                },
                updatePatientId: function () {

                    fox.service.request({
                        id: "getPatientInfo",
                        name: "service/theDayRegistered/getPatientInfo",
                        data: {
                            pid: vmData.selectedpeople.pid
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "0") {
                                    var item = {
                                        value: vmData.selectedpeople.value,
                                        text: vmData.selectedpeople.text,
                                        patient_id: data.result.PatientID,
                                        pid: vmData.selectedpeople.pid,
                                        xiabiao: vmData.selectedpeople.xiabiao
                                    };
                                    vmData.pid = vmData.selectedpeople.pid,
                                        vmData.peoplelist[vmData.selectedpeople.xiabiao] = item;
                                    vmData.selectedpeople = vmData.peoplelist[vmData.selectedpeople.xiabiao];
                                    vm.querypayDetails();

                                } else {
                                    // fox.layer.open(data.msg);
                                }
                            } else {
                                fox.layer.open("网络异常");
                                //fox.layer.open("service调用异常:code:" + code + ",msg:" + JSON.stringify(message));
                            }
                        }
                    })

                },
                onselectpl: function (evt) {
                    if (evt != undefined) {

                        var Data = {
                            value: evt.items[0].value,
                            text: evt.items[0].text,
                            patient_id: evt.items[0].patient_id,
                            pid: evt.items[0].pid,
                            xiabiao: evt.items[0].xiabiao
                        }
                        vmData.pid = Data.pid,
                            vmData.selectedpeople = Data;
                        // vm.querypayDetails();
                    } else {
                        vmData.recordlist = [];
                    }

                },
                refund: function (item) {
                var _that=this;
                    fox.service.request({
                        id: "commRefund",
                        name: "commonpay/commonpay/commRefund",
                        data: {
                            out_trade_no: item.workseqno,
                            refund_amount: item.amt/100,
                            chnlcode: "001",
                            corpcode: item.corpcode
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {

                                if (data.code == "0") {
                                    // 微信退款是异步因此需要查询结果
                                    if ("01" == item.corpcode) {
                                        fox.service.request({
                                            id: "refundquery",
                                            name: "wxpay/wxpay/refundquery",
                                            data: {
                                                out_trade_no: data.refund_no,
                                                chnlcode: "001",
                                            },
                                            callback: function (code, message, data) {
                                                if (code == 0 || code == undefined) {

                                                    if (data.code == "0") {

                                                        fox.layer.open("退款成功");
                                                        vm.querypayDetails();
                                                    } else {
                                                        fox.layer.open(data.msg);
                                                    }
                                                }
                                            }
                                        })
                                    } else {
                                        fox.layer.open("退款成功");
                                        vm.querypayDetails();
                                    }

                                } else {
                                     fox.layer.open("退款失败"+data.msg);
                                }

                            } else {
                                fox.layer.open("网络异常");
                                //fox.layer.open("service调用异常:code:" + code + ",msg:" + JSON.stringify(message));
                            }
                        }
                    })
                },
                initService: function () {

                    var loginUserInfo = fox.bus.get("loginUserInfo");
                    fox.service.request({
                        id: "getPactionListByHis",
                        name: "pation/pation/getPactionListByHis",
                        data: {
                            user_id: loginUserInfo.user_id,
                            hospital_id: vmData.hospital_id
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {


                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    var dataList = data.data;
                                    for (let i in dataList) {
                                        var myData = {
                                            value: dataList[i].patient_number,
                                            text: dataList[i].patient_name,
                                            patient_id: dataList[i].patient_id,
                                            pid: dataList[i].pid,
                                            xiabiao: i
                                        }
                                        vmData.peoplelist.push(myData);
                                    }
                                    if (vmData.peoplelist.length > 0) {
                                        vmData.selectedpeople = vmData.peoplelist[0];
                                        vmData.pid = vmData.selectedpeople.pid;
                                        vm.querypayDetails();
                                    }
                                }

                            } else {
                                fox.layer.open("网络异常");
                                //fox.layer.open("service调用异常:code:" + code + ",msg:" + JSON.stringify(message));
                            }
                        }
                    })
                },
                timeAdd0: function () {
                    var myDate = new Date();
                    var month = "";
                    var date = "";
                    if ((myDate.getMonth() + 1) < 10) {
                        month = '0' + (myDate.getMonth() + 1);
                    } else {
                        month = myDate.getMonth() + 1;
                    }

                    if (myDate.getDate() < 10) {
                        date = '0' + myDate.getDate();
                    } else {
                        date = myDate.getDate();
                    }
                    return myDate.getFullYear() + '-' + month + '-' + date;
                }
            },
            //加载后处理
            mounted: function () {
                //初始化请求
                this.initService();

                vmData.startTime = this.timeAdd0();
                vmData.endTime = this.timeAdd0();

                var inputs = $('.my-date input');
                inputs.each(function (i, input) {
                    input.addEventListener('tap', function () {
                        var _self = this;

                        if (_self.picker) {
                            _self.picker.show(function (rs) {
                                // result.innerText = '选择结果: ' + rs.text;
                                console.log('===if===' + rs.text);

                                _self.picker.dispose();

                                _self.picker = null;
                            });
                        } else {
                            // var optionsJson = this.getAttribute('data-options') || '{}';
                            // var options = JSON.parse(optionsJson);
                            // var begin = fox.custom.getPastThreeMonth();
                            var optionsJson = this.getAttribute('data-options') || '{}';
                            // console.log("=======brgin==========" + begin);
                            var options = JSON.parse(optionsJson);

                            var id = this.getAttribute('id');
                            console.log('===id===' + id);
                            /*
                             * 首次显示时实例化组件
                             * 示例为了简洁，将 options 放在了按钮的 dom 上
                             * 也可以直接通过代码声明 optinos 用于实例化 DtPicker
                             */

                            _self.picker = new $.DtPicker(options);

                            _self.picker.show(function (rs) {
                                /*
                                 * rs.value 拼合后的 value
                                 * rs.text 拼合后的 text
                                 * rs.y 年，可以通过 rs.y.vaue 和 rs.y.text 获取值和文本
                                 * rs.m 月，用法同年
                                 * rs.d 日，用法同年
                                 * rs.h 时，用法同年
                                 * rs.i 分（minutes 的第二个字母），用法同年
                                 */
                                if (id == "start") {
                                    vmData.startTime = rs.text;
                                } else if (id == "end") {
                                    vmData.endTime = rs.text;
                                }

                                console.log('===else===' + rs.text); // result.innerText = '选择结果: ' + rs.text;

                                /*
                                 * 返回 false 可以阻止选择框的关闭
                                 * return false;
                                 */

                                /*
                                 * 释放组件资源，释放后将将不能再操作组件
                                 * 通常情况下，不需要示放组件，new DtPicker(options) 后，可以一直使用。
                                 * 当前示例，因为内容较多，如不进行资原释放，在某些设备上会较慢。
                                 * 所以每次用完便立即调用 dispose 进行释放，下次用时再创建新实例。
                                 */

                                _self.picker.dispose();

                                _self.picker = null;
                            });
                        }
                    }, false);
                });

                // this.querypayDetails();
            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
