/**
 * Created by jiangcheng on 2018/03/06.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        var loginInfo = fox.bus.get("loginUserInfo");
        var phone = fox.bus.get("loginPhoneNum");
        var hospitalData = fox.bus.get("HomehospitalData");
        var count = 0;
        var vmData = {
            Registrationrecord: [],
            user_id: loginInfo == undefined ? "" : loginInfo.user_id,
            interface_type: data == undefined ? "" : data.interface_type,
            //hospital_id: data == undefined ? "" : data.hospital_id,
            hospital_id: hospitalData.hospital_id,
            user_phone: phone,
            m_select_items: [],
            hospital_name: hospitalData.hospital_name,
            patient: "",
            pid: "",
            // start_a: 0,//起始页数
            // end_n: 5,//条数
            falg: true,
            scrollTop: 0,
            card_no: "",
            hospital_imgurl:hospitalData.hospital_imgurl,
            patient_number:""
        }
        //创建vue model
        var vm = new Vue({
            el: cite.el,
            data: vmData,
            //方法
            methods: {
                //取消挂号
                cancelRegistrat: function (index) {
                    let that = this;
                    var Day = vmData.Registrationrecord[index].day.substring(0, 10);
                    //询问框
                    fox.layer.open({
                        content: '是否取消当前挂号？'
                        , btn: ['取消', '确定']
                        , action: [
                            function (index1) {
                                //取消
                                fox.layer.close(index1);
                            },
                            function (index1) {
                                fox.service.request({
                                    id: "CancelRes1",
                                    name: "service/eastSoftRegistered/CancelRes1",
                                    data: {
                                        PatientID: vmData.Registrationrecord[index].patient_id,
                                        workseqno: vmData.Registrationrecord[index].workseqno,
                                        ClinicNo: vmData.Registrationrecord[index].receipt_no,
                                        amt: vmData.Registrationrecord[index].amt,
                                        type: vmData.Registrationrecord[index].paytype,
                                        corpcode: vmData.Registrationrecord[index].corpcode,
                                        chnlcode:'001',
                                        smsType: "003",
                                        smsCodeType: "1",
                                        RegType: vmData.Registrationrecord[index].RegType,
                                        BookID:vmData.Registrationrecord[index].reserved5,
                                        phone: vmData.user_phone,
                                        patName: vmData.Registrationrecord[index].pat_name,
                                        registerNo: vmData.Registrationrecord[index].receipt_no,
                                        registerInfo: vmData.hospital_name + '-' + vmData.Registrationrecord[index].dep_name + '-' + vmData.Registrationrecord[index].mark_desc,
                                    },
                                    callback: function (code, message, data) {
                                        if (code == 0 || code == undefined) {
                                            if (data.code == "200000") {
                                                fox.layer.open(data.msg);
                                            } else {
                                                fox.layer.open({
                                                    content: "取消挂号成功,费用预计2-3个工作日将退回原支付账户中!"
                                                    , skin: 'msg'
                                                    , anim: 'up'
                                                    , time: 2 //2秒后自动关闭
                                                });
                                                /*fox.router.remove();
                                                fox.router.to('east_regRecoder');*/
                                                var CardNo = vmData.card_no;
                                                // window.removeEventListener('scroll', this.myhandleScroll, true);
                                                // window.addEventListener('scroll', this.myhandleScroll, true);
                                                vmData.falg = true;
                                                vmData.Registrationrecord=[];
                                                // vmData.start_a = 0;
                                                // vmData.end_n = 5;
                                                that.east_getRegistrationrecord(vmData.card_no);
                                            }
                                        } else {
                                            fox.layer.open("网络异常");
                                            // fox.layer.open("service调用异常:code:" + code + ",msg:" + JSON.stringify(message));
                                        }
                                    }
                                });
                            }
                        ]
                    })

                },
                //异常直接退款
                cancelArefund: function (index) {
                    let that = this;
                    var corpcode = vmData.Registrationrecord[index].corpcode;
                    if (corpcode == "01") {
                        that.WXgetOrderRefund(index);
                    } else if (corpcode == "02") {
                        that.ZFBgetOrderRefund(index);
                    }else if (corpcode == "04") {
                        that.CMBgetOrderRefund(index);
                    }
                },
                //更新退款状态
                updateArefundStatus: function () {
                    fox.service.request({
                        id: "updateArefundStatus",
                        name: "service/theDayRegistered/updateArefundStatus",
                        data: {
                            workseqno:vmData.Registrationrecord[index].workseqno,
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                } else {
                                }
                            } else {
                                fox.layer.open("网络异常");
                                // fox.layer.open("service调用异常:code:" + code + ",msg:" + JSON.stringify(message));
                            }
                        }
                    });
                },


                // 支付宝退款
                ZFBgetOrderRefund: function (index) {
                    //hospital_id=lysdyzyy0001&out_trade_no=201906211649467722310219&refund_amount=0.01
                    let that = this;
                    fox.service.request({
                        id: "getOrderRefund",
                        name: "alipay/alipay/getOrderRefund",
                        data: {
                            hospital_id: vmData.Registrationrecord[index].hospitalid,
                            out_trade_no: vmData.Registrationrecord[index].workseqno,
                            refund_amount: vmData.Registrationrecord[index].price/100,
                            chnlcode: "001"

                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    vmData.Registrationrecord[index].Registered_state = '0';
                                    vmData.Registrationrecord[index].refundStatus=1;
                                    fox.layer.open({
                                        content: "退款成功,费用预计2-3个工作日将退回原支付账户中!"
                                        , skin: 'msg'
                                        , anim: 'up'
                                        , time: 2 //2秒后自动关闭
                                    });
                                    var PatientID = vmData.pid;
                                    var CardNo = vmData.card_no;
                                    // window.removeEventListener('scroll', this.myhandleScroll, true);
                                    // window.addEventListener('scroll', this.myhandleScroll, true);
                                    vmData.falg = true;
                                    vmData.Registrationrecord=[];
                                    // vmData.start_a = 0;
                                    // vmData.end_n = 5;
                                    that.east_getRegistrationrecord(vmData.card_no);
                                    //that.updateArefundStatus();
                                }
                            } else {
                                fox.layer.open("网络异常");
                                // fox.layer.open("service调用异常:code:" + code + ",msg:" + JSON.stringify(message));
                            }
                        }
                    });
                },

                //微信退款
                WXgetOrderRefund: function (index) {
                    //hospital_id=lysdyzyy0001&out_trade_no=201906211649467722310219&refund_amount=0.01
                    let that = this;
                    fox.service.request({
                        id: "orderRefund",
                        name: "wxpay/wxpay/orderRefund",
                        data: {
                            hospital_id: vmData.Registrationrecord[index].hospitalid,
                            out_trade_no:  vmData.Registrationrecord[index].workseqno,
                            refund_amount: parseFloat((vmData.Registrationrecord[index].price / 100)).toFixed(2),
                            chnlcode: "001"
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open({
                                        content: data.msg
                                        , skin: 'msg'
                                        , anim: 'up'
                                        , time: 2 //2秒后自动关闭
                                    });
                                } else {
                                    var refund_no = data.refund_no;
                                    that.WXqueryOrderRefundStatus(index, refund_no);
                                }
                            } else {
                                fox.layer.open("退款异常请去首页查询挂号记录查看退款结果");
                            }
                        }
                    });
                },
                //微信退款异步通知查询
                WXqueryOrderRefundStatus: function (index, outtradeno) {
                    let _this = this;
                    fox.service.request({
                        id: "refundquery",
                        name: "wxpay/wxpay/refundquery",
                        data: {
                            out_trade_no: outtradeno,
                            chnlcode: "001",
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "0") {
                                    fox.layer.open({
                                        content: "退款成功,费用预计2-3个工作日将退回原支付账户中!"
                                        , skin: 'msg'
                                        , anim: 'up'
                                        , time: 2 //2秒后自动关闭
                                    });
                                    var PatientID = vmData.pid;
                                    var CardNo = vmData.card_no;
                                    // window.removeEventListener('scroll', this.myhandleScroll,true);
                                    // window.addEventListener('scroll', this.myhandleScroll, true);
                                    vmData.falg = true;
                                    // vmData.start_a = 0;
                                    // vmData.end_n = 5;
                                    vmData.Registrationrecord = [];
                                    _this.east_getRegistrationrecord(vmData.card_no);
                                } else {
                                    fox.layer.open(data.msg);
                                }
                            }
                        }
                    })
                },
                //一网通退款
                CMBgetOrderRefund: function (index) {
                    //hospital_id=lysdyzyy0001&out_trade_no=201906211649467722310219&refund_amount=0.01
                    let that = this;
                    fox.service.request({
                        id: "orderRefund",
                        name: "netcompay/netcompay/orderRefund",
                        data: {
                            hospital_id: vmData.Registrationrecord[index].hospitalid,
                            out_trade_no:  vmData.Registrationrecord[index].workseqno,
                            refund_amount: parseFloat((vmData.Registrationrecord[index].price / 100)).toFixed(2),
                            chnlcode: "001"
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open({
                                        content: data.msg
                                        , skin: 'msg'
                                        , anim: 'up'
                                        , time: 2 //2秒后自动关闭
                                    });
                                } else {
                                    var refund_no = data.refund_no;
                                    that.WXqueryOrderRefundStatus(index, refund_no);
                                }
                            } else {
                                fox.layer.open("退款异常请去首页查询挂号记录查看退款结果");
                            }
                        }
                    });
                },
                //一网通退款异步通知查询
                WXqueryOrderRefundStatus: function (index, outtradeno) {
                    let _this = this;
                    fox.service.request({
                        id: "refundquery",
                        name: "netcompay/netcompay/refundquery",
                        data: {
                            out_trade_no: outtradeno,
                            chnlcode: "001",
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "0") {
                                    fox.layer.open({
                                        content: "退款成功,费用预计2-3个工作日将退回原支付账户中!"
                                        , skin: 'msg'
                                        , anim: 'up'
                                        , time: 2 //2秒后自动关闭
                                    });
                                    var PatientID = vmData.pid;
                                    var CardNo = vmData.card_no;
                                    // window.removeEventListener('scroll', this.myhandleScroll,true);
                                    // window.addEventListener('scroll', this.myhandleScroll, true);
                                    vmData.falg = true;
                                    vmData.start_a = 0;
                                    vmData.end_n = 5;
                                    vmData.Registrationrecord = [];
                                    _this.east_getRegistrationrecord(vmData.card_no);
                                } else {
                                    fox.layer.open(data.msg);
                                }
                            }
                        }
                    })
                },
                //查询该账户下面得所有挂号记录
                east_getRegistrationrecord: function (CardNo) {
                    let that = this;
                    fox.service.request({
                        id: "getREGRecordByCard",
                        name: "service/eastSoftRegistered/getREGRecordByCard",
                        data: {
                            CardNo: CardNo,
                            // start_a: vmData.start_a,
                            // end_n: vmData.end_n,
                            PatientID: vmData.pid
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    count = data.count;
                                    if (data.list.length > 0) {
                                        // vmData.start_a = vmData.start_a + 5;
                                        var mylist = data.list;
                                        vmData.Registrationrecord = vmData.Registrationrecord.concat(mylist);
                                        vmData.falg = true;
                                    // } else if (data.list.length > 0 && data.list.length < 5) {
                                    //     var mylist = data.list;
                                    //     vmData.Registrationrecord = vmData.Registrationrecord.concat(mylist);
                                    //     vmData.falg = false;
                                        // window.removeEventListener('scroll', that.myhandleScroll, false)
                                    } else {
                                        if(vmData.Registrationrecord.length==0){
                                            fox.layer.open("该用户没有挂号记录");
                                        }
                                        vmData.falg = false;
                                        // window.removeEventListener('scroll', that.myhandleScroll, false)
                                    }
                                }
                            } else {
                                fox.layer.open("网络异常");
                                //fox.layer.open("service调用异常:code:" + code + ",msg:" + JSON.stringify(message));
                            }
                        }
                    });
                },
                //查询就诊人
                east_queryOfpatient: function () {
                    let that = this;
                    fox.service.request({
                        id: "getPactionListByHis",
                        name: "pation/pation/getPactionListByHis",
                        data: {},
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    var dataList = data.data;
                                    for (let i in dataList) {
                                        var myData = {
                                            value: dataList[i].patient_number,   // 就诊人身份证号
                                            text: dataList[i].patient_name,      // 就诊人名称
                                            pid: dataList[i].pid,       // 就诊人pid
                                            card_no: dataList[i].card_no,
                                            xiabiao: i,
                                            patient_number: dataList[i].patient_number,

                                        }
                                        vmData.m_select_items.push(myData);

                                    }
                                    if (vmData.m_select_items.length > 0) {
                                        vmData.patient = vmData.m_select_items[0];
                                        vmData.Ofpatient = vmData.m_select_items[0].text;
                                        vmData.IDCardNo = vmData.m_select_items[0].value;
                                        vmData.pid = vmData.m_select_items[0].pid;
                                        vmData.card_no = vmData.m_select_items[0].card_no;
                                        vmData.patient_number = vmData.m_select_items[0].patient_number;

                                        if (vmData.card_no == "" || vmData.card_no == undefined) {
                                            fox.layer.open("用户未就医");

                                        } else {
                                            that.east_getRegistrationrecord(vmData.card_no);
                                        }

                                    }
                                }
                            } else {
                                fox.layer.open("网络异常");
                                // fox.layer.open("service调用异常:code:" + code + ",msg:" + JSON.stringify(message));
                            }
                        }
                    });
                },
                //选择就诊人
                east_select: function (evt) {//底部弹出下拉框-预留
                    // window.removeEventListener('scroll', this.myhandleScroll, true);
                    // window.addEventListener('scroll', this.myhandleScroll, true);
                    vmData.falg = true;
                    let that = this;
                    if (evt != undefined) {
                        vmData.Ofpatient = evt.items[0].text;
                        vmData.IDCardNo = evt.items[0].value;
                        vmData.pid = evt.items[0].pid;
                        vmData.card_no = evt.items[0].card_no;
                        // vmData.start_a = 0;
                        // vmData.end_n = 5;
                        vmData.falg = true;
                        vmData.Registrationrecord = [];
                        if (evt.items[0].card_no == "" || evt.items[0].card_no == undefined) {
                            fox.layer.open("用户未就医");

                        } else {
                            that.east_getRegistrationrecord(vmData.card_no);
                        }
                    } else {
                        vmData.Registrationrecord = [];
                    }

                },


                appendTo: function () {
                    if (vmData.card_no) {
                        var qrcode = {
                            outpatient_code: vmData.card_no,
                            user_name: vmData.Ofpatient,
                            hospital_name: vmData.hospital_name,
                            patient_number: vmData.patient_number,
                            interface_type:vmData.interface_type
                        }
                        // window.removeEventListener('scroll', this.myhandleScroll, true);
                        fox.router.append("hisqrCode", qrcode);
                    }


                }


                ,
                //下拉加载
                // myhandleScroll: function () {
                //     let that = this;
                //     var overflowObj = document.getElementById("mysearchBar");
                //     if(overflowObj!=undefined){
                //         vmData.scrollTop = overflowObj.scrollTop || overflowObj.scrollTop; //滚动条滑动位置高度
                //         // console.log(overflowObj.offsetHeight);
                //         // var scrollTop = window.pageYOffset || document.documentElement.scrollTop || document.body.scrollTop;
                //         var offsetHeight = overflowObj.offsetHeight; //div高度
                //         var innerHeight = window.innerHeight; //页面高度
                //         if (vmData.start_a < count) {
                //             if (vmData.falg === true) {
                //                 vmData.falg = false;
                //                 vmData.scrollTop = 0;
                //                 that.east_getRegistrationrecord(vmData.card_no);
                //             } else {
                //                 return;
                //             }
                //         }
                //     }
                // },
                //回退
                back: function () {
                    // window.removeEventListener('scroll', this.myhandleScroll, true);
                    fox.router.remove();
                }
            },
            //加载后处理
            mounted: function () {

                this.east_queryOfpatient();
                // window.addEventListener('scroll', this.myhandleScroll, true);
            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {
        // window.removeEventListener('scroll', this.myhandleScroll, true)
    }
});
