/**
 * Created by jiangcheng on 2018/03/06.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法

    var hospitalinfo = fox.bus.get("HomehospitalData");

    exports.ready = function (code, data, cite) {
        var vmData={
            outpatient_code:data.outpatient_code,
            hospital_name:data.hospital_name,
            user_name:data.user_name,
            colorLight:'#fff',
            patient_number:data.patient_number,
            colorDark:'#000000',//green #007400,yellow #F0DC00,red #E10000,black #000000
            interface_type:data.interface_type,
            hospital_id:hospitalinfo.hospital_id,
        }
        //创建vue model
        var vm=new Vue({
            el:cite.el,
            data:vmData,
            //方法
            methods:{
                //二维码状态接口查询
                getCodestatus:function(){
                    fox.service.request({
                        id:"getCodeStatus",
                        name:"customer/customer/getCodeStatus",
                        data:{
                            name:vmData.user_name,
                            idCard:vmData.patient_number
                        },
                        callback:function(code, message, data){
                            if (code == 0 || code == undefined) {

                                if (data.code == "0") {
                                    // 返回状态详情（1001：成功，健康码为绿色、1002：成功，健康码为黄色、
                                    // 1003：成功，健康码为红色、1004：识别失败、1005：参数错误）
                                    if (data.resultCode =="1001"){
                                        vmData.colorDark ='#46A05E';
                                    }else if (data.resultCode == "1002"){
                                        vmData.colorDark ='#FDC910';
                                    }else if (data.resultCode == "1003"){
                                        vmData.colorDark ='#E10000';
                                    }else {
                                        vmData.colorDark ='#000000';
                                    }
                                    vm.qrcode();//更新颜色
                                    vm.myqrcode();//更新颜色
                                } else {
                                    
                                    vm.qrcode();//更新颜色
                                    vm.myqrcode();//更新颜色

                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })
                    //alert("查询医院名称")
                },
                qrcode: function () {

                    var str = vmData.outpatient_code? vmData.outpatient_code:vmData.patient_number;
                    var hospital_id = fox.sessionStorage.get("tellerInfo").hospital_id;////////
                    if((hospital_id == 'xaxdermyy0051'  || hospital_id == 'xanxzyy0053')&& vmData.outpatient_code.length != 0 && vmData.outpatient_code.indexOf("=") == -1){
                        str = str+"="
                    }
                    var barcode = document.getElementById('barcode'),
                        // str = vmData.outpatient_code?vmData.outpatient_code:vmData.patient_number,
                        options = {
                            format: "CODE128",
                            displayValue: false,
                            fontSize: 18,
                            height: 100,
                            background:vmData.colorLight,//设置条形码的背景
                            lineColor:vmData.colorDark,//设置条和文本的颜色。
                        };
                    JsBarcode(barcode, str, options); //原生
                },
                myqrcode: function () {
                    var qrcode = new QRCode(document.getElementById("mybarcode"), {
                        width: 100,
                        height: 100,
                        colorLight:vmData.colorLight,//背景色 二维码
                        colorDark:vmData.colorDark//文本色 二维码
                    });
                    var str = vmData.outpatient_code? vmData.outpatient_code:hex_md5(vmData.patient_number);
                    var hospital_id = fox.sessionStorage.get("tellerInfo").hospital_id;////////
                    if((hospital_id == 'xaxdermyy0051'  || hospital_id == 'xanxzyy0053')&& vmData.outpatient_code.length != 0 && vmData.outpatient_code.indexOf("=") == -1){
                        str = str+"="
                    }
                    qrcode.makeCode(str);
                },
                //回退
                back:function(){
                    fox.router.remove();
                }
            },
            //加载后处理
            mounted:function(){
                // this.qrcode();
                // this.myqrcode();
                this.getCodestatus();
            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
