/**
 * Created by jiangcheng on 2018/03/06.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {

        //vue data
        var vmData={
            m_title:"",
            headImage:"resource/image/icons/logo.png",
            buttonicon:"resource/image/icons/dom.png",
            buttonleft:"resource/image/icons/left.png",

            star:"resource/image/icons/star.png",

            m_buttonitems:[
                {
                    id:"components",
                    text:"我的预约",
                    icon:"fox-icon fox-icon-list"
                }
                ,{
                    id:"devices",
                    text:"我的缴费",
                    icon:"fox-icon fox-icon-gear"
                }

            ],
            m_listitems:[
                {
                    id:"components",
                    text:"就诊人管理",
                    icon:"fox-icon fox-icon-list"
                }
                ,{
                    id:"devices",
                    text:"设置",
                    icon:"fox-icon fox-icon-gear"
                }

            ],
            hospital_Info:{
                hospital_address:"",
                hospital_intro:"",
                hospital_level:"",
                hospital_name:"",
                hospital_score:"",
                hospital_phone:"",
                hospital_type:"",
                hospital_imgurl:""
            }
        }

        //创建vue model
        var vm=new Vue({
            el:cite.el,
            //数据
            data:vmData,
            //方法
            methods:{
                //路由跳转
                tobutton:function(event){
                    var id=event.item.id;
                    if(id === undefined || id.length === 0){
                        return;
                    }
                    this.m_title=event.item.text;
                    fox.router.to(id,{},"_sub_rootDiv");
                },
                //回退
                back:function(){
                    fox.router.remove();
                }
            },
            //加载后处理
            mounted:function(){


                fox.service.request({
                    id:"getInfoByHospitalId",
                    name:"hospital/hospital/getInfoByHospitalId",
                    data:{
                        hospital_id:data
                    },
                    callback:function(code, message, data){
                        if (code == 0 || code == undefined) {
                            if (data.code == "0") {
                                // var  a =data.data[0].hospital_name;
                                vmData.hospital_Info=data.data;
                                document.getElementById("agreementCon").innerHTML =  vmData.hospital_Info.hospital_intro;
                            } else {
                            }
                        } else {
                            fox.layer.open("网络异常");
                        }

                    }
                })


            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
