/**
 * Created by  on 2019/05/28.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {

        let vmData={
            patientDailyList:[],
            cardNo:data.patientNumber,
            name:data.patient_name,
            ehealth_card_id:data.ehealth_card_id,
            
        };

        //创建vue model
        let vm=new Vue({
            el:cite.el,
            //数据
            data:vmData,
            //方法
            methods:{
                immurecordQuery: function () {
                    fox.service.request({
                        id:"immurecordQuery",
                        name:"customer/customer/immurecordQuery",
                        data:{
                            ehealth_card_id:vmData.ehealth_card_id,
                            cardNo: vmData.cardNo,
                            name:vmData.name
                        },
                        callback:function(code, message, data){
                            if (code == 0 || code == undefined) {
                                if (data.code == "0") {
                                   var list = JSON.parse(data.data);
                                    vmData.patientDailyList= list;
                                }else {
                                    fox.layer.open({
                                        content: data.msg
                                        , skin: 'msg'
                                        , anim: 'up'
                                        , time: 2 //2秒后自动关闭
                                    });
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })
                    
                },
                //回退
                back:function(){
                    fox.router.remove();
                },  
                //调整page size
                adjustPageSize: function adjustPageSize() {
                    //屏幕当前的高度
                    var oHeight = $.getClientHeight();
                    //设置page 高度
                    $(".fox-page > .fox-content").css("height", oHeight+"px");
                },
                
            },
            //加载后处理
            mounted:function(){

                this.immurecordQuery();

                //调整页面大小
                this.adjustPageSize();
               
            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {


    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
