/**
 * Created by hukun on 2019/05/28.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        let vmData={
            CheckFind:data.CheckFind,
            DiagnosticOpinion:data.DiagnosticOpinion,
            Suggest:data.Suggest,
            PositiveResults:data.PositiveResults,
            CriticalState:data.CriticalState,
            hospital_id:data.hospital_id,
            selectedpeople:"",
            CardTypeID:"",
            CardNo:"",
            selectedpeople_cardnum:"",
            peoplelist:[],
            recordlist:[],
            pid:"",
            patient_number:'',
            patient_name:'',

        };
        //创建vue model
        let vm=new Vue({
            el:cite.el,
            //数据
            data:vmData,
            //方法
            methods:{
                //回退
                back:function(){
                    fox.router.remove();
                },
                commit:function (){

                    fox.router.append("school_nucleicCheck", vmData);//跳转

                },
                onselectpl:function (evt) {
                    if (evt != undefined) {

                        var Data = {
                            value: evt.items[0].value,
                            text: evt.items[0].text,
                            patient_id: evt.items[0].patient_id,
                            pid: evt.items[0].pid,
                            xiabiao:evt.items[0].xiabiao,
                            CardNo:evt.items[0].CardNo,
                            patient_name:evt.items[0].patient_name,
                            patient_number:evt.items[0].patient_number
                        }
                        vmData.pid = Data.pid;
                        vmData.CardNo = Data.CardNo;
                        vmData.patient_name = Data.patient_name;
                        vmData.patient_number = Data.patient_number;
                        vmData.selectedpeople = Data;

                        // vm.querypayDetails();
                    } else {
                        vmData.recordlist = [];
                    }

                },
                updatePatientId:function(){

                    fox.service.request({
                        id: "getPatientInfo",
                        name: "service/theDayRegistered/getPatientInfo",
                        data: {
                            pid: vmData.selectedpeople.pid
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "0") {
                                    var item = {
                                        value:vmData.selectedpeople.value,
                                        text:vmData.selectedpeople.text,
                                        patient_id:data.result.PatientID,
                                        pid: vmData.selectedpeople.pid,
                                        xiabiao:vmData.selectedpeople.xiabiao,
                                        CardNo : data.result.CardNo
                                    };
                                    vmData.CardNo = data.result.CardNo;
                                    vmData.pid = vmData.selectedpeople.pid;
                                    vmData.peoplelist[vmData.selectedpeople.xiabiao]=item;
                                    vmData.selectedpeople=vmData.peoplelist[vmData.selectedpeople.xiabiao];
                                    vm.queryInpatientDepartment();

                                } else {
                                    fox.layer.open(data.msg);
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })
                },
                //
                queryInpatientDepartment: function () {

                    if (vmData.selectedpeople.patient_id == "" || vmData.selectedpeople.patient_id == undefined) {

                        vm.updatePatientId();
                    }else {

                        fox.service.request({
                            id: "queryInpatientDepartment",
                            name: "service/theDayRegistered/queryInpatientDepartment",
                            data: {
                                CardNo:vmData.CardNo,
                            },
                            callback: function (code, message, data) {
                                if (code == 0) {
                                    if (fox.type(data) == "object") {
                                        // data=JSON.stringify(data);
                                        if (data.code == '0') {
                                            var mydata = {
                                                res:data.result,
                                                pid:vmData.pid,
                                                CardNo:vmData.CardNo
                                            }
                                            fox.router.append('inpatientDetails', mydata);
                                        }else{
                                            fox.layer.open(data.msg);
                                        }
                                    }
                                } else {
                                    console.log('===========' + data.message);
                                }
                            }
                        })
                    }

                },
                initService:function () {

                    var loginUserInfo =fox.bus.get("loginUserInfo");
                    fox.service.request({
                        id: "getPactionListByHis",
                        name: "pation/pation/getPactionListByHis",
                        data: {
                            user_id: loginUserInfo.user_id,
                            hospital_id:vmData.hospital_id
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {


                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    var dataList = data.data;
                                    for (let i in dataList) {
                                        var myData = {
                                            value: dataList[i].patient_number,
                                            text: dataList[i].patient_name,
                                            patient_id: dataList[i].patient_id,
                                            pid: dataList[i].pid,
                                            xiabiao: i,
                                            CardNo: dataList[i].card_no,
                                            patient_name:dataList[i].patient_name,
                                            patient_number: dataList[i].patient_number,

                                        }
                                        vmData.peoplelist.push(myData);
                                    }
                                    if (vmData.peoplelist.length > 0) {
                                        vmData.selectedpeople= vmData.peoplelist[0];
                                        vmData.pid = vmData.peoplelist[0].pid;
                                        vmData.CardNo = vmData.peoplelist[0].CardNo;
                                        vmData.patient_name = vmData.peoplelist[0].patient_name;
                                        vmData.patient_number = vmData.peoplelist[0].patient_number;

                                        console.log("+vmData",vmData);

                                        // vm.queryInpatientDepartment();
                                    }
                                }

                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })
                },
            },
            //加载后处理
            mounted:function(){
                //初始化请求
                this.initService();
            }
        });
    };
});
