/**
 * Created by jiangcheng on 2018/03/06.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {

      //vue data
      var vmData={
          paymentType:0,//默认第一个
          buttonright:"resource/image/icons/right.png",
          list:[],
          hospital_id:data.hospitalinfo.hospital_id,
          hospital_name:data.hospitalinfo.hospital_name,
          user_name:data.user_name,
          IDCardNo:data.IDCardNo,
          telephone:data.telephone,
          hospitalinfo:data.hospitalinfo,
          selectedpeople:data.selectedpeople,
          Price:"",
          his_id:"",
          pid:data.selectedpeople.pid,//支付需要的参数
          chnlcode:'001',//app渠道
          checkedList:[],
          count:"",
          totalPrice:[],
          healthSeq:'',
          pa:"",

          //检查到有未支付的订单  
           //未支付订单的参数
           project_name:'',
           project_id:'',
           project_content:'',
           exec_dept:'',
           reg_tip:'',
           isFromCheckOrder:'',

      }

      //创建vue model
      var vm=new Vue({
          el:cite.el,
          //数据
          data:vmData,
          //方法
          methods:{

            tapIndex:function(i){
                vmData.Price = vmData.list[i].porject_amt;
                vmData.reg_tip = vmData.list[i].reg_tip;
            },

            //取消之前的单子
            cancleNucleicRecord:function(){
                let that = this;
                fox.service.request({
                    id:"cancleNucleicRecord",
                    name:"service/health/cancleNucleicRecord",
                    data:{
                        healthSeq:vmData.healthSeq,
                    },
                    callback:function(code, message, data){
                    if (code == 0 || code == undefined) {
                            if (data.code == "0") {                    
                    } else {
                    }
                    } else {
                            fox.layer.open("网络异常");
                    }
                  }

                })
            },

            checkOrderInfo:function (){

                let that = this;
                fox.service.request({
                    id:"checkOrderInfo",
                    name:"service/health/checkNucleicRecord",
                    data:{
                        pid:vmData.selectedpeople.pid,
                        project_id:vmData.list[vmData.paymentType].project_id,
                    },
                    callback:function(code, message, data){
                        if (code == 0 || code == undefined) {
                            if (data.code == "0") {
                                    fox.layer.open({
                                        content: "您有未支付的订单请选择继续是否继续支付？"
                                        , btn: ['重新开单', '去支付']
                                        , action: [
                                            function (index) {
                                             //取消
                                            fox.layer.close(index);
                                            vmData.isFromCheckOrder = '0';
                                            vmData.healthSeq = data.healthSeq;
                                            that.cancleNucleicRecord();//取消之前的单
                                            that.goPayment();  //重新开单   
     
                                     },
                                     function (index) {

                                        fox.layer.close(index);
                                        vmData.healthSeq = data.healthSeq;
                                        //未支付订单的参数
                                        vmData.project_name = data.oldData.project_name;
                                        vmData.project_id = data.oldData.project_id;
                                        // vmData.project_content = data.project_content;
                                        vmData.exec_dept = data.oldData.work_dept;
                                        vmData.reg_tip = data.projectData.reg_tip;
                                        vmData.Price = data.oldData.amt;
                                        vmData.his_id = data.oldData.his_id;
                                        vmData.isFromCheckOrder = '1';
                                        that.orderDetails(data);
                                     }
                                 ]
                             })                   
                    } else {
                        that.goPayment();     
                    }
                } else {
                            fox.layer.open("网络异常");
                  }
             }
                 })
            },


            goSaveProject:function(){
                fox.service.request({
                    id:"savePorject",
                    name:"service/health/savePorject",
                    data:{
                        project_id:vmData.list[vmData.paymentType].project_id,
                        hospital_id:vmData.hospital_id,
                        hospital_name:vmData.hospital_name,
                        work_dept:vmData.list[vmData.paymentType].exec_dept,
                        project_name:vmData.list[vmData.paymentType].project_name,
                        amt:vmData.list[vmData.paymentType].porject_amt,
                        chnlcode:vmData.chnlcode,
                        pat_name:vmData.user_name,
                        pat_num:vmData.IDCardNo,
                        pat_code:vmData.selectedpeople.patient_id,
                        phone:vmData.telephone,
                        pid:vmData.pid,
                        nucleic_flag:"0",
                        his_id:vmData.list[vmData.paymentType].his_id,
                    },
                    callback:function(code, message, data){
                        if (code == 0 || code == undefined) {
                            if (data.code == "0") {
                                vmData.healthSeq = data.healthSeq;
                                vm.orderDetails(data);
                            } else {
                                fox.layer.open(data.msg);
                            }
                        } else {
                            fox.layer.open("网络异常");
                        }
                    }
                })

            },

            goPayment:function(){
                let that = this;
                if (vmData.selectedpeople.patient_id == "" || vmData.selectedpeople.patient_id == undefined) {
                    fox.service.request({
                        id: "IdentityCheck",
                        name: "service/health/getPatientInfo",
                        data: {
                              pid:vmData.selectedpeople.pid,
                              hospital_id:vmData.hospital_id
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    vmData.selectedpeople.patient_id = data.result.PatientID;
                                    that.goSaveProject();
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                } else {
                    that.goSaveProject();
                }
          },

          orderDetails:function(data){
            vmData.List = [];
            vmData.List = data.data;
            vmData.checkedList = [];//置空 防止返回后，再提交，数据重复
            for (let index in vmData.List) {
               
                vmData.checkedList.push({
                    ActualMoney: vmData.List[index].ActualMoney,
                    BillDept: vmData.List[index].BillDept,
                    ReceiptNo: vmData.List[index].ReceiptNo,
                    ReceiptTime: vmData.List[index].ReceiptTime,
                    details: vmData.List[index].details,
                    ischecked: true
                });
            };
                vmData.count = vmData.checkedList.length;
                vmData.totalPrice = vm.sumPrice(vmData.checkedList);
                vm.payost();
          },

          //金额求和
          sumPrice: function (sumData) {
            var amount = 0;
            for (i = 0; i < sumData.length; i++) {
               var data = sumData[i];
                if (data.ischecked) {
                    amount += Math.floor(parseFloat(data.ActualMoney * 1000)) / 1000;
                }
            }
            return amount;
        },

        payost: function () {
            
            var reNo = "";
            //选中的单据
            var reqArray = [];
            //所有明细数组
            var detailArray = [];
            //拼接上送单号
            for (let index in vmData.checkedList) {
                if (vmData.checkedList[index].ischecked) {
                    reNo += vmData.checkedList[index].ReceiptNo + ",";
                    reqArray.push(vmData.checkedList[index]);
                    for (let i in vmData.checkedList[index].details) {
                        detailArray.push(vmData.checkedList[index].details[i]);
                    }
                }
            }
            //去掉","
            if (reNo.length > 0) {
                reNo = reNo.substr(0, reNo.length - 1);
            }
            var  item = reqArray[0];
            console.log("===========reNo=============" + reNo);
            console.log("===========reNo=============" + JSON.stringify(item));
            console.log("===========detailArray=============" + JSON.stringify(detailArray));
            var pa = {
                "allDetail": detailArray,
                "totalPrice": vmData.totalPrice,
                "reNo": reNo,
                "item": item,
                "ReceiptNo": item,
                "PatientID": vmData.selectedpeople.patient_id,
                "pid": vmData.selectedpeople.pid,
                "patient_name": vmData.selectedpeople.text,
                "ExecDept": item.details[0].ExecDept,
                "ExecDepPosition": item.details[0].ExecDepPosition,
                "healthSeq":vmData.healthSeq
            }
            vmData.pa = pa;

            if(vmData.isFromCheckOrder ==='1'){
                fox.router.append("nucleicCheckAppoint3", vmData);
            }else {
                fox.router.append("nucleicCheckAppoint2", vmData);
            }

        },
              //回退
              back:function(){
                  fox.router.remove();
              },
               //体检套餐查询
               queryPorjectList:function(){
                fox.service.request({
                    id:"queryPorjectList",
                    name:"service/health/queryPorjectList",
                    data:{
                        hospitalId:vmData.hospital_id,
                        nucleic_flag:"0",
                    },
                    callback:function(code, message, data){
                        if (code == 0 || code == undefined) {
                            // data=JSON.stringify(data);
                            if (data.code == "0") {
                                vmData.list = data.data;
                                vmData.Price = vmData.list[0].porject_amt;
                                vmData.reg_tip = vmData.list[0].reg_tip;

                            } else {
                                fox.layer.open(data.msg);
                            }
                        } else {
                            fox.layer.open("网络异常");
                        }
                    }
                })
            },
                   //调整page size
                   adjustPageSize: function () {
                    //屏幕当前的高度
                    var oHeight = $.getClientHeight();
                    //设置page 高度
                    $(".fox-page > .fox-content").css("height", oHeight + "px");
                }

        },
          //加载后处理
          mounted:function(){
              this.queryPorjectList();
              this.adjustPageSize();
              vmData.Price = vmData.list[vmData.paymentType].porject_amt;
              vmData.reg_tip = vmData.list[vmData.paymentType].reg_tip;

          }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
