/**
 * Created by jiangcheng on 2018/03/06.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {

      //vue data
      var vmData={
          buttonright:"resource/image/icons/right.png",
          list:[],
          hospital_id:data.hospital_id,
          hospital_name:data.hospital_name,
      }

      //创建vue model
      var vm=new Vue({
          el:cite.el,
          //数据
          data:vmData,
          //方法
          methods:{
              //回退
              back:function(){
                  fox.router.remove();
              },
               //体检套餐查询
               queryPorjectList:function(){
                fox.service.request({
                    id:"queryPorjectList",
                    name:"service/health/queryPorjectList",
                    data:{
                        hospitalId:vmData.hospital_id,
                    },
                    callback:function(code, message, data){
                        if (code == 0 || code == undefined) {
                            // data=JSON.stringify(data);
                            if (data.code == "0") {
                                console.log("data---"+data);
                                vmData.list = data.data;
                            } else {
                                fox.layer.open(data.msg);
                            }
                        } else {
                            fox.layer.open("网络异常");
                        }
                    }
                })
            },
                didSelectCell:function (index) {
                    var detailData = vmData.list[index];
                    detailData.hospital_id = vmData.hospital_id;
                    detailData.hospital_name = vmData.hospital_name;
                    fox.router.append('physicalAppoint2', detailData);
            }
        },
          //加载后处理
          mounted:function(){
              
              this.queryPorjectList();
          }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
