/**
 * Created by jiangcheng on 2018/03/06.
 */
define(function (require, exports) {
    let myTimer;
    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        var loginInfo = fox.bus.get("loginUserInfo");
        var phone = fox.bus.get("loginPhoneNum");
        var hospitalData = fox.bus.get("HomehospitalData");
        var vmData = {
            Registrationrecord: [],
            user_id: loginInfo == undefined ? "" : loginInfo.user_id,
            interface_type: data == undefined ? "" : data.interface_type,
           // hospital_id: data == undefined ? "" : data.hospital_id,
            hospital_id: hospitalData.hospital_id,
            hospital_name:hospitalData.hospital_name,
            user_phone: phone,
            m_select_items: [],
            patient: "",
            outpatient_code:"",
            card_no:'',
            patient_number:"",
            pid: "",
            // start_a: 0,//起始页数
            // end_n: 5,//条数
            falg: true,
            scrollTop: 0,
            currentDay:"",
            hospital_imgurl:hospitalData.hospital_imgurl
        }
        //监听渲染金额分转元
        Vue.filter('amount', function (item) {
//     var number = +val.replace(/[^\d.]/g, '');
            return isNaN(item) ? 0.00 : parseFloat((item / 100)).toFixed(2);
        });
        //创建vue model
        var vm = new Vue({
            el: cite.el,
            data: vmData,
            //方法
            destroyed: function () {
                // window.removeEventListener('scroll', this.myhandleScroll)
            },
            methods: {
                //取消挂号
                cancelRegistrat: function (index) {
                    let that = this;
                    //询问框
                    fox.layer.open({
                        content: '是否取消当前挂号？'
                        , btn: ['取消', '确定']
                        , action: [
                            function (index1) {
                                //取消
                                fox.layer.close(index1);
                            },
                            function (index1) {
                                //确定
                                fox.layer.close(index1);
                                var Day = vmData.Registrationrecord[index].day.substring(0, 10);
                                Day = Day.replace(/-/g, "");
                                if(vmData.currentDay){

                                }else{
                                    var date = new Date();
                                    var year = date.getFullYear();
                                    var month = date.getMonth() + 1;
                                    var strDate = date.getDate();
                                    if (month >= 1 && month <= 9) {
                                        month = "0" + month;
                                    }
                                    if (strDate >= 0 && strDate <= 9) {
                                        strDate = "0" + strDate;
                                    }
                                    vmData.currentDay = year + ""+ month + "" + strDate;
                                }
                                var currentdate = vmData.currentDay;
                                var starDay = parseFloat(Day);
                                var endDay = parseFloat(currentdate);
                                if (starDay > endDay || (vmData.hospital_id !="hnkjdxdy0013" && vmData.hospital_id !="hnkjdxdy0006")) {
                                    fox.service.request({
                                        id: "Canceltheregistration",
                                        name: "service/theDayRegistered/Canceltheregistration",
                                        data: {
                                            PatientID: vmData.Registrationrecord[index].patient_id,
                                            RegisterNo: vmData.Registrationrecord[index].hisrowid,
                                            SerNo: vmData.Registrationrecord[index].workseqno,
                                            smsCodeType: "1",
                                            phone: phone,
                                            patName: vmData.Ofpatient,
                                            registerInfo: vmData.Registrationrecord[index].hospitalname + "-" + vmData.Registrationrecord[index].dep_name + "-" + vmData.Registrationrecord[index].mark_desc,
                                            smsType: "003",
                                            chnlcode: "001",
                                            corpcode: vmData.Registrationrecord[index].corpcode,
                                            paytype: vmData.Registrationrecord[index].paytype
                                            // idBack:vm.idBack.image,
                                        },
                                        callback: function (code, message, data) {
                                            if (code == 0 || code == undefined) {
                                                if (data.code == "200000") {
                                                    fox.layer.open(data.msg);
                                                } else {
                                                    // fox.layer.open("你已取消挂号成功,费用预计2-3个工作日将退回原支付账户中!");
                                                    // vmData.Registrationrecord = data.list;
                                                    var corpcode = vmData.Registrationrecord[index].corpcode;
                                                    var out_request_no = data.out_request_no;
                                                    if (corpcode == "01") {
                                                        that.WXgetOrderRefund(index, out_request_no);
                                                    } else if (corpcode == "02") {
                                                        that.ZFBgetOrderRefund(index, out_request_no);
                                                    } else if(corpcode == "04"){
                                                        that.CMBgetOrderRefund(index, out_request_no);
                                                    }

                                                }
                                            } else {
                                                fox.layer.open("网络异常");
                                            }
                                        }
                                    });
                                } else {
                                    fox.layer.open("当天日期或已过期日期内不允许取消挂号");
                                }

                            }
                        ]
                    });

                },
                //异常直接退款
                cancelArefund: function (index) {
                    let that = this;
                    var corpcode = vmData.Registrationrecord[index].corpcode;
                    var out_request_no = vmData.Registrationrecord[index].workseqno;
                    if (corpcode == "01") {
                        that.WXYCgetOrderRefund(index, out_request_no);
                    } else if (corpcode == "02") {
                        that.ZFBYCgetOrderRefund(index, out_request_no);
                    }else if (corpcode == "04") {
                        that.CMPYCgetOrderRefund(index, out_request_no);
                    }
                },
                //更新退款状态
                updateArefundStatus: function (index) {
                    let that = this;
                    fox.service.request({
                        id: "updateArefundStatus",
                        name: "service/theDayRegistered/updateArefundStatus",
                        data: {
                            workseqno: vmData.Registrationrecord[index].workseqno,
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                } else {
                                    var PatientID = vmData.PatientID;
                                    var CardNo = vmData.CardNo;
                                    // window.removeEventListener('scroll', this.myhandleScroll,true);
                                    // window.addEventListener('scroll', this.myhandleScroll, true);
                                    // vmData.falg = true;
                                    // vmData.start_a = 0;
                                    // vmData.end_n = 5;
                                    vmData.Registrationrecord = [];
                                    that.getRegistrationrecord(PatientID, CardNo);
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },
                // 一网通退款
                CMBgetOrderRefund: function (index, out_request_no) {
                    //hospital_id=lysdyzyy0001&out_trade_no=201906211649467722310219&refund_amount=0.01
                    let that = this;
                    fox.service.request({
                        id: "rmRegisterRefund",
                        name: "commonpay/commonpay/rmRegisterRefund",
                        data: {
                            out_request_no: out_request_no,
                            corpcode: "04"
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    fox.layer.open({
                                        content: "取消挂号成功,费用预计2-3个工作日将退回原支付账户中!"
                                        , skin: 'msg'
                                        , anim: 'up'
                                        , time: 2 //2秒后自动关闭
                                    });
                                    var PatientID = vmData.PatientID;
                                    var CardNo = vmData.CardNo;
                                    // window.removeEventListener('scroll', this.myhandleScroll,true);
                                    // window.addEventListener('scroll', this.myhandleScroll, true);
                                    vmData.falg = true;
                                    // vmData.start_a = 0;
                                    // vmData.end_n = 5;
                                    vmData.Registrationrecord = [];
                                    that.getRegistrationrecord(PatientID, CardNo);
                                    // that.updateArefundStatus(index);
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },
                // 退款
                ZFBgetOrderRefund: function (index, out_request_no) {
                    //hospital_id=lysdyzyy0001&out_trade_no=201906211649467722310219&refund_amount=0.01
                    let that = this;
                    fox.service.request({
                        id: "rmRegisterRefund",
                        name: "commonpay/commonpay/rmRegisterRefund",
                        data: {
                            out_request_no: out_request_no,
                            corpcode: "02"
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    fox.layer.open({
                                        content: "取消挂号成功,费用预计2-3个工作日将退回原支付账户中!"
                                        , skin: 'msg'
                                        , anim: 'up'
                                        , time: 2 //2秒后自动关闭
                                    });
                                    var PatientID = vmData.PatientID;
                                    var CardNo = vmData.CardNo;
                                    // window.removeEventListener('scroll', this.myhandleScroll,true);
                                    // window.addEventListener('scroll', this.myhandleScroll, true);
                                    vmData.falg = true;
                                    // vmData.start_a = 0;
                                    // vmData.end_n = 5;
                                    vmData.Registrationrecord = [];
                                    that.getRegistrationrecord(PatientID, CardNo);
                                    // that.updateArefundStatus(index);
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },
                // 退款
                WXgetOrderRefund: function (index, out_request_no) {
                    //hospital_id=lysdyzyy0001&out_trade_no=201906211649467722310219&refund_amount=0.01
                    let that = this;
                    fox.service.request({
                        id: "rmRegisterRefund",
                        name: "commonpay/commonpay/rmRegisterRefund",
                        data: {
                            out_request_no: out_request_no,
                            corpcode: "01",
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    // fox.layer.open("你已取消挂号成功,费用预计2-3个工作日将退回原支付账户中!");
                                    // var PatientID = vmData.PatientID;
                                    // var CardNo = vmData.CardNo;
                                    // vmData.start_a = 0;
                                    // vmData.end_n = 5;
                                    // vmData.Registrationrecord = [];
                                    var refund_no = data.refund_no;
                                    that.WXqueryOrderRefundStatus(index, refund_no);
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },
                // 退款
                ZFBYCgetOrderRefund: function (index, outtradeno) {
                    //hospital_id=lysdyzyy0001&out_trade_no=201906211649467722310219&refund_amount=0.01
                    parseFloat((vmData.Registrationrecord[index].price / 100)).toFixed(2)
                    let that = this;
                    fox.service.request({
                        id: "getOrderRefund",
                        name: "alipay/alipay/getOrderRefund",
                        data: {
                            hospital_id: vmData.Registrationrecord[index].hospitalid,
                            out_trade_no: outtradeno,
                            refund_amount: parseFloat((vmData.Registrationrecord[index].price / 100)).toFixed(2),
                            chnlcode: "001"
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    fox.layer.open({
                                        content: "取消挂号成功,费用预计2-3个工作日将退回原支付账户中!"
                                        , skin: 'msg'
                                        , anim: 'up'
                                        , time: 2 //2秒后自动关闭
                                    });
                                    var PatientID = vmData.PatientID;
                                    var CardNo = vmData.CardNo;
                                    // window.removeEventListener('scroll', this.myhandleScroll,true);
                                    // window.addEventListener('scroll', this.myhandleScroll, true);
                                    // vmData.falg = true;
                                    // vmData.start_a = 0;
                                    // vmData.end_n = 5;
                                    vmData.Registrationrecord = [];
                                    that.getRegistrationrecord(PatientID, CardNo);
                                    // that.updateArefundStatus(index);
                                }
                            } else {
                                fox.layer.open("退款异常请去首页查询挂号记录查看退款结果");
                            }
                        }
                    });
                },
                // 退款
                WXYCgetOrderRefund: function (index, outtradeno) {
                    //hospital_id=lysdyzyy0001&out_trade_no=201906211649467722310219&refund_amount=0.01
                    let that = this;
                    fox.service.request({
                        id: "orderRefund",
                        name: "wxpay/wxpay/orderRefund",
                        data: {
                            hospital_id: vmData.Registrationrecord[index].hospitalid,
                            out_trade_no: outtradeno,
                            refund_amount: parseFloat((vmData.Registrationrecord[index].price / 100)).toFixed(2),
                            chnlcode: "001"
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open({
                                        content: data.msg
                                        , skin: 'msg'
                                        , anim: 'up'
                                        , time: 2 //2秒后自动关闭
                                    });
                                } else {
                                    var refund_no = data.refund_no;
                                    that.WXqueryOrderRefundStatus(index, refund_no);
                                }
                            } else {
                                fox.layer.open("退款异常请去首页查询挂号记录查看退款结果");
                            }
                        }
                    });
                },
                // 一网通退款
                CMPYCgetOrderRefund: function (index, outtradeno) {
                    //hospital_id=lysdyzyy0001&out_trade_no=201906211649467722310219&refund_amount=0.01
                    let that = this;
                    fox.service.request({
                        id: "orderRefund",
                        name: "netcompay/netcompay/orderRefund",
                        data: {
                            hospital_id: vmData.Registrationrecord[index].hospitalid,
                            out_trade_no: outtradeno,
                            refund_amount: parseFloat((vmData.Registrationrecord[index].price / 100)).toFixed(2),
                            chnlcode: "001"
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open({
                                        content: data.msg
                                        , skin: 'msg'
                                        , anim: 'up'
                                        , time: 2 //2秒后自动关闭
                                    });
                                } else {
                                    var refund_no = data.refund_no;
                                    that.CMBqueryOrderRefundStatus(index, refund_no);
                                }
                            } else {
                                fox.layer.open("退款异常请去首页查询挂号记录查看退款结果");
                            }
                        }
                    });
                },
                //微信退款异步通知查询
                WXqueryOrderRefundStatus: function (index, outtradeno) {
                    let _this = this;
                    fox.service.request({
                        id: "refundquery",
                        name: "wxpay/wxpay/refundquery",
                        data: {
                            out_trade_no: outtradeno,
                            chnlcode: "001",
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "0") {
                                    fox.layer.open({
                                        content: "取消挂号成功,费用预计2-3个工作日将退回原支付账户中!"
                                        , skin: 'msg'
                                        , anim: 'up'
                                        , time: 2 //2秒后自动关闭
                                    });
                                    var PatientID = vmData.PatientID;
                                    var CardNo = vmData.CardNo;
                                    // window.removeEventListener('scroll', this.myhandleScroll,true);
                                    // window.addEventListener('scroll', this.myhandleScroll, true);
                                    vmData.falg = true;
                                    // vmData.start_a = 0;
                                    // vmData.end_n = 5;
                                    vmData.Registrationrecord = [];
                                    _this.getRegistrationrecord(PatientID, CardNo);
                                    // _this.updateArefundStatus(index);
                                } else {
                                    fox.layer.open(data.msg);
                                }
                            }
                        }
                    })
                },
                //一网通退款异步通知查询
                CMBqueryOrderRefundStatus: function (index, outtradeno) {
                    let _this = this;
                    fox.service.request({
                        id: "refundquery",
                        name: "netcompay/netcompay/refundquery",
                        data: {
                            out_trade_no: outtradeno,
                            chnlcode: "001",
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "0") {
                                    fox.layer.open({
                                        content: "取消挂号成功,费用预计2-3个工作日将退回原支付账户中!"
                                        , skin: 'msg'
                                        , anim: 'up'
                                        , time: 2 //2秒后自动关闭
                                    });
                                    var PatientID = vmData.PatientID;
                                    var CardNo = vmData.CardNo;
                                    // window.removeEventListener('scroll', this.myhandleScroll,true);
                                    // window.addEventListener('scroll', this.myhandleScroll, true);
                                    vmData.falg = true;
                                    // vmData.start_a = 0;
                                    // vmData.end_n = 5;
                                    vmData.Registrationrecord = [];
                                    _this.getRegistrationrecord(PatientID, CardNo);
                                    // _this.updateArefundStatus(index);
                                } else {
                                    fox.layer.open(data.msg);
                                }
                            }
                        }
                    })
                },
                //查询该账户下面得所有挂号记录
                getRegistrationrecord: function (PatientID, CardNo) {
                    fox.service.request({
                        id: "registered",
                        name: "service/theDayRegistered/registered",
                        data: {
                            user_id: vmData.user_id,
                            PatientID: PatientID,
                            CardNo: CardNo,
                            pid: vmData.pid,
                            // start_a: vmData.start_a,
                            // end_n: vmData.end_n
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    vmData.currentDay = data.currentDay;
                                    if (data.list.length >0) {
                                        // vmData.start_a = vmData.start_a + 5;
                                        var mylist = data.list
                                        vmData.Registrationrecord = vmData.Registrationrecord.concat(mylist);
                                        vmData.falg = true;
                                    // } else if (data.list.length > 0 && data.list.length < 5) {
                                    //     var mylist = data.list
                                    //     vmData.Registrationrecord = vmData.Registrationrecord.concat(mylist);
                                    //     vmData.falg = false;
                                        // window.removeEventListener('scroll', this.myhandleScroll,true)
                                    } else {
                                        if(vmData.Registrationrecord.length==0){
                                            fox.layer.open("该用户没有挂号记录");
                                        }
                                        vmData.falg = false;
                                        // window.removeEventListener('scroll', this.myhandleScroll,true)
                                    }
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },
                //查询就诊人
                queryOfpatient: function () {
                    let that = this;
                    fox.service.request({
                        id: "getPactionListByHis",
                        name: "pation/pation/getPactionListByHis",
                        data: {
                            user_phone: vmData.user_phone,
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    var dataList = data.data;
                                    for (let i in dataList) {
                                        var myData = {
                                            value: dataList[i].patient_number,
                                            text: dataList[i].patient_name,
                                            patient_id: dataList[i].patient_id,
                                            pid: dataList[i].pid,
                                            CardNo: dataList[i].card_no,
                                            outpatient_code:dataList[i].outpatient_code,
                                            card_no:dataList[i].card_no,
                                            patient_number: dataList[i].patient_number,
                                        }
                                        vmData.m_select_items.push(myData);
                                    }
                                    if (vmData.m_select_items.length > 0) {
                                        vmData.patient = vmData.m_select_items[0];
                                        vmData.Ofpatient = vmData.m_select_items[0].text;
                                        vmData.IDCardNo = vmData.m_select_items[0].value;
                                        vmData.PatientID = vmData.m_select_items[0].patient_id;
                                        vmData.pid = vmData.m_select_items[0].pid;
                                        vmData.CardNo = vmData.m_select_items[0].CardNo;
                                        vmData.outpatient_code=vmData.m_select_items[0].outpatient_code;
                                        vmData.card_no=vmData.m_select_items[0].card_no;

                                        vmData.patient_number = vmData.m_select_items[0].patient_number;
                                        if (vmData.PatientID == "" || vmData.PatientID == undefined) {
                                            that.getPatientInfo();
                                        } else {
                                            that.getRegistrationrecord(vmData.PatientID, vmData.CardNo);
                                        }
                                    }

                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },
            appendTo:  function(){

                if(vmData.hospital_id ==='hnkjdxdy0006'||vmData.hospital_id ==='hnkjdxdy0013'){
                       
                        if(vmData.card_no !== "" && vmData.card_no !== undefined){

                        var qrcode = {

                            outpatient_code:vmData.card_no,
                            user_name:vmData.Ofpatient,
                            hospital_name:vmData.hospital_name,
                            patient_number:vmData.patient_number
                        }

                        fox.router.append("hisqrCode",qrcode);
                    }
                 }else {

                    if (vmData.outpatient_code !== "" && vmData.outpatient_code !== undefined) {

                        var qrcode = {
                            outpatient_code: vmData.outpatient_code,
                            user_name: vmData.Ofpatient,
                            hospital_name: vmData.hospital_name,
                            patient_number: vmData.patient_number
                        }
                        fox.router.append("hisqrCode", qrcode);

                    }
                }
                },

                //查询就诊人ID
                getPatientInfo: function () {
                    let _this = this;
                    fox.service.request({
                        id: "IdentityCheck",
                        name: "service/theDayRegistered/getPatientInfo",
                        data: {
                            pid: vmData.pid
                            // idBack:vm.idBack.image,
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    vmData.PatientID = data.result.PatientID;
                                    vmData.CardNo = data.result.CardNo;
                                    _this.getRegistrationrecord(vmData.PatientID, vmData.CardNo);
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },
                //选择就诊人
                select: function (evt) {//底部弹出下拉框-预留
                    // window.removeEventListener('scroll', this.myhandleScroll,true);
                    // window.addEventListener('scroll', this.myhandleScroll, true);
                    vmData.falg = true;
                    let _this = this;
                    if (evt != undefined) {
                        vmData.Ofpatient = evt.items[0].text;
                        vmData.IDCardNo = evt.items[0].value;
                        vmData.PatientID = evt.items[0].patient_id;
                        vmData.CardNo = evt.items[0].CardNo;
                        vmData.card_no = evt.items[0].card_no;
                        vmData.pid = evt.items[0].pid;
                        vmData.outpatient_code=evt.items[0].outpatient_code;
                        var PatientID = vmData.PatientID;
                        var CardNo = vmData.CardNo;
                        // vmData.start_a = 0;
                        // vmData.end_n = 5;
                        vmData.falg = true;
                        vmData.Registrationrecord = [];
                        if (PatientID == "" || PatientID == undefined) {
                            _this.getPatientInfo();
                        } else {
                            _this.getRegistrationrecord(PatientID, CardNo);
                        }
                    } else {
                        vmData.Registrationrecord = [];
                    }


                },
                myhandleScroll: function () {
                    let that = this;
                    var overflowObj = document.getElementById("mysearchBar");
                    vmData.scrollTop = overflowObj.scrollTop || overflowObj.scrollTop;//滚动条滑动位置高度
                    // console.log(overflowObj.offsetHeight);
                    // var scrollTop = window.pageYOffset || document.documentElement.scrollTop || document.body.scrollTop;
                    var offsetHeight = overflowObj.offsetHeight;//div高度
                    var innerHeight = window.innerHeight;//页面高度
                    if (vmData.scrollTop + offsetHeight >= innerHeight) {
                        if (vmData.falg === true) {
                            vmData.falg = false;
                            vmData.scrollTop = 0;
                            that.getRegistrationrecord(vmData.PatientID, vmData.CardNo);
                        } else {
                            return;
                        }

                    }
                    // if (scrollTop > offsetTop) {
                    //     that.searchBarFixed = true
                    // } else {
                    //     that.searchBarFixed = false
                    //     //
                    // }
                },

                //回退
                back: function () {
                    fox.router.remove();
                    // window.removeEventListener('scroll', this.myhandleScroll,true)
                }
            },
            //加载后处理
            mounted: function () {
                this.queryOfpatient();
                // window.addEventListener('scroll', this.myhandleScroll,true);

            },
            destroyed: function () {
                // window.removeEventListener('scroll', this.myhandleScroll,true)
            },
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
