define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {
        //vue data
        var vmData={
            departmentList:[{department:"全部"}],
            departmentTypeList:[],
            activeClass:0,
            hospital_name:data.hospital_name,
            hospital_id:data.hospital_id,
            nucleicTest:data
        }

        //创建vue model
        let vm=new Vue({
            el:cite.el,
            //数据
            data:vmData,
            // computed:{
            //     active:function () {
            //         return {
            //             departmentList:[{department:"神经内科"},{department:"心血管内科"},{department:"呼吸内科"},{department:"消化内科"}],
            //             ind:''
            //         }
            //     }
            //
            // },

            //方法
            methods:{
                //动态切换选中颜色样式
                selectDepartment: function (index) {
                    this.activeClass = index;
                },
                //选择科室
                selectDepartmentType: function (index) {
                    var mydata = {
                        hospital_name:vmData.hospital_name,
                        hospital_id:vmData.hospital_id
                    }
                    fox.bus.put("hospitalData",mydata);
                    var departmentData = vmData.departmentTypeList[index];
                        departmentData.nucleicTest = vmData.nucleicTest;
                    fox.router.append("departmentDetail",departmentData);
                },
                getDepartment:function () {
                    var mydate= new Date();
                    fox.service.request({
                        id: "queryDepartment",
                        name: "service/theDayRegistered/queryDepartment",
                        data: {
                            RegType:"1",
                            RigsterType:"",
                            hospital_id:vmData.hospital_id,
                            nucleicTest:vmData.nucleicTest
                        },
                        callback: function (code, message, data) {
                            if (code == 0 || code == undefined) {
                                if (data.code == "200000") {
                                    fox.layer.open(data.msg);
                                } else {
                                    vmData.departmentTypeList = data.result;
                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    });
                },

                //回退
                back: function () {
                    fox.router.remove();
                },
                //调整page size
                adjustPageSize: function () {
                    //屏幕当前的高度
                    var oHeight = $.getClientHeight();
                    //设置page 高度
                    $(".fox-page > .fox-content").css("height", oHeight + "px");
                }
            },
            //加载后处理
            mounted:function(){
                this.adjustPageSize();
                this.getDepartment();
                // fox.localStorage.remove("_global_loginInfo");
                $('.fox-switch').switch();

                $(this.$refs.phoneSwitch).on('toggle',(event)=>{
                    this.remPhone = event.detail.isActive
                });

                $(this.$refs.userSwitch).on('toggle',(event)=>{
                    this.remUser = event.detail.isActive
                });

            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
