/**
 * Created by hukun on 2019/05/28.
 */
define(function (require, exports) {
    var clear_time;
    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {

        var loginUserInfo222 = fox.bus.get("loginUserInfo");
        let vmData = {
            name: "",
            cardId: "",
            password: "",
            isRealName: loginUserInfo222.is_realname
        };

        //创建vue model
        let vm = new Vue({
            el: cite.el,
            //数据
            data: vmData,
            //方法
            methods: {
                encrypt: function (word) {
                    var key = CryptoJS.enc.Utf8.parse("yxfoxzsyc");
                    var srcs = CryptoJS.enc.Utf8.parse(word);
                    var encrypted = CryptoJS.AES.encrypt(srcs, key, {
                        mode: CryptoJS.mode.ECB,
                        padding: CryptoJS.pad.Pkcs7
                    });
                    return encrypted.toString();
                },
                //回退
                back: function () {
                    clearTimeout(clear_time);
                    fox.router.remove();
                },
                //调整page size
                adjustPageSize: function adjustPageSize() {
                    //屏幕当前的高度
                    var oHeight = $.getClientHeight();
                    //设置page 高度
                    $(".fox-page > .fox-content").css("height", oHeight + "px");
                },
                disAccount: function () {
                    let _this = this;
                    fox.layer.open({
                        content: '销户同时也会注销公众号用户信息,确定销户吗？'
                        , btn: ['取消', '确定']
                        , action: [
                            function (index) {
                                //取消
                                fox.layer.close(index);
                            },
                            function (index) {
                                if (vmData.isRealName === "1") {
                                    if (!vmData.name) {
                                        fox.layer.open({
                                            content: '请输入姓名'
                                            , skin: 'msg'
                                            , anim: 'up'
                                            , time: 2 //2秒后自动关闭
                                        });
                                        return;
                                    }
                                    var idcardReg = /^[1-9]\d{7}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}$|^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}[0-9Xx]$/;

                                    if (!idcardReg.test(vmData.cardId)) {
                                        fox.layer.open({
                                            content: '请输入正确格式的身份证号码'
                                            , skin: 'msg'
                                            , anim: 'up'
                                            , time: 2 //2秒后自动关闭
                                        });
                                        return;
                                    }
                                }
                                if (!vmData.password) {
                                    fox.layer.open({
                                        content: '请输入您的密码'
                                        , skin: 'msg'
                                        , anim: 'up'
                                        , time: 2 //2秒后自动关闭
                                    });
                                    return;
                                }

                                fox.service.request({
                                    id: "close",
                                    name: "customer/customer/close",
                                    data: {
                                        name: vmData.name,
                                        card_number: vmData.cardId,
                                        password: _this.encrypt(vmData.password)
                                    },
                                    callback: function (code, message, data) {
                                        if (code == 0 || code == undefined) {
                                            // data=JSON.stringify(data);
                                            if (data.code == "0") {
                                                // setTimeout(()=>{
                                                //清空手势登录
                                                fox.custom.clearGestureData();
                                                //修复ios返回页面光标消失缓慢
                                                var inputs = $('input');
                                                inputs.each(function (i, input) {
                                                    input.blur();
                                                });
                                                fox.localStorage.put("firstLogin","0");
                                                //物理返回键跳转异常修复
                                                fox.router.remove({all:true});
                                                fox.router.to("school_login", {}, undefined, {"updatePolicy": 0})
                                                // },3000)

                                            } else {

                                                fox.layer.open({
                                                    content: data.msg
                                                    , skin: 'msg'
                                                    , anim: 'up'
                                                    , time: 2 //2秒后自动关闭
                                                });
                                            }
                                        } else {
                                            fox.layer.open("网络异常");
                                        }

                                    }
                                })
                            }
                        ]
                    })

                },
            },
            //加载后处理
            mounted: function () {
                //调整页面大小
                this.adjustPageSize();
                var inputs = $('.fox-input-row input');
                clear_time = setTimeout(function () {
                    inputs.each(function (i, input) {
                        if (i == 0) {
                            input.focus();
                        }
                        // console.log("============" + i);
                        input.style.pointerEvents = "auto";
                    });
                }, 400);

            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {

    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {
        clearTimeout(clear_time);
        //修复ios返回页面光标消失缓慢
        var inputs = $('input');
        inputs.each(function (i, input) {
            input.blur();
        });
    }
});
