/**
 * Created by  on 2019/05/28.
 */
define(function (require, exports) {

    //page加载完成后调用ready方法
    exports.ready = function (code, data, cite) {

        let vmData={
            list:[],
            m_listData:[],
            user_phone:"",
            requestTime:0
        };

        //创建vue model
        let vm=new Vue({
            el:cite.el,
            //数据
            data:vmData,
            //方法
            methods:{
                getOfpatient: function () {
                    let that = this;
                    var loginUserInfo =fox.bus.get("loginUserInfo");
                    fox.service.request({
                        id:"getPactionList",
                        name:"pation/pation/getPactionList",
                        data:{
                            user_id: loginUserInfo.user_id
                        },
                        callback:function(code, message, data){
                            if (code == 0 || code == undefined) {
                                if (data.code == "0") {
                                    vmData.list = [];
                                    for (let i in data.rsa) {
                                        var myData = {
                                            age: data.rsa[i].age,
                                            birthday: data.rsa[i].birthday,
                                            create_time: data.rsa[i].create_time,
                                            patient_name: data.rsa[i].patient_name,
                                            patient_number: that.handle(data.rsa[i].patient_number),
                                            pid: data.rsa[i].pid,
                                            prove_flag: data.rsa[i].prove_flag,
                                            relationship: data.rsa[i].relationship,
                                            sex: data.rsa[i].sex,
                                            status: data.rsa[i].status,
                                            update_time: data.rsa[i].update_time,
                                            user_id: data.rsa[i].user_id,
                                            user_phone: data.rsa[i].user_phone,
                                        }
                                        vmData.list.push(myData);
                                    }
                                    if(vmData.list.length<4){
                                        document.getElementsByClassName("bottom-btn")[0].style.paddingTop="12rem";
                                    }
                                    vmData.m_listData=vmData.list;
                                }else if (data.code == "200000") {
                                    //实名认证
                                    //询问框
                                    fox.layer.open({
                                        content: "请先实名认证"
                                        ,btn: ['确认','取消']
                                        ,yes: function(index){
                                            fox.router.append('school_realName_auth');
                                        }
                                    });

                                }
                            } else {
                                fox.layer.open("网络异常");
                            }
                        }
                    })
                },
                //回退
                back:function(){
                    fox.eventproxy.trigger("refresh_data2","");
                    fox.router.remove();
                },
                //路由跳转
                //路由跳转
                to:function(id, personid){
                    vmData.requestTime = 0;
                    fox.router.append(id,personid);
                },
                //调整page size
                adjustPageSize: function adjustPageSize() {
                    //屏幕当前的高度
                    var oHeight = $.getClientHeight();
                    //设置page 高度
                    $(".fox-page > .fox-content").css("height", oHeight+"px");
                },
                handle:function(idStr){

                    if (!idStr){
                        return '';
                    }
                    idStr = idStr.slice(0, 6) + '*********' + idStr.slice(-4);
                    return idStr;
                },

            },
            //加载后处理
            mounted:function(){
                this.getOfpatient();
                vmData.requestTime = 1;
                //调整页面大小
                this.adjustPageSize();
                $('.fox-input-row input').input();

                this.ep=fox.eventproxy;
                this.ep.bind("refresh_data",function(){
                    if (vmData.requestTime === 0) {
                        vm.getOfpatient();
                        vmData.requestTime = 1;
                    }

                });

            }
        });
    };

    //消息处理
    exports.onmessage = function (type, message, cite) {


    };

    //page销毁时触发destroy方法
    exports.destroy = function (id, cite) {

    }
});
